<?php
/*
	osCommerce, Open Source E-Commerce Solutions
	http://www.oscommerce.com

	Copyright (c) 2003 osCommerce

	osCommRes, Services Online
	http://www.oscommres.com

	Copyright (c) 2005 osCommRes

	Released under the GNU General Public License

	Freeway eCommerce from ZacWare
	http://www.openfreeway.org

	Copyright 2007 ZacWare Pty. Ltd
*/
 // Check to ensure this file is included in Freeway!
defined('_FEXEC') or die();

define('TABLE_HEADING_CATEGORIES_EVENTS', 'Categories / Events');
define('HEADING_TITLE', 'Events');
define('TEXT_INFO_DATE_ADDED','Date Added');
define('IMAGE_VIEW','View');
define('TEXT_UPDATE_IMAGE','Updating Image');
define('TEXT_UPDATE_DATA','Updating Data');
define('TITLE_EVENTS','Events');
define('TEXT_NEW_EVENT','New event');
define('TEXT_NEW_CATEGORY','New Category');
define('TEXT_MOVE_CATEGORIES_INTRO', 'Please select which category you wish %s to reside in');
define('TABLE_EVENT_MANAGEMENT','Events');
define('TABLE_EVENT_MARKETING','Instructors');
define('TABLE_EVENT_REPORTS','Waitinglist');

define('TEXT_INFO_MESSAGES','Messages');
define('TEXT_INFO_VIEW_EVENTS','View Events');
define('TEXT_FORCED','Forced');
define('TEXT_GENERAL','General');
define('TITLE_TYPE_EVENTS','Type');
define('TEXT_INFO_ADVANCED','Advanced');
define('TEXT_INFO_PAYMENTS','Payments');
define('TEXT_INFO_WAITLIST','Wait Lists');
define('TEXT_INFO_WAITLIST_PAYMENTS','Waitlist Payments');
define('TEXT_LOADING','Loading...');
define('TEXT_INFO_DATE_MODIFIED','Date Modified');

define('HEADING_ITEM_GENERAL','General');
define('HEADING_ITEM_TIME','Time');
define('HEADING_ITEM_COST','Costs');
define('HEADING_ITEM_DESCRIPTION','Description');
define('HEADING_ITEM_INSTRUCTOR','Instructor');
define('HEADING_ITEM_WAITINGLIST','Waiting Lists');
define('HEADING_ITEM_CONDITIONS','Conditions');
define('HEADING_ITEM_LINKEDEVENTS','Linked Events');
define('HEADING_ITEM_SESSIONS','Sessions');
define('HEADING_ITEM_CHILDEVENTS','Child Events');
define('HEADING_APPLY_TO','Apply to');
define('HEADING_DESCRIPTION','Description');

define('TEXT_PRIORITY_VIP', 'VIP: ');
define('TEXT_PRIORITY_FIRSTCOME', 'First Come First Served: ');
define('TEXT_PRIORITY_CUSTOM', 'Custom Question List: ');
define('TEXT_PRIORITY_QUESTION', 'Select Question: ');

define('TEXT_CHOOSE_LOCATIONS','Choose Locations');
define('TEXT_LINK_SERVICES','Link with Services');
define('TEXT_CHOOSE_CUSTOMER','Choose Customer');
define('TEXT_CHOOSE_SERVICE','Choose Service');

define('TEXT_EVENTS_FEES_NET', 'Fees(Net):');
define('TEXT_EVENTS_FEES_GROSS', 'Fees(Gross):');
define('TEXT_CHECK_LINKED_SUBSCRIPTION','Linked Subscription');
define('TEXT_PARENT_CATEGORY','Parent Category:');

define('TEXT_CATEGORY_MOVING','Moving Category...');
define('TEXT_EVENT_MOVING','Moving Event...');
define('TEXT_EVENT_COPYING','Copying Event...');
define('TEXT_DELETE_CONFIRM_INFO','Are you sure to delete this category?');
define('TEXT_DELETING_CATEGORY','Deleting the category..');
define('TEXT_EVENT_UPDATE_IMAGE','Saving Images..');
define('TEXT_EVENT_UPDATE_DATA','Saving Data..');
define('TEXT_DELETE_WARNING_CHILDS', '<b>WARNING:</b> There are %s (child-)categories still linked to this category!');
define('TEXT_DELETE_WARNING_EVENTS', '<b>WARNING:</b> There are %s events still linked to this category!');
define('ERROR_CANNOT_MOVE_CATEGORY_TO_PARENT','Error:Parent category cannot be moved to subcategory.');

define('ERR_SELECT_PARENT_CATEGORY','Please select a parent category.');
define('ERR_CATEGORY_NAME_EMPTY','Category Name should not be empty for all languages.');
define('ERR_CATEGORY_TITLE_EMPTY','Category Heading Title should not be empty for all languages.');
define('TEXT_ERR_SELECT_CATEGORY','Select One of the Categories');
define('TEXT_ERR_CURRENT_CATEGORY','Current category cannot br removed');
define('TEXT_ERR_EMPTY_EVENT_NAME','Event name must not be empty for all languages');
define('TEXT_ERR_EMPTY_WAITSIZE','Waiting list size cannot be empty');
define('TEXT_ERR_INVALID_WAITSIZE','Waiting list size must be a numeric value');
define('TEXT_ERR_EMPTY_WAITFEE','Waiting list fee cannot be empty');
define('TEXT_ERR_INVALID_WAITFEE','Waiting list fee must be a numeric value');
define('TEXT_ERR_EMPTY_FORWARD_PERIOD','Forward period length cannot be empty');
define('TEXT_ERR_INVALID_FORWARD_PERIOD','Forward period length must be a numeric value');
define('TEXT_ERR_MAX_RESERVATIONS_GREATER','Maximum Reservations cannot be higher than the maximum seats in the defined location');
define('TEXT_ERR_MAX_RESERVATIONS_GREATER','Reservation Greater on Maximum');
define('TEXT_ERR_GROUP_MIN_VALUE','Enter valid minimum value');
define('TEXT_ERR_GROUP_MAX_VALUE','Enter valid maximum value');
define('TEXT_ERR_GROUP_MIN_VALUE_GREATER','Minimum value should not exceed Maximum value');
define('TEXT_ERR_MAX_RESERVE_GREATER','Maximum reservations should greater than max group size');
define('TEXT_ERR_NO_BOOKINGS_EXIST','No Internal Only bookings exist');
define('TEXT_ERR_LINKED_SUBS','Select linked subscription');
define('TEXT_ERR_SELECT_SERVICE','Services should not empty');
define('TEXT_ERR_SELECT_CUSTOMERS','Customers should not empty');
define('TEXT_NO_SERVICE_AVAILABLE','No Services Available');
define('TEXT_NO_CUSTOMERS_AVAILABLE','No Customers Available');
define('TEXT_ERR_MAX_SERVICE_RESERVATIONS_GREATER','Only %s seats are available in %s service');
define('TEXT_DISPLAY_INSTRUCTOR','Display Instructor');

define('HEADING_PRICE','Price');
define('TEXT_INFO_CURRENT_CATEGORIES', 'Current Categories:');
define('TEXT_MOVE_TO','Move to : ');
define('TEXT_COPY_TO','Copy to : ');
define('TEXT_INFO_HEADING_COPY_EVENT', 'Copy Event');
define('ERROR_CANNOT_LINK_TO_SAME_CATEGORY', 'Error: Can not link events in the same category.');
define('TEXT_COPY_ALSO','Copy also : ');
define('TEXT_EVENT_COPIED_SUCCESS','Event Copied to selected category successfully');
define('TEXT_EVENT_MOVED_SUCCESS','Event Moved Successfully');
define('TEXT_EVENT_LINKED_SUCCESS','Event Linked Successfully');
define('NO_PRODUCTS_FOUND','No Products Found');
define('IMAGE_DESCENDING','Descending');
define('IMAGE_ASCENDING','Ascending');
define('IMAGE_SHOW_AVAILABLE','Show Available');
define('TEXT_ASCENDING','A to Z ordering');
define('TEXT_DESCENDING','Z to A ordering');
define('INFO_SORTING_DATA','Sorting Categories & Events');
define('INFO_SEARCHING_DATA','Searching Events');
define('INFO_LOADING_DATA','Loading Events');
define('TEXT_SEARCH_RESULTS','Search Results');
define('TEXT_EVENT_NOT_DELETED','Event not deleted!');
define('INFO_LOADING_EVENTS','Loading Events...');

define('TEXT_ALL','All');
define('TEXT_SHOW','Show: ');
define('TEXT_EVENT_ALREADY_LINKED','This event already linked to this Category');

define('TEXT_START_DATE','Startdate');
define('TEXT_END_DATE','Enddate');
define('TEXT_SESSION_TYPE','Type');
define('TEXT_SESSIONS_ORDER','Orders');
define('TEXT_SESSIONS_DATES','Dates');
define('TEXT_MULTIPLE_SESSIONS','Multiple');
define('TEXT_SESSIONS_INTERVALS','Interval');
define('TEXT_EVENT_SESSION','Event Sessions');
define('TEXT_SESSIONS_START_DATE', 'Start Date:');
define('TEXT_SESSIONS_END_DATE', 'End Date:');
define('TEXT_SESSIONS_TYPE', 'Session Type:');

define('TEXT_SESSIONS_DATE_COUNT', 'Sessions dates to display:');
define('TEXT_SESSIONS_SELECT_INTERVAL', 'Sessions per order:');
define('TEXT_SESSIONS_SELECT_COUNT', 'Multiples of sessions per order');

define('TEXT_SESSIONS_TYPE_SINGLE', 'Single Session');
define('TEXT_SESSIONS_TYPE_RECUR', 'Recurring Session');
define('TEXT_SESSIONS_TYPE_EVERY', 'Every');
define('TEXT_SESSIONS_TYPE_EVERY1', 'of every');

define('TEXT_SESSIONS_TYPE_DAILY', 'Daily');
define('TEXT_SESSIONS_TYPE_WEEKLY', 'Weekly');
define('TEXT_SESSIONS_TYPE_YEARLY', 'Yearly');
define('TEXT_SESSIONS_TYPE_MONTHLY', 'Monthly');

define('TEXT_SESSIONS_TYPE_DAY', 'Day');
define('TEXT_SESSIONS_TYPE_DAYS', 'day(s)');
define('TEXT_SESSIONS_TYPE_MONTHS', 'month(s)');
define('TEXT_SESSIONS_TYPE_WEEKS', 'week(s)');
define('TEXT_SESSIONS_NOT_EDITABLE','This session cannot be edited');
define('TEXT_SESSIONS_TYPE_DAYS_DISPLAY', 'Every %s day(s)');
define('TEXT_SESSIONS_TYPE_WEEKS_DISPLAY', 'Every %s week(s) on %s');
define('TEXT_SESSIONS_TYPE_MONTHS_DISPLAY1', 'Day %s every %s month(s)');
define('TEXT_SESSIONS_TYPE_MONTHS_DISPLAY2', 'The %s of every %s month(s)');
define('TEXT_SESSIONS_TYPE_YEARS_DISPLAY1', 'Every %s ');
define('TEXT_SESSIONS_TYPE_YEARS_DISPLAY2', 'The %s of %s');
define('TEXT_ERR_DAILY_DAYS',"For Selected option \'Daily\' days must be numeric");
define('TEXT_ERR_WEEKLY_WEEKS',"For Selected option \'Weekly\' weeks must be numeric");
define('TEXT_ERR_WEEKLY_DAYS',"For Selected option \'Weekly\' check atleast one of the days");
define('TEXT_ERR_MONTHLY_DAYS',"For Selected option \'Monthly\' days must be numeric");
define('TEXT_ERR_MONTHLY_MONTHS',"For Selected option \'Monthly\' months must be numeric");
define('TEXT_ERR_MONTHLY_WEEKMONTHS',"For Selected option \'Monthly\' weeks must be numeric");
define('TEXT_ERR_YEARLY_MONTHDAYS',"For Selected option \'Yearly\' days must be numeric");
define('TEXT_ERR_SELECT_EVENT',"Select one of the Event");

define('TEXT_ERR_NO_RECURSIVE_OPTION','Select any one of the options for recursive session');
define('TEXT_ERR_NO_TYPE_OPTION','Select type single session or multiple session');
define('TEXT_ERR_START_DATE','Entered Start Date for single session is not valid');
define('TEXT_ERR_EMPTY_DATES','Entered Start Date or End Date is not valid');
define('TEXT_ERR_DATE_INVERT','Entered Start Date must less than end date');
define('TEXT_ERR_DATE_COUNT','No of Dates must be numeric');
define('TEXT_ERR_SELECT_INTERVAL','Select Interval must be numeric');
define('TEXT_ERR_SELECT_COUNT','Select Count must be numeric');
define('TEXT_ERR_DATE_COUNT_VALUE','No of Dates must be >0');
define('TEXT_ERR_SELECT_INTERVAL_VALUE','Select Interval must be >0');
define('TEXT_ERR_SELECT_COUNT_VALUE','Select Count must be >0');
define('TEXT_NEW','New Session');
define('TEXT_EMPTY_SESSION','No Sessions found');
define('TEXT_SESSION_DATES','Session Dates');
define('TEXT_SESSION_TYPE','Session Type');
define('TEXT_SESSION_DELETED_SUCCESS','Session deleted successfully...');
define('TEXT_SESSION_INSERTED_SUCCESS','Session inserted successfully...');
define('TEXT_ERR_START_DATE_EMPTY','Entered Start date is should not empty');
define('TEXT_ERR_END_DATE_EMPTY','Entered End date is should not empty');
define('TEXT_ERR_SESSIONS','Sessions should not be Empty');
define('TEXT_ERR_SESSION_EXISTS','Entered Start Date or End Date collides with other session dates');
define('TEXT_ERR_VALID_START_DATE','Enter valid start date');
define('TEXT_ERR_VALID_END_DATE','Enter valid end date');

define('HEADING_TITLE','Categories / Events');
define('HEADING_TITLE_SEARCH', 'Search:');
define('HEADING_TITLE_GOTO', 'Go To:');

define('TABLE_HEADING_EVENTS_CATEGORIES_EVENTS', 'Categories / Events');
define('TABLE_HEADING_ACTION', 'Action');
define('TABLE_HEADING_STATUS', 'Status');

define('TEXT_NEW_EVENT', 'New Event in &quot;%s&quot;');
define('TEXT_EVENTS_CATEGORIES', 'Categories:');
define('TEXT_EVENTS_EVENTS', 'Events:');
define('TEXT_SUBEVENTS_CATEGORIES', 'Subcategories:');
define('TEXT_EVENTS', 'Events:');
define('TEXT_EVENTS_FEES_INFO', 'Price:');
define('TEXT_EVENTS_TAX_CLASS', 'Tax Class:');
define('TEXT_EVENTS_AVERAGE_RATING', 'Average Rating:');
define('TEXT_DATE_ADDED', 'Date Added:');
define('TEXT_DATE_AVAILABLE', 'Date Available:');
define('TEXT_LAST_MODIFIED', 'Last Modified:');
define('TEXT_IMAGE_NONEXISTENT', 'IMAGE DOES NOT EXIST');
define('TEXT_NO_CHILD_EVENTS_CATEGORIES_OR_EVENTS', 'Please insert a new category or event in this level.');
define('TEXT_EVENT_MORE_INFORMATION', 'For more information, please visit this events <a href="http://%s" target="blank"><u>webpage</u></a>.');
define('TEXT_EVENT_DATE_ADDED', 'This event was added to our catalog on %s.');
define('TEXT_EVENT_DATE_AVAILABLE', 'This event will be started on %s.');

define('TEXT_EDIT_INTRO', 'Please make any necessary changes');
define('TEXT_EDIT_EVENTS_CATEGORIES_ID', 'Category ID:');
define('TEXT_EDIT_EVENTS_CATEGORIES_NAME', 'Category Name:');
define('TEXT_EDIT_EVENTS_CATEGORIES_IMAGE', 'Category Image:');
define('TEXT_EDIT_EVENTS_CATEGORIES_SORT_ORDER', 'Sort Order:');
define('TEXT_EDIT_EVENTS_CATEGORIES_HEADING_TITLE', 'Category heading title:');
define('TEXT_EDIT_EVENTS_CATEGORIES_DESCRIPTION', 'Category heading Description:');

define('TEXT_INFO_COPY_TO_INTRO', 'Please choose a new category you wish to copy this event to');
define('TEXT_INFO_CURRENT_EVENTS_CATEGORIES', 'Current Categories:');

define('TEXT_INFO_HEADING_NEW_EVENTS_CATEGORY', 'New Category');
define('TEXT_INFO_HEADING_EDIT_EVENTS_CATEGORY', 'Edit Category');
define('TEXT_INFO_HEADING_DELETE_EVENTS_CATEGORY', 'Delete Category');
define('TEXT_INFO_HEADING_MOVE_EVENTS_CATEGORY', 'Move Category');
define('TEXT_INFO_HEADING_DELETE_EVENT', 'Delete Event');
define('TEXT_INFO_HEADING_MOVE_EVENT', 'Move Event');
define('TEXT_INFO_HEADING_COPY_TO', 'Copy To');

define('TEXT_DELETE_EVENTS_CATEGORY_INTRO', 'Are you sure you want to delete this category?');
define('TEXT_DELETE_EVENT_INTRO', 'Are you sure you want to permanently delete this event?');

define('TEXT_DELETE_WARNING_SESSIONS', '<b>WARNING:</b> There are %s Session(s) still linked to this Event!');
define('TEXT_DELETE_WARNING_CHILDS', '<b>WARNING:</b> There are %s child categories still linked to this category!');
define('TEXT_DELETE_WARNING_EVENTS', '<b>WARNING:</b> There are %s events still linked to this category!');
define('TEXT_DELETE_WARNING_SESSIONS', '<b>WARNING:</b> There are %s sessions still linked to this event!');

define('TEXT_MOVE_EVENTS_INTRO', 'Please select which category you wish <b>%s</b> to reside in');
define('TEXT_MOVE_EVENTS_CATEGORIES_INTRO', 'Please select which category you wish <b>%s</b> to reside in');
define('TEXT_MOVE', 'Move <b>%s</b> to:');

define('TEXT_NEW_EVENTS_CATEGORY_INTRO', 'Please fill out the following information for the new category');
define('TEXT_EVENTS_CATEGORIES_NAME', 'Category Name:');
define('TEXT_EVENTS_CATEGORIES_IMAGE', 'Category Image:');
define('TEXT_SORT_ORDER', 'Sort Order:');

define('TEXT_EVENTS_FEES_NET_INFO', 'Fees(Net):');
define('TEXT_EVENTS_FEES_GROSS_INFO', 'Fees(Gross):');

define('TEXT_EVENTS_STATUS', 'Status:');
define('TEXT_EVENTS_DATE_AVAILABLE', 'Date Available:');
define('TEXT_EVENT_AVAILABLE', 'Visible');
define('TEXT_EVENT_NOT_AVAILABLE', 'Not Visible');
define('TEXT_EVENTS_NAME', 'Name:');
define('TEXT_EVENTS_DESCRIPTION', 'Description:');
define('TEXT_EVENTS_TEASER_TEXT', 'Teaser Text:');
define('TEXT_EVENTS_IMAGE', 'Image:');
define('TEXT_EVENTS_URL', 'URL:');
define('TEXT_EVENTS_URL_WITHOUT_HTTP', '<small>(without http://)</small>');
define('TEXT_EVENTS_START_TIME', 'Start Time:');
define('TEXT_EVENTS_END_TIME', 'End Time:');
define('TEXT_EVENTS_INSTRUCTOR', 'Instructor:');
define('TEXT_EVENTS_BACKUP_INSTRUCTOR', 'Backup Instructor:');
define('TEXT_EVENTS_FEES', 'Fees (Net):');
define('TEXT_EVENTS_PRICE_GROSS', 'Fees (Gross):');
define('TEXT_EVENTS_MAX_RESERVE', 'Maximum Reservations:');
define('TEXT_EVENTS_OVERBOOK_RESERVE','Overbook Reservations:');
define('TEXT_SUBSCRIPTION_OVERBOOK_RESERVE','Overbook Reservations:');
define('TEXT_SUBSCRIPTION_CATEGORIES', 'Subscription');

define('TEXT_EVENTS_WAIT_SIZE', 'Event Waiting list size:');
define('TEXT_EVENTS_REFUND_PERCENTAGE', 'Refund Percentage: <br>(not available)');
define('TEXT_EVENTS_REFUND_PERCENTAGE1', '2 Weeks: ');
define('TEXT_EVENTS_REFUND_PERCENTAGE2', '1 Week: ');
define('TEXT_EVENTS_REFUND_PERCENTAGE3', '2 Days: ');

define('HEADING_TYPE', 'Type');
define('HEADING_PRIORITY', 'Priority');
define('HEADING_SIZE','Size');
define('HEADING_FEE','Fee');

define('TEXT_PRIORITY_VIP', 'VIP: ');
define('TEXT_PRIORITY_FIRSTCOME', 'First Come First Served: ');
define('TEXT_PRIORITY_CUSTOM', 'Custom Question List: ');
define('TEXT_PRIORITY_QUESTION', 'Select Question: ');
define('TEXT_WAIT_LIST','Waiting List:');
define('TEXT_COPY_SESSIONS','Copy Sessions');
define('TEXT_COPY_MESSAGES','Copy Messages');
define('TEXT_COPY_SURVEYS','Copy Surveys');


define('TEXT_CONDITION_DESC','Description:');
define('TEXT_PRESENT_WAITLIST','This event has waiting list');

define('TEXT_ERR_SELECT_CATEGORY','Select One of the Categories');
define('TEXT_ERR_EMPTY_EVENT_NAME','Event name must not be empty for all languages');
define('TEXT_ERR_EMPTY_WAITSIZE','Waiting list size cannot be empty');
define('TEXT_ERR_INVALID_WAITSIZE','Waiting list size must be a numeric value');
define('TEXT_ERR_EMPTY_WAITFEE','Waiting list fee cannot be empty');
define('TEXT_ERR_INVALID_WAITFEE','Waiting list fee must be a numeric value');
define('TEXT_ERR_EMPTY_FORWARD_PERIOD','Forward period length cannot be empty');
define('TEXT_ERR_INVALID_FORWARD_PERIOD','Forward period length must be a numeric value');
define('TEXT_ERR_MAX_RESERVATIONS_GREATER','Maximum Reservations cannot be higher than the maximum seats in the defined location');
define('EMPTY_EVENTS_CATEGORY', 'Empty Category');

define('TEXT_HOW_TO_COPY', 'Copy Method:');
define('TEXT_COPY_AS_LINK', 'Link event');
define('TEXT_COPY_AS_DUPLICATE', 'Duplicate event');

define('TEXT_EVENTS_REFUND_PAYMENT','Refund Payment method:');
define('TEXT_EVENTS_LOCATION','Location: ');
define('ERROR_CANNOT_LINK_TO_SAME_EVENTS_CATEGORY', 'Error: Can not link events in the same category.');
define('ERROR_CATALOG_IMAGE_DIRECTORY_NOT_WRITEABLE', 'Error: Catalog images directory is not writeable: ' . DIR_FS_CATALOG_IMAGES);
define('ERROR_CATALOG_IMAGE_DIRECTORY_DOES_NOT_EXIST', 'Error: Catalog images directory does not exist: ' . DIR_FS_CATALOG_IMAGES);
define('ERROR_CANNOT_MOVE_EVENTS_CATEGORY_TO_PARENT', 'Error: Category cannot be moved into child category.');


//comments for waiting list entry
define('APPLY_TO_VIP','Customers in Admin VIP group');
define('APPLY_TO_FIRSTCOME','Front and Admin Reservations');
define('DESCRIPTION_VIP','Customers who can modify their own reservations');
define('DESCRIPTION_FIRSTCOME','General waiting list all waiting list holders are added to. May be removed to waiting list automatically in the case of Custom question list or manually to VIP waiting lists.');
define('DESCRIPTION_CUSTOM','Customers who answer Pop-Up Question. The customer is added to this waiting list rather than the First Come First Served list.');

define('TEXT_FORWARD_PERIOD','Forward reservation period');
define('TEXT_PERIOD_LENGTH','Period Length:');
define('TEXT_PENDING_PERIOD','Pending Period:');
define('TEXT_RENEWAL_END','Renewal Period End:');
define('TEXT_RENEWAL_START','Renewal Period Start:');
define('TEXT_FLS','Last Session');
define('TEXT_SLS','Second Last Session');
define('TEXT_DLS','Third Last Session');
define('TEXT_OBS','One week before Last Session');
define('TEXT_TBS','Two weeks before Last Session');
define('TEXT_SESSION_GAPS','Session Gaps');
define('TEXT_SESSION_REDUCTION','Session Reduction');
define('TEXT_WAITLIST_STYLE','Waiting List Style');
define('TEXT_STYLE_SESSION','Per Session');
define('TEXT_STYLE_EVENT','Per Event');
define('TEXT_RATE_TYPE','Rate Type: ');
define('TEXT_RATE','Rate:');
define('TEXT_BASE_RATE','Base Rate:');
define('TEXT_ALLOW_GROUP_BOOKINGS','Allow Group Bookings');
define('TEXT_MIN_GROUP_SIZE','Min group size');
define('TEXT_MAX_GROUP_SIZE','Max group size');

define('TEXT_RATE_TYPE_GP','Gross Percentage');
define('TEXT_RATE_TYPE_SP','Per Student Percentage');
define('TEXT_RATE_TYPE_MU','Per Student');
define('TEXT_RATE_TYPE_FL','Flat Rate');

define('TITLE_GROUP_GENERAL','General');
define('TITLE_GROUP_WAITLIST','Waiting List');
define('TITLE_GROUP_FEES','Costs');
define('TITLE_GROUP_CONDITIONS','Conditions');
define('TITLE_GROUP_INSTRUCTOR','Instructor');

define('TEXT_HIDE_NONE','Display Event');
define('TEXT_HIDE_ALWAYS','Archive Event');
define('TEXT_HIDE_START','Hide at Start of Event');
define('TEXT_HIDE_END','Hide at End of Event');
define('TEXT_DAYS',' days');
define('IMAGE_HIDE_START_EVENT','Hide at Start of Event');
define('IMAGE_HIDE_END_EVENT','Hide at End of Event');
define('IMAGE_HIDE_ALWAYS','Hide Always');

define('TEXT_SELECT','-- Select --');
define('TEXT_EVENT_DELETE_SUCCESS','Event Deleted Successfully...');
define('TEXT_EVENT_COPY_SUCCESS','Event Copied Successfully...');
define('TEXT_MAIN_CATEGORIES','Main Category');
define('TEXT_PRODUCTS_PRICE_INFO', 'Price:');
define('TEXT_RECORDS', 'Events');
define('TEXT_FEES_INFO',' for %s Classes');
define('TEXT_FEES_INFO_SINGLE',' for %s Class');
define('TEXT_ERR_MULTIPLE_MAX_RESERVATION','Maximum Reservation should be multiples of child events');
define('TEXT_ERR_FORCED_ITEM_COUNT','Forced item count should not exceeded the child event count');
define('TEXT_NO_CHILDS_FOUND','No child events found');
define('TEXT_LINKED_EVENTS','Do you want to link this event?');
define('TEXT_LINKED_TYPE','What type of link would you like?');
define('TEXT_LINKED_SUBSCRIPTION','Linked Subscription');
define('TEXT_LINKED_PARENT','Parent Event');
define('TEXT_LINKED_CHILD','Child Event');
define('TEXT_NOTE','Note: Parent & Child Events can be created only for single session events');
define('EVE_PARENT_EVENT','Please select any one of the parent event');
define('TEXT_ERR_CHILD_EVENT','Please select any one of the child event');
define('TEXT_ERR_PARENT_EVENT','Please select any one of the parent event');
define('ERR_ALREADY_PARENT','It is already a parent to some other events');
define('ERR_ALREADY_CHILD','It is already a child to some other events');
define('ERR_SINGLE_SESSION_EVENTS','Note: Parent & Child events can be created only for single session events');
define('TEXT_DELETE_CHILD_EVENT_INTRO','There are some events still linked with this event! or This event is linked a child with some other event!');
define('TEXT_ERR_LINKED_TYPE','Please select any one of the linked event');
define('ERR_NO_PARENT_EVENTS','There are no parent found');
define('ERR_NO_CHILD_EVENTS','There are no single session events found');
define('TITLE_CHILD_EVENTS','List of child events: ');
define('TITLE_PARENT_EVENTS','List of parent events: ');
?><?php
/*
	osCommerce, Open Source E-Commerce Solutions
	http://www.oscommerce.com

	Copyright (c) 2003 osCommerce

	osCommRes, Services Online
	http://www.oscommres.com

	Copyright (c) 2005 osCommRes

	Released under the GNU General Public License

	Freeway eCommerce from ZacWare
	http://www.openfreeway.org

	Copyright 2007 ZacWare Pty. Ltd
*/
 // Check to ensure this file is included in Freeway!
defined('_FEXEC') or die();

define('TABLE_HEADING_CATEGORIES_EVENTS', 'Categories / Events');
define('HEADING_TITLE', 'Events');
define('TEXT_INFO_DATE_ADDED','Date Added');
define('IMAGE_VIEW','View');
define('TEXT_UPDATE_IMAGE','Updating Image');
define('TEXT_UPDATE_DATA','Updating Data');
define('TITLE_EVENTS','Events');
define('TEXT_NEW_EVENT','New event');
define('TEXT_NEW_CATEGORY','New Category');
define('TEXT_MOVE_CATEGORIES_INTRO', 'Please select which category you wish %s to reside in');
define('TABLE_EVENT_MANAGEMENT','Events');
define('TABLE_EVENT_MARKETING','Instructors');
define('TABLE_EVENT_REPORTS','Waitinglist');

define('TEXT_INFO_MESSAGES','Messages');
define('TEXT_INFO_VIEW_EVENTS','View Events');
define('TEXT_FORCED','Forced');
define('TEXT_GENERAL','General');
define('TITLE_TYPE_EVENTS','Type');
define('TEXT_INFO_ADVANCED','Advanced');
define('TEXT_INFO_PAYMENTS','Payments');
define('TEXT_INFO_WAITLIST','Wait Lists');
define('TEXT_INFO_WAITLIST_PAYMENTS','Waitlist Payments');
define('TEXT_LOADING','Loading...');
define('TEXT_INFO_DATE_MODIFIED','Date Modified');

define('HEADING_ITEM_GENERAL','General');
define('HEADING_ITEM_TIME','Time');
define('HEADING_ITEM_COST','Costs');
define('HEADING_ITEM_DESCRIPTION','Description');
define('HEADING_ITEM_INSTRUCTOR','Instructor');
define('HEADING_ITEM_WAITINGLIST','Waiting Lists');
define('HEADING_ITEM_CONDITIONS','Conditions');
define('HEADING_ITEM_LINKEDEVENTS','Linked Events');
define('HEADING_ITEM_SESSIONS','Sessions');
define('HEADING_ITEM_CHILDEVENTS','Child Events');
define('HEADING_APPLY_TO','Apply to');
define('HEADING_DESCRIPTION','Description');

define('TEXT_PRIORITY_VIP', 'VIP: ');
define('TEXT_PRIORITY_FIRSTCOME', 'First Come First Served: ');
define('TEXT_PRIORITY_CUSTOM', 'Custom Question List: ');
define('TEXT_PRIORITY_QUESTION', 'Select Question: ');

define('TEXT_CHOOSE_LOCATIONS','Choose Locations');
define('TEXT_LINK_SERVICES','Link with Services');
define('TEXT_CHOOSE_CUSTOMER','Choose Customer');
define('TEXT_CHOOSE_SERVICE','Choose Service');

define('TEXT_EVENTS_FEES_NET', 'Fees(Net):');
define('TEXT_EVENTS_FEES_GROSS', 'Fees(Gross):');
define('TEXT_CHECK_LINKED_SUBSCRIPTION','Linked Subscription');
define('TEXT_PARENT_CATEGORY','Parent Category:');

define('TEXT_CATEGORY_MOVING','Moving Category...');
define('TEXT_EVENT_MOVING','Moving Event...');
define('TEXT_EVENT_COPYING','Copying Event...');
define('TEXT_DELETE_CONFIRM_INFO','Are you sure to delete this category?');
define('TEXT_DELETING_CATEGORY','Deleting the category..');
define('TEXT_EVENT_UPDATE_IMAGE','Saving Images..');
define('TEXT_EVENT_UPDATE_DATA','Saving Data..');
define('TEXT_DELETE_WARNING_CHILDS', '<b>WARNING:</b> There are %s (child-)categories still linked to this category!');
define('TEXT_DELETE_WARNING_EVENTS', '<b>WARNING:</b> There are %s events still linked to this category!');
define('ERROR_CANNOT_MOVE_CATEGORY_TO_PARENT','Error:Parent category cannot be moved to subcategory.');

define('ERR_SELECT_PARENT_CATEGORY','Please select a parent category.');
define('ERR_CATEGORY_NAME_EMPTY','Category Name should not be empty for all languages.');
define('ERR_CATEGORY_TITLE_EMPTY','Category Heading Title should not be empty for all languages.');
define('TEXT_ERR_SELECT_CATEGORY','Select One of the Categories');
define('TEXT_ERR_CURRENT_CATEGORY','Current category cannot br removed');
define('TEXT_ERR_EMPTY_EVENT_NAME','Event name must not be empty for all languages');
define('TEXT_ERR_EMPTY_WAITSIZE','Waiting list size cannot be empty');
define('TEXT_ERR_INVALID_WAITSIZE','Waiting list size must be a numeric value');
define('TEXT_ERR_EMPTY_WAITFEE','Waiting list fee cannot be empty');
define('TEXT_ERR_INVALID_WAITFEE','Waiting list fee must be a numeric value');
define('TEXT_ERR_EMPTY_FORWARD_PERIOD','Forward period length cannot be empty');
define('TEXT_ERR_INVALID_FORWARD_PERIOD','Forward period length must be a numeric value');
define('TEXT_ERR_MAX_RESERVATIONS_GREATER','Maximum Reservations cannot be higher than the maximum seats in the defined location');
define('TEXT_ERR_MAX_RESERVATIONS_GREATER','Reservation Greater on Maximum');
define('TEXT_ERR_GROUP_MIN_VALUE','Enter valid minimum value');
define('TEXT_ERR_GROUP_MAX_VALUE','Enter valid maximum value');
define('TEXT_ERR_GROUP_MIN_VALUE_GREATER','Minimum value should not exceed Maximum value');
define('TEXT_ERR_MAX_RESERVE_GREATER','Maximum reservations should greater than max group size');
define('TEXT_ERR_NO_BOOKINGS_EXIST','No Internal Only bookings exist');
define('TEXT_ERR_LINKED_SUBS','Select linked subscription');
define('TEXT_ERR_SELECT_SERVICE','Services should not empty');
define('TEXT_ERR_SELECT_CUSTOMERS','Customers should not empty');
define('TEXT_NO_SERVICE_AVAILABLE','No Services Available');
define('TEXT_NO_CUSTOMERS_AVAILABLE','No Customers Available');
define('TEXT_ERR_MAX_SERVICE_RESERVATIONS_GREATER','Only %s seats are available in %s service');
define('TEXT_DISPLAY_INSTRUCTOR','Display Instructor');

define('HEADING_PRICE','Price');
define('TEXT_INFO_CURRENT_CATEGORIES', 'Current Categories:');
define('TEXT_MOVE_TO','Move to : ');
define('TEXT_COPY_TO','Copy to : ');
define('TEXT_INFO_HEADING_COPY_EVENT', 'Copy Event');
define('ERROR_CANNOT_LINK_TO_SAME_CATEGORY', 'Error: Can not link events in the same category.');
define('TEXT_COPY_ALSO','Copy also : ');
define('TEXT_EVENT_COPIED_SUCCESS','Event Copied to selected category successfully');
define('TEXT_EVENT_MOVED_SUCCESS','Event Moved Successfully');
define('TEXT_EVENT_LINKED_SUCCESS','Event Linked Successfully');
define('NO_PRODUCTS_FOUND','No Products Found');
define('IMAGE_DESCENDING','Descending');
define('IMAGE_ASCENDING','Ascending');
define('IMAGE_SHOW_AVAILABLE','Show Available');
define('TEXT_ASCENDING','A to Z ordering');
define('TEXT_DESCENDING','Z to A ordering');
define('INFO_SORTING_DATA','Sorting Categories & Events');
define('INFO_SEARCHING_DATA','Searching Events');
define('INFO_LOADING_DATA','Loading Events');
define('TEXT_SEARCH_RESULTS','Search Results');
define('TEXT_EVENT_NOT_DELETED','Event not deleted!');
define('INFO_LOADING_EVENTS','Loading Events...');

define('TEXT_ALL','All');
define('TEXT_SHOW','Show: ');
define('TEXT_EVENT_ALREADY_LINKED','This event already linked to this Category');

define('TEXT_START_DATE','Startdate');
define('TEXT_END_DATE','Enddate');
define('TEXT_SESSION_TYPE','Type');
define('TEXT_SESSIONS_ORDER','Orders');
define('TEXT_SESSIONS_DATES','Dates');
define('TEXT_MULTIPLE_SESSIONS','Multiple');
define('TEXT_SESSIONS_INTERVALS','Interval');
define('TEXT_EVENT_SESSION','Event Sessions');
define('TEXT_SESSIONS_START_DATE', 'Start Date:');
define('TEXT_SESSIONS_END_DATE', 'End Date:');
define('TEXT_SESSIONS_TYPE', 'Session Type:');

define('TEXT_SESSIONS_DATE_COUNT', 'Sessions dates to display:');
define('TEXT_SESSIONS_SELECT_INTERVAL', 'Sessions per order:');
define('TEXT_SESSIONS_SELECT_COUNT', 'Multiples of sessions per order');

define('TEXT_SESSIONS_TYPE_SINGLE', 'Single Session');
define('TEXT_SESSIONS_TYPE_RECUR', 'Recurring Session');
define('TEXT_SESSIONS_TYPE_EVERY', 'Every');
define('TEXT_SESSIONS_TYPE_EVERY1', 'of every');

define('TEXT_SESSIONS_TYPE_DAILY', 'Daily');
define('TEXT_SESSIONS_TYPE_WEEKLY', 'Weekly');
define('TEXT_SESSIONS_TYPE_YEARLY', 'Yearly');
define('TEXT_SESSIONS_TYPE_MONTHLY', 'Monthly');

define('TEXT_SESSIONS_TYPE_DAY', 'Day');
define('TEXT_SESSIONS_TYPE_DAYS', 'day(s)');
define('TEXT_SESSIONS_TYPE_MONTHS', 'month(s)');
define('TEXT_SESSIONS_TYPE_WEEKS', 'week(s)');
define('TEXT_SESSIONS_NOT_EDITABLE','This session cannot be edited');
define('TEXT_SESSIONS_TYPE_DAYS_DISPLAY', 'Every %s day(s)');
define('TEXT_SESSIONS_TYPE_WEEKS_DISPLAY', 'Every %s week(s) on %s');
define('TEXT_SESSIONS_TYPE_MONTHS_DISPLAY1', 'Day %s every %s month(s)');
define('TEXT_SESSIONS_TYPE_MONTHS_DISPLAY2', 'The %s of every %s month(s)');
define('TEXT_SESSIONS_TYPE_YEARS_DISPLAY1', 'Every %s ');
define('TEXT_SESSIONS_TYPE_YEARS_DISPLAY2', 'The %s of %s');
define('TEXT_ERR_DAILY_DAYS',"For Selected option \'Daily\' days must be numeric");
define('TEXT_ERR_WEEKLY_WEEKS',"For Selected option \'Weekly\' weeks must be numeric");
define('TEXT_ERR_WEEKLY_DAYS',"For Selected option \'Weekly\' check atleast one of the days");
define('TEXT_ERR_MONTHLY_DAYS',"For Selected option \'Monthly\' days must be numeric");
define('TEXT_ERR_MONTHLY_MONTHS',"For Selected option \'Monthly\' months must be numeric");
define('TEXT_ERR_MONTHLY_WEEKMONTHS',"For Selected option \'Monthly\' weeks must be numeric");
define('TEXT_ERR_YEARLY_MONTHDAYS',"For Selected option \'Yearly\' days must be numeric");
define('TEXT_ERR_SELECT_EVENT',"Select one of the Event");

define('TEXT_ERR_NO_RECURSIVE_OPTION','Select any one of the options for recursive session');
define('TEXT_ERR_NO_TYPE_OPTION','Select type single session or multiple session');
define('TEXT_ERR_START_DATE','Entered Start Date for single session is not valid');
define('TEXT_ERR_EMPTY_DATES','Entered Start Date or End Date is not valid');
define('TEXT_ERR_DATE_INVERT','Entered Start Date must less than end date');
define('TEXT_ERR_DATE_COUNT','No of Dates must be numeric');
define('TEXT_ERR_SELECT_INTERVAL','Select Interval must be numeric');
define('TEXT_ERR_SELECT_COUNT','Select Count must be numeric');
define('TEXT_ERR_DATE_COUNT_VALUE','No of Dates must be >0');
define('TEXT_ERR_SELECT_INTERVAL_VALUE','Select Interval must be >0');
define('TEXT_ERR_SELECT_COUNT_VALUE','Select Count must be >0');
define('TEXT_NEW','New Session');
define('TEXT_EMPTY_SESSION','No Sessions found');
define('TEXT_SESSION_DATES','Session Dates');
define('TEXT_SESSION_TYPE','Session Type');
define('TEXT_SESSION_DELETED_SUCCESS','Session deleted successfully...');
define('TEXT_SESSION_INSERTED_SUCCESS','Session inserted successfully...');
define('TEXT_ERR_START_DATE_EMPTY','Entered Start date is should not empty');
define('TEXT_ERR_END_DATE_EMPTY','Entered End date is should not empty');
define('TEXT_ERR_SESSIONS','Sessions should not be Empty');
define('TEXT_ERR_SESSION_EXISTS','Entered Start Date or End Date collides with other session dates');
define('TEXT_ERR_VALID_START_DATE','Enter valid start date');
define('TEXT_ERR_VALID_END_DATE','Enter valid end date');

define('HEADING_TITLE','Categories / Events');
define('HEADING_TITLE_SEARCH', 'Search:');
define('HEADING_TITLE_GOTO', 'Go To:');

define('TABLE_HEADING_EVENTS_CATEGORIES_EVENTS', 'Categories / Events');
define('TABLE_HEADING_ACTION', 'Action');
define('TABLE_HEADING_STATUS', 'Status');

define('TEXT_NEW_EVENT', 'New Event in &quot;%s&quot;');
define('TEXT_EVENTS_CATEGORIES', 'Categories:');
define('TEXT_EVENTS_EVENTS', 'Events:');
define('TEXT_SUBEVENTS_CATEGORIES', 'Subcategories:');
define('TEXT_EVENTS', 'Events:');
define('TEXT_EVENTS_FEES_INFO', 'Price:');
define('TEXT_EVENTS_TAX_CLASS', 'Tax Class:');
define('TEXT_EVENTS_AVERAGE_RATING', 'Average Rating:');
define('TEXT_DATE_ADDED', 'Date Added:');
define('TEXT_DATE_AVAILABLE', 'Date Available:');
define('TEXT_LAST_MODIFIED', 'Last Modified:');
define('TEXT_IMAGE_NONEXISTENT', 'IMAGE DOES NOT EXIST');
define('TEXT_NO_CHILD_EVENTS_CATEGORIES_OR_EVENTS', 'Please insert a new category or event in this level.');
define('TEXT_EVENT_MORE_INFORMATION', 'For more information, please visit this events <a href="http://%s" target="blank"><u>webpage</u></a>.');
define('TEXT_EVENT_DATE_ADDED', 'This event was added to our catalog on %s.');
define('TEXT_EVENT_DATE_AVAILABLE', 'This event will be started on %s.');

define('TEXT_EDIT_INTRO', 'Please make any necessary changes');
define('TEXT_EDIT_EVENTS_CATEGORIES_ID', 'Category ID:');
define('TEXT_EDIT_EVENTS_CATEGORIES_NAME', 'Category Name:');
define('TEXT_EDIT_EVENTS_CATEGORIES_IMAGE', 'Category Image:');
define('TEXT_EDIT_EVENTS_CATEGORIES_SORT_ORDER', 'Sort Order:');
define('TEXT_EDIT_EVENTS_CATEGORIES_HEADING_TITLE', 'Category heading title:');
define('TEXT_EDIT_EVENTS_CATEGORIES_DESCRIPTION', 'Category heading Description:');

define('TEXT_INFO_COPY_TO_INTRO', 'Please choose a new category you wish to copy this event to');
define('TEXT_INFO_CURRENT_EVENTS_CATEGORIES', 'Current Categories:');

define('TEXT_INFO_HEADING_NEW_EVENTS_CATEGORY', 'New Category');
define('TEXT_INFO_HEADING_EDIT_EVENTS_CATEGORY', 'Edit Category');
define('TEXT_INFO_HEADING_DELETE_EVENTS_CATEGORY', 'Delete Category');
define('TEXT_INFO_HEADING_MOVE_EVENTS_CATEGORY', 'Move Category');
define('TEXT_INFO_HEADING_DELETE_EVENT', 'Delete Event');
define('TEXT_INFO_HEADING_MOVE_EVENT', 'Move Event');
define('TEXT_INFO_HEADING_COPY_TO', 'Copy To');

define('TEXT_DELETE_EVENTS_CATEGORY_INTRO', 'Are you sure you want to delete this category?');
define('TEXT_DELETE_EVENT_INTRO', 'Are you sure you want to permanently delete this event?');

define('TEXT_DELETE_WARNING_SESSIONS', '<b>WARNING:</b> There are %s Session(s) still linked to this Event!');
define('TEXT_DELETE_WARNING_CHILDS', '<b>WARNING:</b> There are %s child categories still linked to this category!');
define('TEXT_DELETE_WARNING_EVENTS', '<b>WARNING:</b> There are %s events still linked to this category!');
define('TEXT_DELETE_WARNING_SESSIONS', '<b>WARNING:</b> There are %s sessions still linked to this event!');

define('TEXT_MOVE_EVENTS_INTRO', 'Please select which category you wish <b>%s</b> to reside in');
define('TEXT_MOVE_EVENTS_CATEGORIES_INTRO', 'Please select which category you wish <b>%s</b> to reside in');
define('TEXT_MOVE', 'Move <b>%s</b> to:');

define('TEXT_NEW_EVENTS_CATEGORY_INTRO', 'Please fill out the following information for the new category');
define('TEXT_EVENTS_CATEGORIES_NAME', 'Category Name:');
define('TEXT_EVENTS_CATEGORIES_IMAGE', 'Category Image:');
define('TEXT_SORT_ORDER', 'Sort Order:');

define('TEXT_EVENTS_FEES_NET_INFO', 'Fees(Net):');
define('TEXT_EVENTS_FEES_GROSS_INFO', 'Fees(Gross):');

define('TEXT_EVENTS_STATUS', 'Status:');
define('TEXT_EVENTS_DATE_AVAILABLE', 'Date Available:');
define('TEXT_EVENT_AVAILABLE', 'Visible');
define('TEXT_EVENT_NOT_AVAILABLE', 'Not Visible');
define('TEXT_EVENTS_NAME', 'Name:');
define('TEXT_EVENTS_DESCRIPTION', 'Description:');
define('TEXT_EVENTS_TEASER_TEXT', 'Teaser Text:');
define('TEXT_EVENTS_IMAGE', 'Image:');
define('TEXT_EVENTS_URL', 'URL:');
define('TEXT_EVENTS_URL_WITHOUT_HTTP', '<small>(without http://)</small>');
define('TEXT_EVENTS_START_TIME', 'Start Time:');
define('TEXT_EVENTS_END_TIME', 'End Time:');
define('TEXT_EVENTS_INSTRUCTOR', 'Instructor:');
define('TEXT_EVENTS_BACKUP_INSTRUCTOR', 'Backup Instructor:');
define('TEXT_EVENTS_FEES', 'Fees (Net):');
define('TEXT_EVENTS_PRICE_GROSS', 'Fees (Gross):');
define('TEXT_EVENTS_MAX_RESERVE', 'Maximum Reservations:');
define('TEXT_EVENTS_OVERBOOK_RESERVE','Overbook Reservations:');
define('TEXT_SUBSCRIPTION_OVERBOOK_RESERVE','Overbook Reservations:');
define('TEXT_SUBSCRIPTION_CATEGORIES', 'Subscription');

define('TEXT_EVENTS_WAIT_SIZE', 'Event Waiting list size:');
define('TEXT_EVENTS_REFUND_PERCENTAGE', 'Refund Percentage: <br>(not available)');
define('TEXT_EVENTS_REFUND_PERCENTAGE1', '2 Weeks: ');
define('TEXT_EVENTS_REFUND_PERCENTAGE2', '1 Week: ');
define('TEXT_EVENTS_REFUND_PERCENTAGE3', '2 Days: ');

define('HEADING_TYPE', 'Type');
define('HEADING_PRIORITY', 'Priority');
define('HEADING_SIZE','Size');
define('HEADING_FEE','Fee');

define('TEXT_PRIORITY_VIP', 'VIP: ');
define('TEXT_PRIORITY_FIRSTCOME', 'First Come First Served: ');
define('TEXT_PRIORITY_CUSTOM', 'Custom Question List: ');
define('TEXT_PRIORITY_QUESTION', 'Select Question: ');
define('TEXT_WAIT_LIST','Waiting List:');
define('TEXT_COPY_SESSIONS','Copy Sessions');
define('TEXT_COPY_MESSAGES','Copy Messages');
define('TEXT_COPY_SURVEYS','Copy Surveys');


define('TEXT_CONDITION_DESC','Description:');
define('TEXT_PRESENT_WAITLIST','This event has waiting list');

define('TEXT_ERR_SELECT_CATEGORY','Select One of the Categories');
define('TEXT_ERR_EMPTY_EVENT_NAME','Event name must not be empty for all languages');
define('TEXT_ERR_EMPTY_WAITSIZE','Waiting list size cannot be empty');
define('TEXT_ERR_INVALID_WAITSIZE','Waiting list size must be a numeric value');
define('TEXT_ERR_EMPTY_WAITFEE','Waiting list fee cannot be empty');
define('TEXT_ERR_INVALID_WAITFEE','Waiting list fee must be a numeric value');
define('TEXT_ERR_EMPTY_FORWARD_PERIOD','Forward period length cannot be empty');
define('TEXT_ERR_INVALID_FORWARD_PERIOD','Forward period length must be a numeric value');
define('TEXT_ERR_MAX_RESERVATIONS_GREATER','Maximum Reservations cannot be higher than the maximum seats in the defined location');
define('EMPTY_EVENTS_CATEGORY', 'Empty Category');

define('TEXT_HOW_TO_COPY', 'Copy Method:');
define('TEXT_COPY_AS_LINK', 'Link event');
define('TEXT_COPY_AS_DUPLICATE', 'Duplicate event');

define('TEXT_EVENTS_REFUND_PAYMENT','Refund Payment method:');
define('TEXT_EVENTS_LOCATION','Location: ');
define('ERROR_CANNOT_LINK_TO_SAME_EVENTS_CATEGORY', 'Error: Can not link events in the same category.');
define('ERROR_CATALOG_IMAGE_DIRECTORY_NOT_WRITEABLE', 'Error: Catalog images directory is not writeable: ' . DIR_FS_CATALOG_IMAGES);
define('ERROR_CATALOG_IMAGE_DIRECTORY_DOES_NOT_EXIST', 'Error: Catalog images directory does not exist: ' . DIR_FS_CATALOG_IMAGES);
define('ERROR_CANNOT_MOVE_EVENTS_CATEGORY_TO_PARENT', 'Error: Category cannot be moved into child category.');


//comments for waiting list entry
define('APPLY_TO_VIP','Customers in Admin VIP group');
define('APPLY_TO_FIRSTCOME','Front and Admin Reservations');
define('DESCRIPTION_VIP','Customers who can modify their own reservations');
define('DESCRIPTION_FIRSTCOME','General waiting list all waiting list holders are added to. May be removed to waiting list automatically in the case of Custom question list or manually to VIP waiting lists.');
define('DESCRIPTION_CUSTOM','Customers who answer Pop-Up Question. The customer is added to this waiting list rather than the First Come First Served list.');

define('TEXT_FORWARD_PERIOD','Forward reservation period');
define('TEXT_PERIOD_LENGTH','Period Length:');
define('TEXT_PENDING_PERIOD','Pending Period:');
define('TEXT_RENEWAL_END','Renewal Period End:');
define('TEXT_RENEWAL_START','Renewal Period Start:');
define('TEXT_FLS','Last Session');
define('TEXT_SLS','Second Last Session');
define('TEXT_DLS','Third Last Session');
define('TEXT_OBS','One week before Last Session');
define('TEXT_TBS','Two weeks before Last Session');
define('TEXT_SESSION_GAPS','Session Gaps');
define('TEXT_SESSION_REDUCTION','Session Reduction');
define('TEXT_WAITLIST_STYLE','Waiting List Style');
define('TEXT_STYLE_SESSION','Per Session');
define('TEXT_STYLE_EVENT','Per Event');
define('TEXT_RATE_TYPE','Rate Type: ');
define('TEXT_RATE','Rate:');
define('TEXT_BASE_RATE','Base Rate:');
define('TEXT_ALLOW_GROUP_BOOKINGS','Allow Group Bookings');
define('TEXT_MIN_GROUP_SIZE','Min group size');
define('TEXT_MAX_GROUP_SIZE','Max group size');

define('TEXT_RATE_TYPE_GP','Gross Percentage');
define('TEXT_RATE_TYPE_SP','Per Student Percentage');
define('TEXT_RATE_TYPE_MU','Per Student');
define('TEXT_RATE_TYPE_FL','Flat Rate');

define('TITLE_GROUP_GENERAL','General');
define('TITLE_GROUP_WAITLIST','Waiting List');
define('TITLE_GROUP_FEES','Costs');
define('TITLE_GROUP_CONDITIONS','Conditions');
define('TITLE_GROUP_INSTRUCTOR','Instructor');

define('TEXT_HIDE_NONE','Display Event');
define('TEXT_HIDE_ALWAYS','Archive Event');
define('TEXT_HIDE_START','Hide at Start of Event');
define('TEXT_HIDE_END','Hide at End of Event');
define('TEXT_DAYS',' days');
define('IMAGE_HIDE_START_EVENT','Hide at Start of Event');
define('IMAGE_HIDE_END_EVENT','Hide at End of Event');
define('IMAGE_HIDE_ALWAYS','Hide Always');

define('TEXT_SELECT','-- Select --');
define('TEXT_EVENT_DELETE_SUCCESS','Event Deleted Successfully...');
define('TEXT_EVENT_COPY_SUCCESS','Event Copied Successfully...');
define('TEXT_MAIN_CATEGORIES','Main Category');
define('TEXT_PRODUCTS_PRICE_INFO', 'Price:');
define('TEXT_RECORDS', 'Events');
define('TEXT_FEES_INFO',' for %s Classes');
define('TEXT_FEES_INFO_SINGLE',' for %s Class');
define('TEXT_ERR_MULTIPLE_MAX_RESERVATION','Maximum Reservation should be multiples of child events');
define('TEXT_ERR_FORCED_ITEM_COUNT','Forced item count should not exceeded the child event count');
define('TEXT_NO_CHILDS_FOUND','No child events found');
define('TEXT_LINKED_EVENTS','Do you want to link this event?');
define('TEXT_LINKED_TYPE','What type of link would you like?');
define('TEXT_LINKED_SUBSCRIPTION','Linked Subscription');
define('TEXT_LINKED_PARENT','Parent Event');
define('TEXT_LINKED_CHILD','Child Event');
define('TEXT_NOTE','Note: Parent & Child Events can be created only for single session events');
define('EVE_PARENT_EVENT','Please select any one of the parent event');
define('TEXT_ERR_CHILD_EVENT','Please select any one of the child event');
define('TEXT_ERR_PARENT_EVENT','Please select any one of the parent event');
define('ERR_ALREADY_PARENT','It is already a parent to some other events');
define('ERR_ALREADY_CHILD','It is already a child to some other events');
define('ERR_SINGLE_SESSION_EVENTS','Note: Parent & Child events can be created only for single session events');
define('TEXT_DELETE_CHILD_EVENT_INTRO','There are some events still linked with this event! or This event is linked a child with some other event!');
define('TEXT_ERR_LINKED_TYPE','Please select any one of the linked event');
define('ERR_NO_PARENT_EVENTS','There are no parent found');
define('ERR_NO_CHILD_EVENTS','There are no single session events found');
define('TITLE_CHILD_EVENTS','List of child events: ');
define('TITLE_PARENT_EVENTS','List of parent events: ');
define('IMAGE_FAILED_TO_UPLOAD','Image failed to upload');
?>