<?php
/*

  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
  
  Freeway eCommerce from ZacWare
  http://www.openfreeway.org

Copyright 2007 ZacWare Pty. Ltd
*/
 // Check to ensure this file is included in Freeway!
defined('_FEXEC') or die(); 

define('HEADING_TITLE','Service Messages');
define('HEADING_MESSAGE_TITLE','Service');
define('TEXT_HEADING_SERVICES_MESSAGES','E-Marketing');
define('TEXT_HEADING_TITLE', 'Messages of %s');
define('TEXT_HEADING_PREVIEW','Preview Mail Template');

define('TEXT_MESSAGE_TYPE','Message Type');
define('TEXT_MESSAGE_ADD','Message Action');
define('TEXT_MESSAGE_SEND','When to Send');

// display of information headings

define('TEXT_REG_CONFIRM','Registration Confirmation');
define('TEXT_RENEWAL_REMIND','Renewal Reminder');
define('TEXT_FEEDBACK_REQUEST','Feedback Request');
define('TEXT_WAIT_PROMOTION','Wait list promotion to Reservation');
define('TEXT_WAIT_PROMOTION_UP','Waiting List promotion up List');
define('TEXT_WITHDRAW_REFUND','Withdrawal/Refund');
define('TEXT_SELECT_SERVICE','Select Service');

define('TEXT_EVENT_RESERVE','Message to Event Reservation placeholders');
define('TEXT_EVENT_WAITLIST','Message to all Event Waiting List Placeholders');

// text for entry form
define('TEXT_NEW_MESSAGE','Message Configuration');
define('TEXT_MESSAGE_SUBJECT','Email Subject:');
define('TEXT_MESSAGE_REPLY_TO','Email Reply-to:');
define('TEXT_MESSAGE_TEXT','Email Text:');
define('TEXT_MESSAGE_FORMAT','Email Format:');
define('TEXT_FORMAT_TEXT','Text Email');
define('TEXT_FORMAT_HTML','HTML Email');
define('TEXT_FORMAT_BOTH','Text and HTML Email');
define('TEXT_MERGE_FIELDS','Merge Fields');
define('TEXT_RENEWAL_EMAIL_SEND','Renewal Email Send');
define('TEXT_RESERVATION_EMAIL_SEND','Reservation Email Send');
define('TEXT_REGISTRATION_EMAIL_SEND','Registration Email Send');

define('TEXT_RENEWAL_START_BEFORE','Before end of Booking');
define('TEXT_RENEWAL_START_AFTER','After end of Booking');
define('TEXT_RENEWAL_END_BEFORE','Before end of Booking');
define('TEXT_RENEWAL_END_AFTER','After end of Booking');
define('TEXT_AFTER_REGISTER','After Registration');
define('TEXT_BEFORE_REGISTER','Before Registration');

define('TEXT_AFTER_BOOKING','After Booking');
define('TEXT_BEFORE_BOOKING','Before Booking');

//define('TEXT_REGISTER_EMAIL_DAYS','No of days after /before Registration ');
//define('TEXT_REGISTER_EMAIL_TIME','No of hours after /before Registration ');
//define('TEXT_RENEWAL_EMAIL_DAYS','No of days after /before Reservation ');
//define('TEXT_RENEWAL_EMAIL_TIME','No of hours after /before Reservation ');

define('TEXT_DAYS','days');
define('TEXT_HOURS','hours');

//image popup display text
define('IMAGE_ADD_MESSAGE','Add Message');
define('IMAGE_MODIFY_MESSAGE','Modify Message');
define('IMAGE_DELETE_MESSAGE','Delete Message');
define('IMAGE_TEST_TEMPLATE','Test Template');
define('IMAGE_CREATE_TEMPLATE','Create Template');
define('IMAGE_MODIFY_OPTIONS','Modify Options');
define('IMAGE_TEST_MAIL','Test Mail');

define('TEXT_AFTER_RESERVE','After Reservation');
define('TEXT_DAY_AFTER_RESERVE','Day After Reservation');

//error messge text
define('ERR_EMPTY_SUBJECT','Subject field must not be empty');
define('ERR_EMPTY_REPLY_TO','Reply to field must not be empty');
define('ERR_EMPTY_EMAIL_TEXT','Email text must not be empty');
define('ERR_INVALID_EMAIL_TEXT','Email address is invalid');
define('ERR_INVALID_REPLY_TO','Reply to address is invalid');
define('ERR_EMPTY_EMAIL_ADDRESS','Test Email address must not be empty');
//text for options

define('TEXT_HEADING_OPTIONS','Options');
define('TEXT_OPTIONS_TITLE','These options are for all messages');
define('TEXT_OPTIONS_TIME','Local Time: ');
define('TEXT_TEST_EMAIL','Test Email address: ');

define('TEXT_TITLE_','%s');
define('TEXT_TITLE_P','Customer Details');
define('TEXT_TITLE_O','Order Details');
define('TEXT_TITLE_E','Event Details');
define('TEXT_TITLE_X','Service Details');
define('TEXT_TITLE_W','Service Order Details');
define('TEXT_TITLE_R','Refund Details');
define('TEXT_TITLE_V','Invite Details');


define('TEXT_AFR','On Registration');
define('TEXT_DFR','Day after Registration');
define('TEXT_FLS','Last Session');
define('TEXT_SLS','Second Last Session');
define('TEXT_DLS','Third Last Session');
define('TEXT_OBS','One week before Last Session');
define('TEXT_TBS','Two weeks before Last Session');
define('TEXT_DFS','Day after Last Session');
define('TEXT_OLS','One week after Last Session');
define('TEXT_TLS','Two weeks after Last Session');
define('TEXT_RPR','Promotion on Reservation');
define('TEXT_WPR','Promotion on WaitingList');
define('TEXT_WTR','Withdrawal or refund');

define('TEXT_HEADING_EMPTY_SERVICES','No Services found to display.');
define('IMAGE_COPY_MESSAGES','Copy Message Templates');
define('TEXT_DELETE_CONFIRM','Are you sure to delete the Template?');
define('TEXT_TEST_CONFIRM','Do you want to send test mail?');
define('TEST_EMAIL_SENT_TO','Test Mail successfully sent');

define('TEXT_MAIL_FROM','<b>From</b> : %s (%s)');
define('TEXT_MAIL_TO','<b>To</b> : %s (%s)');
define('TEXT_MAIL_REPLY_TO','<b>Reply to</b> : %s');
define('TEXT_MAIL_SUBJECT','<b>Subject</b> : %s');
define('HEADING_TITLE_SEARCH','Select Services');
define('TABLE_HEADING_NAME','Message Type');
define('ERROR_MESSAGE_SUBJECT','Subject cannot be Empty');
define('ERROR_MESSAGE_REPLY','Message reply cannot be Empty');
define('ERROR_MESSAGE_FORMAT','Message format cannot be Empty');
define('ERROR_MESSAGE_CONTENT','Message content cannot be Empty');
define('TEXT_DELETE_INTRO','Are you sure to delete this template?');
define('TEXT_CUSTOMER_GROUPS_NOT_DELETED','Invalid Template id to delete');

define('TEXT_FROM','From');
define('TEXT_TO','To');
define('TEXT_SUBJECT','Subject');
define('TEXT_MESSAGE','Message');
define('TEXT_SUBSCRIPTION_HOLDERS','All Services Reservation holders');
define('ERROR_EMAIL_FROM','From Email id cannot be empty');
define('TEXT_SEND_MAILS','Mail sended successfully');
define('TEXT_UNDEFINED_METHOD','Required function is unavailable');
define('TEXT_GROUP_DELETE_SUCCESS','Deleted successfully');
define('ERR_SELECT_MESSAGE','Select one of the messages');
define('ERR_SELECT_SERVICES','Select one of the Services');
define('TEXT_SMS_MESSAGES_TITLE','Service messages');
define('SELECT_MESSAGES','Select Messages');
define('TEXT_TEST_MAIL_INTRO','Are you sure to send test mail?');
define('TEXT_TEST_MAIL_SENT_SUCCESS','Mail sended successfully...');
define('ERR_MESSAGE_REPLY_INVALID','Reply-to Email address is invalid');
define('ERR_EMPTY_MESSAGE_REPLY','Email Reply-to cannot be empty');
define('ERR_EMPTY_MESSAGE_SUBJECT','Email Subject cannot be empty');
define('NO_DETAILS_FOUND','No details found');
define('TEXT_NO_TEST_MAIL_INTRO','No details found');
define('TEXT_EMAIL_DELETE_SUCCESS','Template deleted successfully');
define('TEXT_NO_DELETE_INTRO','No contents found to delete');
?>
