<?php
/*
    Freeway eCommerce
    http://www.openfreeway.org
    Copyright (c) 2007 ZacWare
    
    Released under the GNU General Public License
*/
	defined('_FEXEC') or die();
	class marketingEventsSms{
		var $pagination;
		var $splitResult;
		var $type;
		function marketingEventsSms(){
			$this->pagination=false;
			$this->splitResult=false;
			$this->type='ESMS';
		}
		
		
		function doInfo(){
			global $FSESSION,$FREQUEST,$currencies;
		
			$sms_id=$FREQUEST->getvalue("rID");
			$sql_query="SELECT events_sms_message_id as message_id,message_type,message_send,message_subject,message_text from " . TABLE_EVENTS_SMS_MESSAGES . " where events_id='" .  tep_db_input($sms_id) ."'";
			
			if (tep_db_num_rows($sql_query)>0){
				$sms_result=tep_db_fetch_array($sql_query);
				$template=getInfoTemplate($sms_id);
				$rep_array=array(	"PRICE"=>HEADING_PRICE . ':' . $currencies->format($sms_result["item_price"]),
									"TYPE"=>$this->type,
									"DESCRIPTION"=>$sms_result['item_summary_desc'],
									"DATE_ADDED"=>TEXT_INFO_DATE_ADDED . ' : ' . format_date($sms_result["date_added"]),
									"DATE_MODIFIED"=>TEXT_INFO_DATE_MODIFIED . ' : ' . ($sms_result["date_modified"]=='' || $sms_result["date_modified"]=="0000-00-00"?format_date($item_result["date_added"]):format_date($item_result["date_modified"])),
									"ID"=>$item_result["item_id"],
									"IMAGE_WIDTH"=>SMALL_IMAGE_WIDTH,
									"IMAGE"=>tep_display_image($item_result["item_image"],$item_result["item_name"])
								);
				echo mergeTemplate($rep_array,$template);
				$jsData->VARS["updateMenu"]=",normal,";
			} else {
				echo 'Err:' . TEXT_PRODUCT_NOT_FOUND;
			}
		}
		function doItems()
		{
		global $FREQUEST,$jsData,$message_event;
		?>
	<Table width="100%" cellpadding="5" cellspacing="0" border="0">
	<?php
		$template=getListTemplate();			
			
	for($icnt=0;$icnt<sizeof($message_event);$icnt++){ 
	$rep_array=array(	"ID"=>$message_event[$icnt]['id'],
									"TYPE"=>$this->type,
									"NAME"=>$message_event[$icnt]['text'],
									"IMAGE_PATH"=>DIR_WS_IMAGES,
									"UPDATE_RESULT"=>'doDisplayResult',
									"ALTERNATE_ROW_STYLE"=>($i%2==0?"listItemEven":"listItemOdd"),
									"ROW_CLICK_GET"=>'Info',
									"FIRST_MENU_DISPLAY"=>""
								);
			echo mergeTemplate($rep_array,$template); 
	
	
	  } ?>
</table>
<?php	}
	
	}
	
	function getListTemplate(){
		ob_start();
		getTemplateRowTop();
?>
					<table border="0" cellpadding="0" cellspacing="0" width="100%" id="##TYPE####ID##">
						<tr>
							<td>
							<table border="0" cellpadding="0" cellspacing="0" width="100%">
								<tr>
									<td width="45%"class="main" onClick="javascript:doDisplayAction({'id':'##ID##','get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##&dType=##DISPLAY_TYPE##'});" id="##TYPE####ID##title">##NAME##</td>
									<td  width="25%" id="##TYPE####ID##menu" align="right" class="boxRowMenu">
										<span id="##TYPE####ID##mnormal" style="##FIRST_MENU_DISPLAY##">
										<a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':'##ID##','get':'Edit','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});"><img src="##IMAGE_PATH##/template/edit_blue.gif" title="Edit"/></a>
										<img src="##IMAGE_PATH##/template/img_bar.gif"/>
										<a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':##ID##,'get':'DeleteDisplay','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});"><img src="##IMAGE_PATH##/template/delete_blue.gif" title="Delete"/></a>
										<img src="##IMAGE_PATH##/template/img_bar.gif"/>
										</span>
										<span id="##TYPE####ID##mupdate" style="display:none">
										<a href="javascript:void(0)" onClick="javascript:return doUpdateAction({'id':##ID##,'get':'Update','imgUpdate':true,'type':'##TYPE##','style':'boxRow','validate':itemValidate,'uptForm':'itemSubmit','customUpdate':doItemUpdate,'result':##UPDATE_RESULT##,'message1':page.template['UPDATE_DATA'],'message':page.template['UPDATE_IMAGE']});"><img src="##IMAGE_PATH##/template/img_save_green.gif" title="Save"/></a>
										<img src="##IMAGE_PATH##/template/img_bar.gif"/>
										<a href="javascript:void(0)" onClick="javascript:return doCancelAction({'id':##ID##,'get':'Edit','type':'##TYPE##','style':'boxRow'});"><img src="##IMAGE_PATH##/template/img_close_blue.gif" title="Cancel"/></a>
										</span>
									</td>
								</tr>
							</table>
							</td>
						</tr>
					</table>
<?php
		getTemplateRowBottom();
		$contents=ob_get_contents();
		ob_end_clean();
		return $contents;
	}
	
	function getInfoTemplate(){
		ob_start();
?>
		<table border="0" cellpadding="4" cellspacing="0" width="100%">
			<div class="hLineGray"></div>
			<tr>
				<td valign="top" width="##IMAGE_WIDTH##"><div style="width:100%;height:100px;overflow:hidden">##IMAGE##</div></td>
				<td valign="top" width="250">
					<table border="0" cellpadding="3" cellspacing="0" width="100%">
						<tr>
							<td class="main">##DATE_ADDED##</td>
						</tr>
						<tr>
							<td class="main">##DATE_MODIFIED##</td>
						</tr>
					</table>
				</td>
				<td valign="top" class="smallText" align="justify">
					##DESCRIPTION##
				</td>
			</tr>
			<tr height="10">
				<td>&nbsp;</td>
			</tr>
		</table>
<?php
		$contents=ob_get_contents();
		ob_end_clean();
		return $contents;
	}
	
	
	?>