<?php
/*
    Freeway eCommerce
    http://www.openfreeway.org
    Copyright (c) 2007 ZacWare

    Released under the GNU General Public License
*/
// Set flag that this is a parent file
defined('_FEXEC') or die();
class productsExpected{
    var $pagination;
    var $splitResult;
    var $type;
    function productsExpected(){
        $this->pagination=false;
        $this->splitResult=false;
        $this->type = 'prdexp';
    }
    function doProductInfo($product_id=0){
        global $FSESSION,$FREQUEST,$currencies;
        if ($product_id<=0) $product_id=$FREQUEST->getvalue("rID","int",0);
        $product_query = tep_db_query("select pd.products_id, pd.products_name, pd.products_description, p.is_attributes,p.products_date_available, p.products_last_modified from " . TABLE_PRODUCTS_DESCRIPTION . " pd, " . TABLE_PRODUCTS . " p where p.products_id = pd.products_id and p.products_date_available != '' and pd.language_id = '" . (int)$FSESSION->languages_id . "' and p.products_id = '".$product_id."'");
        if (tep_db_num_rows($product_query)>0){
            $product_result=tep_db_fetch_array($product_query);
            $template=getProductInfoTemplate($product_id);
            $rep_array=array(	"PRD_DATE_EXPECTED"=>'<b>'.TEXT_INFO_DATE_EXPECTED . '</b> ' . format_date($product_result["products_date_available"]),
                                    "PRD_DATE_MODIFIED"=>((format_date($product_result["products_last_modified"])=='')?(""):('<b>'.TEXT_LAST_MODIFIED . '</b> ' . format_date($product_result["products_last_modified"]))),
                                    "PRD_DESCRIPTION"=>$product_result["products_description"],
                                    "PRD_ID"=>$product_result["products_id"],
            );
            echo mergeTemplate($rep_array,$template);
            $jsData->VARS["updateMenu"]=",normal,";
        } else {
            echo 'Err:' . TEXT_PRODUCT_NOT_FOUND;
        }
    }
    function doProductUpdate(){
        global $FSESSION,$FREQUEST,$LANGUAGES,$jsData,$SERVER_DATE,$SERVER_DATE_TIME;
        $ID=$FREQUEST->postvalue("product_id","int",-1);
        $insert=true;
        if ($ID>0) $insert=false;

        $sql_array=array();
        if ($insert){
            $max_query=tep_db_query("select max(products_sort_order) as sort_order from " . TABLE_PRODUCTS);
            $max_result=tep_db_fetch_array($max_query);
            $sql_array["products_sort_order"]=((int)$max_result["sort_order"])+1;
        }
        $products_status=$sql_array["products_status"]=$FREQUEST->postvalue("products_status","int",0);
        $sql_array["products_date_available"]=$FREQUEST->postvalue("products_date_available");
        if ($sql_array["products_date_available"]=='') {
            $sql_array["products_date_available"]=$SERVER_DATE_TIME;
        } else {
            $sql_array["products_date_available"]=tep_convert_date_raw($sql_array["products_date_available"]);
        }
        $products_date_available=tep_convert_date_raw($sql_array["products_date_available"]);
        $sql_array["manufacturers_id"]=$FREQUEST->postvalue('manufacturers_id','int',0);
        $sql_array["restrict_to_groups"]=$FREQUEST->postvalue("restrict_to_groups");
        $sql_array["restrict_to_customers"]=$FREQUEST->postvalue("restrict_to_customers");

        $product_type=$sql_array["product_type"]=$FREQUEST->postvalue('product_type','string','G');
        $sql_array["products_model"]=$sql_array["author_name"]='';
        switch($product_type){
            case 'B':
                $sql_array["author_name"]=$FREQUEST->postvalue("author_name");
                break;
            default:
                $sql_array["products_model"]=$FREQUEST->postvalue("products_model");
            }
            $product_mode=$sql_array["product_mode"]=$FREQUEST->postvalue('product_mode','string','P');
            $sql_array["download_last_date"]==$sql_array["download_link"]='';
            $sql_array["downloads_per_customer"]=0;

            if ($product_mode=="V"){
                $sql_array["download_last_date"]=$FREQUEST->postvalue("download_last_date");
                if ($sql_array["download_last_date"]=='') {
                    $sql_array["download_last_date"]=$SERVER_DATE;
                } else {
                    $sql_array["download_last_date"]=tep_convert_date_raw($sql_array["download_last_date"]);
                }
                $sql_array["downloads_per_customer"]=$FREQUEST->postvalue("downloads_per_customer",int,0);
                $sql_array["download_link"]=$FREQUEST->postvalue("download_link");
                $sql_array["products_weight"]=0;
            } else {
                $sql_array["products_weight"]=$FREQUEST->postvalue("products_weight",'float',0);
            }
            $sql_array["products_tax_class_id"]=$FREQUEST->postvalue("products_tax_class_id",'int',0);
            $sql_array["products_price"]=$FREQUEST->postvalue("products_price",'float',0);
            $sql_array["products_quantity"]=$FREQUEST->postvalue("products_quantity",'int',0);
            $sql_array["products_sku"]=$FREQUEST->postvalue("products_sku");
            for ($icnt=1;$icnt<=5;$icnt++){
                $sql_array["products_image_". $icnt]=$FREQUEST->postvalue("products_image_" . $icnt);
                $sql_array["products_title_". $icnt]=$FREQUEST->postvalue("products_title_" . $icnt);
            }
            $sql_array["is_attributes"]=$FREQUEST->postvalue('is_attributes','string','N');
            $sql_array["is_subscription"]=$FREQUEST->postvalue('is_subscription','string','N');
            $sql_array["products_price_break"]=$FREQUEST->postvalue('products_price_break','string','N');

            if ($insert){
                $sql_array["products_date_added"]=$SERVER_DATE_TIME;
                tep_db_perform(TABLE_PRODUCTS,$sql_array);
                $ID=tep_db_insert_id();
            } else {
                $sql_array["products_last_modified"]=$SERVER_DATE_TIME;
                tep_db_perform(TABLE_PRODUCTS,$sql_array,"update","products_id=$ID");
            }
            for ($icnt=0,$n=count($LANGUAGES);$icnt<$n;$icnt++){
                $products_name=$FREQUEST->getRefValue("products_name","POST");
                $products_description=$FREQUEST->getRefValue("products_description","POST");
                $products_url=$FREQUEST->getRefValue("products_url","POST");
                $lang_id=$LANGUAGES[$icnt]["id"];
                $sql_array=array(	"products_name"=>tep_db_prepare_input($products_name[$lang_id]),
                                    "products_url"=>tep_db_prepare_input($products_url[$lang_id]),
                                    "products_description"=>tep_db_prepare_input($products_description[$lang_id])
                );
                $desc_insert=true;
                if (!$insert){
                    $check_query=tep_db_query("SELECT products_id from " . TABLE_PRODUCTS_DESCRIPTION . " where products_id=$ID and language_id=$lang_id");
                    if (tep_db_num_rows($check_query)>0) $desc_insert=false;
                }
                if ($desc_insert){
                    $sql_array["products_id"]=$ID;
                    $sql_array["language_id"]=$lang_id;
                    tep_db_perform(TABLE_PRODUCTS_DESCRIPTION,$sql_array);
                } else {
                    tep_db_perform(TABLE_PRODUCTS_DESCRIPTION,$sql_array,"update","products_id=$ID and language_id=$lang_id");
                }
            }
            if (!$insert){
                tep_db_query("delete from " . TABLE_PRODUCTS_TO_SUPPORT_PACKS . " where product_id=$ID");
                tep_db_query("delete from " . TABLE_PRODUCTS_TO_SUBSCRIPTIONS . " where products_id=$ID");
                tep_db_query("delete from " . TABLE_PRODUCTS_PRICE_BREAK . " where products_id=$ID");
            }
            $support_packs=$FREQUEST->getRefValue("supportPacks","POST");
            for ($icnt=0,$n=count($support_packs);$icnt<$n;$icnt++){
                $subs_id=(int)tep_db_prepare_input($support_packs[$icnt]["subsID"]);
                $no_users=(int)tep_db_prepare_input($support_packs[$icnt]["noUsers"]);
                $sql="INSERT into " .TABLE_PRODUCTS_TO_SUPPORT_PACKS . "(product_id,subscription_id,no_users) VALUES($ID,$subs_id,$no_users)";
                tep_db_query($sql);
            }
            $linked_subs=$FREQUEST->getRefValue("subscription_link_ids","POST");
            for ($icnt=0,$n=count($linked_subs);$icnt<$n;$icnt++){
                $subs_id=tep_db_prepare_input($linked_subs[$icnt]);
                $sql="INSERT into " .TABLE_PRODUCTS_TO_SUBSCRIPTIONS . "(products_id,subscription_id) VALUES($ID,$subs_id)";
                tep_db_query($sql);
            }

            $price_breaks=$FREQUEST->getRefValue("priceBreaks","POST");
            for ($icnt=0,$n=count($price_breaks);$icnt<$n;$icnt++){
                $quan=tep_db_prepare_input($price_breaks[$icnt]["quan"]);
                $price=tep_db_prepare_input($price_breaks[$icnt]["price"]);
                $sql="INSERT into " .TABLE_PRODUCTS_PRICE_BREAK . "(products_id,quantity,discount_per_item) VALUES($ID,$quan,$price)";
                tep_db_query($sql);
            }

            $categories=$FREQUEST->getRefValue("categories_ids","POST");
            if (count($categories)>0){
                if (!$insert) {
                    tep_db_query("delete from " . TABLE_PRODUCTS_TO_CATEGORIES . " where products_id=$ID");
                }
                for ($icnt=0,$n=count($categories);$icnt<$n;$icnt++){
                    $cat_id=tep_db_prepare_input($categories[$icnt]);
                    $sql="INSERT into " .TABLE_PRODUCTS_TO_CATEGORIES . "(products_id,categories_id) VALUES($ID,$cat_id)";
                    tep_db_query($sql);
                }
            }
            $prev_attribute_ids=$FREQUEST->postvalue('prev_attribute_ids');
            if ($prev_attribute_ids!='') $prev_attribute_ids="," .$prev_attribute_ids . ",";

            $attributes=$FREQUEST->getRefValue("attributes","POST");
            if (count($attributes)>0){
                while(list($key,)=each($attributes)){
                    if ($attributes[$key]["prefix"]!="+" && $attributes[$key]["prefix"]!="-") $attributes[$key]["prefix"]="+";
                    if ($attributes[$key]["weight_prefix"]!="+" && $attributes[$key]["weight_prefix"]!="-") $attributes[$key]["weight_prefix"]="+";
                    $sql_array=array("options_values_price"=>(float)tep_db_prepare_input($attributes[$key]["price"]),
                                     "price_prefix"=>tep_db_prepare_input($attributes[$key]["prefix"]),
                                     "products_options_sort_order"=>(int)tep_db_prepare_input($attributes[$key]["sort_order"]),
                                     "products_attributes_weight_prefix"=>tep_db_prepare_input($attributes[$key]["weight_prefix"]),
                                     "products_attributes_weight"=>(float)tep_db_prepare_input($attributes[$key]["weight"])
                    );
                    $temp=split("-",$key);

                    if (strpos($prev_attribute_ids,"," . $key . ",")===false){
                        $sql_array["options_id"]=$temp[0];
                        $sql_array["options_values_id"]=$temp[1];
                        $sql_array["products_id"]=$ID;
                        tep_db_perform(TABLE_PRODUCTS_ATTRIBUTES,$sql_array);
                    } else {
                        tep_db_perform(TABLE_PRODUCTS_ATTRIBUTES,$sql_array,"update","products_id=$ID and options_id={$temp[0]} and options_values_id={$temp[1]}");
                        $prev_attribute_ids=str_replace("," . $key . ",",",",$prev_attribute_ids);
                    }
                }
            }
            $prev_attribute_ids=substr($prev_attribute_ids,1,-1);
            if ($prev_attribute_ids!=''){
                $prev_attribute_ids="'" . str_replace(",","','",$prev_attribute_ids) . "'";
                tep_db_query("DELETE from " . TABLE_PRODUCTS_ATTRIBUTES . " where products_id=$ID and concat(options_id,'-',options_values_id) in($prev_attribute_ids)");
            }
            $prev_attribute_stock_ids=$FREQUEST->postvalue('prev_attribute_stock_ids');
            if ($prev_attribute_stock_ids!='') $prev_attribute_stock_ids="," .$prev_attribute_stock_ids . ",";
            $attrib_stock=$FREQUEST->getRefValue("attribStock","POST");
            $delete_check_ids='';
            if (count($attrib_stock)>0){
                for($icnt=0,$n=count($attrib_stock);$icnt<$n;$icnt++){
                    $sql_array=array("products_quantity"=>tep_db_prepare_input($attrib_stock[$icnt]["qty"]),
                                     "sku"=>tep_db_prepare_input($attrib_stock[$icnt]["sku"]),
                                     "attribute_status"=>tep_db_prepare_input($attrib_stock[$icnt]["status"])
                    );
                    if (strpos($prev_attribute_stock_ids,"," . $attrib_stock[$icnt]["id"] . ",")===false){
                        $sql_array["attributes_id"]=tep_db_prepare_input($attrib_stock[$icnt]["id"]);
                        $sql_array["products_id"]=tep_db_prepare_input($ID);
                        tep_db_perform(TABLE_PRODUCTS_STOCK,$sql_array);
                    } else {
                        tep_db_perform(TABLE_PRODUCTS_STOCK,$sql_array,"update","products_id=$ID and attributes_id='" . tep_db_prepare_input($attrib_stock[$icnt]["id"]) . "'");
                        $prev_attribute_stock_ids=str_replace("," . $attrib_stock[$icnt]["id"] . ",",",",$prev_attribute_stock_ids);
                    }
                }
            }
            $prev_attribute_stock_ids=substr($prev_attribute_stock_ids,1,-1);
            if ($prev_attribute_stock_ids!=''){
                $prev_attribute_stock_ids="'" . str_replace(",","','",$prev_attribute_stock_ids) . "'";
                tep_db_query("DELETE from " . TABLE_PRODUCTS_STOCK . " where products_id=$ID and attributes_id in($prev_attribute_stock_ids)");
            }
            if ($insert) {
                $this->doGetExpectedProducts();
            } else {
                if ($products_status==1){
                    $result='<a href="javascript:void(0)" onclick="javascript:doSimpleAction({id:'. $ID .",get:\'ProductChangeStatus\',result:doSimpleResult,params:\'pID=". $ID . "&status=0\'});\">" . tep_image(DIR_WS_IMAGES . 'template/icon_active.gif') . '</a>';
                } else {
                    $result='<a href="javascript:void(0)" onclick="javascript:doSimpleAction({id:'. $ID .",get:\'ProductChangeStatus\',result:doSimpleResult,params:\'pID=". $ID . "&status=1\'});\">" . tep_image(DIR_WS_IMAGES . 'template/icon_inactive.gif') . '</a>';
                }
                $jsData->VARS["replace"]=array("prdexp" . $ID . "products"=>$products_name[$FSESSION->languages_id],"prdexp" . $ID . "expected"=>$products_date_available);
                $jsData->VARS["prevAction"]=array('id'=>$ID,'get'=>'ProductInfo','type'=>'prdexp','style'=>'boxRow');
                $this->doProductInfo($ID);
                $jsData->VARS["updateMenu"]=",normal,";
            }
        }
        function doProductEdit(){
            global $FREQUEST,$jsData,$CAT_TREE,$FSESSION,$LANGUAGES;
            $product_id=$FREQUEST->getvalue('rID','int',0);

            for ($icnt=0,$n=count($LANGUAGES);$icnt<$n;$icnt++){
                $products_name[$LANGUAGES[$icnt]['id']]='';
                $products_description[$LANGUAGES[$icnt]['id']]='';
                $products_url[$LANGUAGES[$icnt]['id']]='';
            }
            if ($product_id>0){
                $product_query = tep_db_query("select p.products_id,p.products_quantity, p.is_attributes,p.products_price_break,p.author_name,p.products_model,p.products_sku,
                                                     p.products_image_1,p.products_image_2,p.products_image_3,p.products_image_4,p.products_image_5,p.products_title_1,p.products_title_2,
                                                     p.products_title_3,p.products_title_4,p.products_title_5,p.products_price, p.products_weight, p.products_sort_order, date_format(p.products_date_added,'%Y-%m-%d') as products_date_added, date_format(p.products_last_modified,'%Y-%m-%d') as products_last_modified, date_format(p.products_date_available, '%Y-%m-%d') as products_date_available, p.products_status, p.products_tax_class_id,
                                                     p.manufacturers_id,p.is_subscription,p.restrict_to_groups,p.restrict_to_customers,p.product_type,p.product_mode,p.download_link,p.downloads_per_customer,p.download_last_date from " . TABLE_PRODUCTS . " p where p.products_id =" . $product_id);

                $product_result=tep_db_fetch_array($product_query);
                $description_query=tep_db_query("SELECT products_name,products_url,products_description ,language_id from " . TABLE_PRODUCTS_DESCRIPTION . " where products_id=" . $product_id);
                while($description=tep_db_fetch_array($description_query)){
                    $products_name[$description['language_id']]=tep_db_input($description["products_name"]);
                    $products_url[$description['language_id']]=tep_db_input($description["products_url"]);
                    $products_description[$description['language_id']]=tep_db_input($description["products_description"]);
                }
            } else {
                $product_result=array('products_id'=>0,'products_quantity'=>'','is_attributes'=>'N',"products_price_break"=>'N',"author_name"=>"","products_model"=>'','products_sku'=>'',
                                'products_image_1'=>'','products_image_2','products_image_3','products_image_4','products_image_5','products_title_1'=>'','products_title_2'=>'','products_title_3'=>'','products_title_4'=>'','products_title_5'=>'',
                                'products_price'=>'','products_weight'=>'0','products_sort_order'=>'','products_date_added'=>'','products_last_modified'=>'','products_date_available'=>'','products_status'=>'1', 'products_tax_class_id'=>'',
                                'manufacturers_id'=>'','is_subscription'=>'','restrict_to_groups'=>'','restrict_to_customers'=>'','product_type'=>'','product_mode'=>'P','download_link'=>'','downloads_per_customer'=>'','download_last_date'=>''
                );
            }
            $product=new objectInfo($product_result);

            $tax_rate=tep_get_tax_rate($product->products_tax_class_id);

            $manufacturers_array = array(array('id' => '', 'text' => TEXT_NONE));
            $manufacturers_query = tep_db_query("select manufacturers_id, manufacturers_name from " . TABLE_MANUFACTURERS . " order by manufacturers_name");
            while ($manufacturers = tep_db_fetch_array($manufacturers_query)) {
                $manufacturers_array[] = array('id' => $manufacturers['manufacturers_id'],
                                             'text' => $manufacturers['manufacturers_name']);
            }

            $customer_groups_list=array();
            $customer_group_query=tep_db_query('select customers_groups_id,customers_groups_name from '.TABLE_CUSTOMERS_GROUPS . ' where customers_groups_name!="" order by customers_groups_name');
            while($customer_group=tep_db_fetch_array($customer_group_query)){
                $customer_groups_list[]=array('id'=>$customer_group['customers_groups_id'],'text'=>$customer_group['customers_groups_name']);
            }

            $get_selected_groups=array();
            if($product->restrict_to_groups!="") {
                $str_splt=split(",",$product->restrict_to_groups);
                for($icnt=0,$n=count($str_splt);$icnt<$n;$icnt++) {
                    $get_selected_groups[]=array('id'=>$str_splt[$icnt]);
                }
            }
            $customers_list=array();
            $customer_query=tep_db_query("select customers_id,concat(customers_lastname,' ',customers_firstname) as customer_name from ".TABLE_CUSTOMERS . ' order by customers_lastname,customers_firstname');

            while($customers=tep_db_fetch_array($customer_query)){
                $customers_list[]=array('id'=>$customers['customers_id'],'text'=>$customers['customer_name']);
            }

            $get_selected_customers=array();
            if($product->restrict_to_customers!="") {
                $str_splt=split(",",$product->restrict_to_customers);
                for($icnt=0,$n=count($str_splt);$icnt<$n;$icnt++) {
                    $get_selected_customers[]=array('id'=>$str_splt[$icnt]);
                }
            }
            $break_array=array();
            $js_break_array=array();
            if($product->products_price_break=='Y') {
                $break_query=tep_db_query("select * from " . TABLE_PRODUCTS_PRICE_BREAK . " where products_id='" . $product_id . "' order by quantity");
                while($break_result=tep_db_fetch_array($break_query)){
                    $new_price=tep_add_tax(($product->products_price-$break_result['discount_per_item']),$tax_rate);
                    $break_array[]=array('id'=>$break_result['quantity'] . '##' . $break_result['price'], 'text'=>str_replace(array("##1##","##2##"),array($break_result['quantity'],$new_price),TEXT_PRICE_BREAK_OPTION_TEXT));
                    $js_break_array[]=array("quan"=>$break_result['quantity'],"price"=>$break_result['discount_per_item']);
                }
            }

            if (count($CAT_TREE)<=0)$categories_array = tep_get_category_tree(0,'',0);

            if($product_id>0){
                $categories_query_selected = tep_db_query("select categories_id from " . TABLE_PRODUCTS_TO_CATEGORIES . " where products_id = " . $product_id);
                while ($categories = tep_db_fetch_array($categories_query_selected)){
                    $categories_array_selected[] = array('id' => $categories['categories_id']);
                }

                if ($product->is_subscription=="Y"){
                    $link_subscription_query=tep_db_query("select * from " . TABLE_PRODUCTS_TO_SUBSCRIPTIONS ." where products_id=" .$product_id);
                    while($temp_result=tep_db_fetch_array($link_subscription_query)){
                        $subscription_categories_array_selected[]=array('id' => $temp_result['subscription_id']);
                    }
                }
            } else {
                $categories_array_selected[] = array('id' =>$category_id);
                $subscription_categories_array_selected=array();
            }

            $language_id = 1;

            $tax_class_array = array(array('id' => '0', 'text' => TEXT_NONE));
            $tax_class_query = tep_db_query("select tax_class_id, tax_class_title from " . TABLE_TAX_CLASS . " order by tax_class_title");
            while ($tax_class = tep_db_fetch_array($tax_class_query))
            $tax_class_array[] = array('id' => $tax_class['tax_class_id'],
                                         'text' => $tax_class['tax_class_title']);

            switch ($product->products_status) {
                case '0': $in_status = false; $out_status = true; break;
                    case '1':
                        default: $in_status = true; $out_status = false;
                        }
                        $current_date=getServerDate();

                        $products_type=array(
                            array('id'=>'G','text'=>TEXT_GENERAL),
                            array('id'=>'S','text'=>TEXT_SOFTWARE_PACK),
                            array('id'=>'B','text'=>TEXT_BOOK)
                        );

                        $supportSubs=array();
                        $supportSubsList=array();
                        $supportPacks=array();
                        $supportPacksList=array();

                        $support_subs_query=tep_db_query("SELECT su.subscription_id,sud.subscription_name from " . TABLE_SUBSCRIPTIONS . " su, " . TABLE_SUBSCRIPTIONS_DESCRIPTION . " sud where su.subscription_id=sud.subscription_id and language_id='" . $FSESSION->languages_id . "' " . SUBSCRIPTION_CONDITION_STATUS . " and su.subscription_type='P' order by sud.subscription_name");
                        while($temp_result=tep_db_fetch_array($support_subs_query)){
                            $supportSubsList[]=array('id'=>$temp_result['subscription_id'],'text'=>$temp_result['subscription_name']);
                            $supportSubs[$temp_result["subscription_id"]]=array("name"=>$temp_result["subscription_name"]);
                        }
                        if ($product_id>0){
                            $support_pack_query=tep_db_query("select subscription_id,no_users from ".TABLE_PRODUCTS_TO_SUPPORT_PACKS." where product_id=$product_id order by no_users");
                            if(tep_db_num_rows($support_pack_query)>0){
                                while($temp_result=tep_db_fetch_array($support_pack_query)){
                                    $supportPacksList[]=array('id'=>$temp_result['no_users'] . '##' . $temp_result["subscription_id"],'text'=>str_replace(array("##USER##","##SUBSNAME##"),array($temp_result["no_users"],$supportSubs[$temp_result["subscription_id"]]["name"]),TEXT_SUPPORTPACK_OPTION));
                                    $supportPacks[]=array("noUsers"=>$temp_result["no_users"],"subsID"=>$temp_result["subscription_id"]);
                                }
                            }
                        }
                        $_array=array('d','m','Y');  $replace_array=array('DD','MM','YYYY'); 	$date_format=str_replace($_array,$replace_array,EVENTS_DATE_FORMAT);
                        $panels=array('GENERAL','TYPE','DESCRIPTION','COSTSTOCK','ATTRIBUTES','IMAGE','LINKEDSUBS');
                        $default_panel='GENERAL';



                        $pr_attributes=array();
                        $js_attrib=array();
                        $prev_attribute='';
                        $attrib_combo=array();


                        $pr_attributes_query = tep_db_query("select po.products_options_id, po.products_options_name,pa.options_values_price,pov.products_options_values_id,pov.products_options_values_name,pa.options_values_id,
                                                        pa.price_prefix,pa.products_options_sort_order,pa.products_attributes_weight,pa.products_attributes_weight_prefix from "
                            . TABLE_PRODUCTS_OPTIONS . " po," . TABLE_PRODUCTS_OPTIONS_VALUES . " pov," . TABLE_PRODUCTS_OPTIONS_VALUES_TO_PRODUCTS_OPTIONS . " p2p LEFT JOIN ".TABLE_PRODUCTS_ATTRIBUTES." pa on pa.options_id=p2p.products_options_id and pa.options_values_id=p2p.products_options_values_id
                                                        and pa.products_id=$product_id where po.products_options_id=p2p.products_options_id and pov.products_options_values_id=p2p.products_options_values_id and po.language_id=" . $FSESSION->languages_id . " and pov.language_id=" . $FSESSION->languages_id . " order by po.products_options_sort_order,pov.products_options_values_name");

                        while($temp=tep_db_fetch_array($pr_attributes_query)){
                            $option_id=$temp["products_options_id"];
                            $value_id=$temp["products_options_values_id"];
                            if (!isset($pr_attributes[$option_id])){
                                $pr_attributes[$option_id]=array("name"=>tep_db_input($temp["products_options_name"]),"values"=>array());
                                $js_attrib[$option_id]=array("name"=>tep_db_input($temp["products_options_name"]),"values"=>array(),"useCnt"=>0);
                                $attrib_combo[$option_id]=array();
                            }
                            if ((int)$temp["options_values_id"]>0){
                                $pr_attributes[$option_id]["values"][$value_id]=array("price"=>$temp["options_values_price"],"price_prefix"=>$temp["price_prefix"],
                                                                                "sort_order"=>$temp["products_options_sort_order"],
                                                                                "weight"=>$temp["products_attributes_weight"],"weight_prefix"=>$temp["products_attributes_weight_prefix"],"show"=>true
                                );
                                $js_attrib[$option_id]["show"]=true;

                                $prev_attribute.=$option_id . "-" . $value_id .",";
                                $attrib_combo[$option_id][]=array("id"=>$value_id,"text"=>tep_db_input($temp["products_options_values_name"]));
                            } else {
                                $pr_attributes[$option_id]["values"][$value_id]=array("price"=>'',"price_prefix"=>'',"sort_order"=>'',"weight"=>'',"weight_prefix"=>'',"show"=>false);
                            }
                            $js_attrib[$option_id]["values"][$value_id]["name"]=tep_db_input($temp["products_options_values_name"]);
                            $pr_attributes[$option_id]["values"][$value_id]["name"]=tep_db_input($temp["products_options_values_name"]);
                        }
                        $prev_attribute=substr($prev_attribute,0,-1);


                        $attribStock=array();
                        $stockKeys=array();
                        $prevStockValue='';
                        if ($product_id>0){
                            $attrib_stock_query=tep_db_query("select attributes_id,products_quantity,sku,attribute_status from ".TABLE_PRODUCTS_STOCK . " where products_id=$product_id");
                            while($attrib_stock_result = tep_db_fetch_array($attrib_stock_query)){
                                $attrib_ids=split('-',$attrib_stock_result['attributes_id']);
                                $value_text='';
                                for($icnt=0,$n=count($attrib_ids);$icnt<$n;$icnt++){
                                    $option_values=split('{',$attrib_ids[$icnt]);
                                    $option_id=$option_values[0];
                                    $value_id=substr($option_values[1],0,-1);
                                    $js_attrib[$option_id]["useCnt"]++;
                                    $value_text.=$pr_attributes[$option_id]['name'] . ":" . $pr_attributes[$option_id]["values"][$value_id]["name"] . ",";
                                }
                                $attribStock[]=array(	'id' => $attrib_stock_result['attributes_id'],
                                            'option_text'=>substr($value_text,0,-1),
                                             'sku'=>$attrib_stock_result['sku'],
                                             'qty'=>$attrib_stock_result['products_quantity'],
                                             'status'=>$attrib_stock_result['attribute_status'],
                                             'mode'=>'E'
                                );
                                $prevStockValue.=$attrib_stock_result['attributes_id']. ",";
                            }
                            $prevStockValue=substr($prevStockValue,0,-1);
                        }
                        $jsData->VARS['storePage']=array('productPanel'=>$default_panel,"NUpriceBreaks"=>$js_break_array,"NUsupportPacks"=>$supportPacks,"attributes"=>$js_attrib,"NUattribStock"=>$attribStock,"curAttrStock"=>array());
                        $jsData->VARS["updateMenu"]=",update,";
                        $display_mode_html=' style="display:none"';

                        ?>
<table border="0" cellpadding="4" cellspacing="0" width="100%">
    <tr height="430px">
        <td valign="top" width="150">
            <table border="0" cellpadding="0" cellspacing="0" class="boxRoundPanel">
                <tr>
                    <td valign="top">
                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
                            <tr height="7">
                                <td class="tleft"></td>
                                <td></td>
                                <td class="tright"></td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td valign="top" class="mright">
                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
                            <?php for ($icnt=0,$n=count($panels);$icnt<$n;$icnt++){ ?>
                            <tr>
                                <td class="<?php echo ($default_panel==$panels[$icnt]?"productPanelSelect":"productPanel");?>" onclick="javscript:showPanelContent({id:'<?php echo $panels[$icnt];?>',className:'productPanel','type':'productPanel','extraFunc':<?php echo $panels[$icnt]=="DESCRIPTION"?'doProductEditor':'false';?>});" id="productPanel<?php echo $panels[$icnt];?>menu">
                                    <?php
                                    echo "<a href='javascript:void(0);'><div>" . constant("HEADING_ITEM_" .$panels[$icnt]) . '</div></a>';
                                    $jsData->VARS["storePage"]["productPanelMenus"][$panels[$icnt]]=array('text'=>constant("HEADING_ITEM_" .$panels[$icnt]));
                                    ?>
                                </td>
                            </tr>
                            <?php } ?>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td valign="top">
                        <table border="0" cellpadding="0" cellspacing="0" width="100%" class="bmiddle">
                            <tr height="7">
                                <td class="bleft"></td>
                                <td></td>
                                <td class="bright"></td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
        <td valign="top">
            <form action="products_mainpage_ajax.php" method="post" name="productSubmit" enctype="multipart/form-data" id="productSubmit">
                <input type="hidden" name="product_id" value="<?php echo tep_output_string($product_id);?>"/>
                <input type="hidden" name="category_id" value="<?php echo tep_output_string($category_id);?>"/>
                <input type="hidden" name="prev_attribute_stock_ids" value="<?php echo tep_output_string($prevStockValue);?>">
                <input type="hidden" name="prev_attribute_ids" value="<?php echo tep_output_string($prev_attribute);?>">
                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                <tr height="30">
                    <td class="headItemEdit" valign="top">
                        <?php echo tep_image(DIR_WS_IMAGES . '/template/arrow_down.gif','','','','align=absmiddle');?>
                        <span id="productPanelTitle">
                            <?php echo constant("HEADING_ITEM_" . $default_panel);?>
                        </span>
                        <hr size="1" color="#D2D8E7"/>
                    </td>
                </tr>
                <tr>
                <td valign="top">
                <table border="0" cellpadding="0" cellspacing="0" width="100%" class="productEditCol">
                    <tr id="productPanelGENERALview">
                        <td width="50%" valign="top">
                            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                <tr>
                                    <td class="main">
                                        <div style="padding-bottom:5px"><b><?php echo TEXT_PRODUCTS_NAME;?></b></div>
                                        <div style="padding-left:20px">
                                            <?php
                                            for ($icnt=0, $n=count($LANGUAGES); $icnt<$n; $icnt++) {
                                                echo tep_image(DIR_WS_CATALOG_LANGUAGES . $LANGUAGES[$icnt]['directory'] . '/images/' . $LANGUAGES[$icnt]['image'], $LANGUAGES[$icnt]['name'],'','','valign="top"');
                                                echo '&nbsp;' . tep_draw_input_field('products_name[' . $LANGUAGES[$icnt]['id'] . ']', tep_db_prepare_input($products_name[$LANGUAGES[$icnt]['id']]),'maxlength="64"') . '<br>';
                                            }
                                            ?>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="main">
                                        <?php
                                        echo '<div class="title">' . TEXT_PRODUCTS_STATUS . '</div>';
                                        echo tep_draw_radio_field('products_status', '1', $in_status) . '&nbsp;' . TEXT_PRODUCT_AVAILABLE . '&nbsp;' . tep_draw_radio_field('products_status', '0', $out_status) . '&nbsp;' . TEXT_PRODUCT_NOT_AVAILABLE;
                                        ?>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="main">
                                        <?php
                                        echo '<div class="title">' . TEXT_CATEGORIES . '</div>';
                                        echo tep_draw_mselect_checkbox('categories_ids[]',$categories_array,$categories_array_selected);
                                        ?>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="main">
                                        <?php
                                        echo '<div class="title">' . TEXT_PRODUCTS_MANUFACTURER . '</div>';
                                        echo tep_draw_pull_down_menu('manufacturers_id', $manufacturers_array, $product->manufacturers_id);
                                        ?>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td>
                            <table border="0" cellpadding="2" cellspacing="0" width="100%">
                                <tr>
                                    <td class="main">
                                        <?php echo '<div style="padding-bottom:5px"><b>' . TEXT_PRODUCTS_URL . '</b><small>' . TEXT_PRODUCTS_URL_WITHOUT_HTTP . '</small></div>'?>
                                        <div  style="padding-left:10px">
                                            <?php
                                            for ($icnt=0, $n=count($LANGUAGES); $icnt<$n; $icnt++) {
                                                echo tep_image(DIR_WS_CATALOG_LANGUAGES . $LANGUAGES[$icnt]['directory'] . '/images/' . $LANGUAGES[$icnt]['image'], $LANGUAGES[$icnt]['name'],'','','valign="top"');
                                                echo '&nbsp;' . tep_draw_input_field('products_url[' . $LANGUAGES[$icnt]['id'] . ']', tep_db_prepare_input($products_url[$LANGUAGES[$icnt]['id']]),'maxlength="64"') . '<br>';
                                            }
                                            ?>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="main">
                                        <?php
                                        echo '<div class="title">' . TEXT_PRODUCTS_DATE_AVAILABLE . '<small>(' . $date_format . ')</small></div>';
                                        echo tep_draw_input_field("products_date_available",(tep_not_null($product->products_date_available)?format_date($product->products_date_available):format_date($current_date)),"size=10",false,'text',false);
                                        echo tep_create_calendar("productSubmit.products_date_available",$date_format);
                                        ?>
                                    </td>
                                </tr>
                                <tr>
                                <td class="main">
                                <?php
                                echo '<div class="title">' .  TEXT_RESTRICT_GROUPS . '</div>';
                                echo tep_draw_mselect_checkbox('restrict_to_groups[]',$customer_groups_list,$get_selected_groups);
                                ?>
                                <tr>
                                    <td class="main">
                                        <?php
                                        echo '<div class="title">' .  TEXT_RESTRICT_CUSTOMERS . '</div>';
                                        echo tep_draw_mselect_checkbox('restrict_to_customers[]',$customers_list,$get_selected_customers);
                                        ?>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr id="productPanelDESCRIPTIONview" style="display:none">
                        <td colspan=2 valign="top">
                            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                <tr>
                                    <td valign="top" class="main" width="100%">
                                        <div  style="padding-left:10px">
                                            <?php
                                            for ($icnt=0, $n=count($LANGUAGES); $icnt<$n; $icnt++) {
                                                echo tep_image(DIR_WS_CATALOG_LANGUAGES . $LANGUAGES[$icnt]['directory'] . '/images/' . $LANGUAGES[$icnt]['image'], $LANGUAGES[$icnt]['name'],'','','valign="top"');
                                                echo '&nbsp;' . tep_draw_textarea_field('products_description[' . $LANGUAGES[$icnt]['id'] . ']', 'soft', '80', '24', tep_db_prepare_input($products_description[$LANGUAGES[$icnt]['id']])). '<br><br>';
                                            }
                                            ?>
                                        </div>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr id="productPanelTYPEview" style="display:none">
                        <td width="50%">
                            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                <tr>
                                    <td class="main">
                                        <div style="padding-bottom:5px">
                                            <b><?php echo TEXT_PRODUCT_TYPE;?></b>
                                        </div>
                                        <?php
                                        if (@strpos("GSB",$product->product_type)===false) $product->product_type='G';
                                        $jsData->VARS["storePage"]["ptypePanel"]=$product->product_type;
                                        echo tep_draw_pull_down_menu('product_type',$products_type,$product->product_type,'onChange="javascript:showPanelContent({id:this.value,type:\'ptypePanel\'});"');
                                        ?>
                                    </td>
                                </tr>
                                <tr id="ptypePanelGview" <?php echo $product->product_type=="G"?'':$display_mode_html;?>>
                                    <td class="main">
                                        <?php
                                        echo '<div class="title">' . TEXT_PRODUCTS_MODEL . '</div>';
                                        echo tep_draw_input_field('products_model',$product->products_model,'maxlength="12"');
                                        ?>
                                    </td>
                                </tr>
                                <tr id="ptypePanelSview" <?php echo $product->product_type=="S"?'':$display_mode_html;?>>
                                    <td class="main">
                                        <?php
                                        echo '<div class="title">' . TEXT_PRODUCTS_SUPPORT_PACK_SUBSCRIPTION . '</div>';
                                        ?>
                                        <table border="0" cellpadding="0" cellspacing="0">
                                            <tr>
                                                <td class="main">
                                                    <?php
                                                    echo tep_draw_pull_down_menu('spk_supportlist',$supportPacksList,'','size="5" style="width:300" onclick="javascript:doSupportPacks({cmd:\'selectPack\'});"');
                                                    ?>
                                                </td>
                                                <td width="20" align="right">
                                                    <?php
                                                    echo tep_image(DIR_WS_IMAGES.'template/img_copy.gif',IMAGE_ADD_SUBSCRIPTION,'','',' onmouseout="javascript:doImageHover(this,\'template/img_copy.gif\');" onmouseover="javascript:doImageHover(this,\'template/img_copy_hover.gif\');" onclick="javascript:doSupportPacks({cmd:\'addPack\'});"').'<br>&nbsp;';
                                                    echo tep_image(DIR_WS_IMAGES.'template/img_trash.gif',IMAGE_DELETE_SUBSCRIPTION,'','',' onmouseout="javascript:doImageHover(this,\'template/img_trash.gif\');" onmouseover="javascript:doImageHover(this,\'template/img_trash_hover.gif\');" onclick="javascript:doSupportPacks({cmd:\'deletePack\'});"');
                                                    ?>
                                                </td>
                                            </tr>
                                            <tr id="supportPackUpdateView" style="display:none">
                                                <td colspan="2" class="main">
                                                    <?php
                                                    echo '<div class="title">' . TEXT_PRODUCTS_UPDATE_SUPPORT_PACK . '</div>';
                                                    ?>
                                                    <table border="0" cellpadding="0" cellspacing="0" width="250" style="background-color:#F9FAFF; border-color: #7b9ebd; border-style:solid;border-width:1px;">
                                                        <tr>
                                                            <td class="main" style="padding:5px">
                                                                <?php
                                                                echo tep_draw_pull_down_menu('spk_subscriptions',$supportSubsList,'','size=5 style="width:200px"');
                                                                ?>
                                                            </td>
                                                            <td width="20" align="right" style="padding:5px">
                                                                <?php
                                                                echo tep_image(DIR_WS_IMAGES .'template/img_save1.gif',IMAGE_SAVE,'','','style="cursor:pointer;cursor:hand" onclick="javascript:doSupportPacks({cmd:\'savePack\'});"') .'<br><br>';
                                                                echo tep_image(DIR_WS_IMAGES . 'template/img_close1.gif',IMAGE_CLOSE,'','','style="cursor:pointer;cursor:hand" onclick="javascript:doSupportPacks({cmd:\'closePack\'});"');
                                                                ?>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td class="main" style="padding-left:5px;padding-bottom:5px">
                                                                <?php
                                                                echo '<div class="title">' . TEXT_NO_USERS . '</div>';
                                                                echo tep_draw_input_field('spk_nousers','',' size="6" maxlength="7" onKeyPress="javascript:return keyRestrict(event);"');
                                                                ?>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr id="ptypePanelBview" <?php echo $product->product_type=="B"?'':$display_mode_html;?>>
                                    <td class="main">
                                        <?php
                                        echo '<div class="title">' . TEXT_AUTHOR_NAME . '</div>';
                                        echo tep_draw_input_field('author_name',$product->author_name,'maxlength="255"');
                                        ?>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td>
                            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                <tr>
                                    <td class="main">
                                        <?php
                                        if (strpos("PV",$product->product_mode)===false) $product->product_mode="P";
                                        $mode_array[]=array("id"=>"P","text"=>"Physical");
                                        $mode_array[]=array("id"=>"V","text"=>"Downloadable");
                                        $jsData->VARS['storePage']['pmodePanel']=$product->product_mode;
                                        echo '<div class="title">' . TEXT_PRODUCT_MODE . '</div>';
                                        echo tep_draw_pull_down_menu("product_mode",$mode_array,$product->product_mode,'onchange="javascript:showPanelContent({id:this.value,type:\'pmodePanel\'});"');
                                        ?>
                                    </td>
                                </tr>
                                <tr id="pmodePanelPview" <?php echo $product->product_mode=="P"?'':$display_mode_html;?>>
                                    <td class="main">
                                    </td>
                                </tr>
                                <tr id="pmodePanelVview" <?php echo $product->product_mode=="V"?'':$display_mode_html;?>>
                                    <td class="main">
                                        <?php
                                        echo '<div class="title">' . TEXT_DOWNLOAD_DATE . '</div>';
                                        echo tep_draw_input_field("download_last_date",(tep_not_null($product->download_last_date)?format_date($product->download_last_date):format_date($current_date)),"size=10",false,'text',false);
                                        tep_create_calendar("productSubmit.download_last_date",$date_format);
                                        echo '<div class="title">' . TEXT_DOWNLOADS_PER_CUSTOMERS . '</div>';
                                        echo tep_draw_input_field('downloads_per_customer',$product->downloads_per_customer,'size=6');
                                        echo '<div class="title">' . TEXT_DOWNLOAD_LINK . '</div>';
                                        echo tep_draw_hidden_field('download_link',$product->download_link);
                                        echo '<div id="download_link_file_container">';
                                        echo tep_draw_file_field('download_link_file') . '&nbsp;' . $product->download_link;
                                        echo "</div>";
                                        ?>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr id="productPanelCOSTSTOCKview" style="display:none">
                        <td width="50%">
                            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                <tr>
                                    <td class="main">
                                    <?php
                                    echo '<div class="title">' . TEXT_PRODUCTS_TAX_CLASS . '</div>';
                                    echo tep_draw_pull_down_menu('products_tax_class_id',$tax_class_array,$product->products_tax_class_id,'onchange="javascript:updateGross();doPriceBreaks({cmd:\'refresh\'});" ');
                                    ?>
                                </tr>
                                <tr>
                                    <td class="main">
                                        <?php
                                        if (!tep_not_null($product->products_price)) $product->products_price=1;
                                        echo '<div class="title">' . TEXT_PRODUCTS_PRICE_NET . '<div>';
                                        echo tep_draw_input_field("products_price",$product->products_price,'maxlength="12" onKeyUp="javascript:updateGross();" onblur="javascript:doPriceBreaks({cmd:\'refresh\'});"');
                                        ?>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="main">
                                        <?php
                                        echo '<div class="title">' . TEXT_PRODUCTS_PRICE_GROSS . '</div>';
                                        echo tep_draw_input_field('products_price_gross',tep_add_tax($product->products_price,$tax_rate), 'onKeyUp="javacript:updateNet();" onblur="javascript:doPriceBreaks({cmd:\'refresh\'});"');
                                        ?>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="main">
                                        <?php
                                        echo '<div class="title">' . tep_draw_checkbox_field('products_price_break','Y',($product->products_price_break=='Y'?'Checked':''),'','onClick="javascript:toggleView({id:\'priceBreakView\',prop:\'display\'});"') . '&nbsp;' . EXT_PRICE_BREAK . '</div>';
                                        ?>
                                        <div id="priceBreakView" <?php echo $product->products_price_break=='Y'?'':$display_mode_html;?>>
                                            <table border="0" cellpadding="0" cellspacing="0">
                                                <tr>
                                                <td class="main" colspan="2">
                                                    <?php
                                                    echo '<div class="title">' . TEXT_PRODUCT_QUANTITY . '</div>';
                                                    echo tep_draw_input_field('pbk_quantity','','size="7" maxlength="6" onKeyUp="javascript:doPriceBreaks({cmd:\'priceChange\'});"  onKeyPress="return keyRestrict(event);"');
                                                    ?>
                                                </td>
                                                <tr>
                                                <tr>
                                                    <td class="main" colspan="2">
                                                        <?php
                                                        echo '<div class="title">' . TEXT_DISCOUNT_PRICE . '</div>';
                                                        echo tep_draw_input_field('pbk_discount_price','','size="10" maxlength="15" onKeyUp="javascript:doPriceBreaks({cmd:\'priceChange\'});"');
                                                        ?>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="main" colspan="2">
                                                        <?php
                                                        echo '<div class="title">' . TEXT_FINAL_PRICE . '</div>';
                                                        echo '<div id="pbk_calc_price">&nbsp;</div>';
                                                        ?>
                                                    </td>
                                                </tr>
                                                <tr><td height="10"></td></tr>
                                                <tr>
                                                    <td class="main">
                                                        <?php
                                                        echo tep_draw_pull_down_menu('pbk_list',$break_array,'',' size="7" style="width:350px;" onClick="doPriceBreaks({cmd:\'select\'})"');
                                                        ?>
                                                    </td>
                                                    <td class="main" width="20" align="right">
                                                        <img src="images/template/img_new.gif" alt="<?php echo IMAGE_ADD;?>" title="<?php echo IMAGE_ADD;?>"  style="cursor:pointer;cursor:hand;" onclick="javascript:doPriceBreaks({cmd:'addPrice'});" onmouseover="javascript:doImageHover(this,'template/img_new_hover.gif');" id="img_add" onmouseout="javascript:doImageHover(this,'template/img_new.gif');" />
                                                        <img src="images/template/img_edit.gif" alt="<?php echo IMAGE_UPDATE;?>" title="<?php echo IMAGE_UPDATE;?>" style="cursor:pointer;cursor:hand;" onclick="javascript:doPriceBreaks({cmd:'updatePrice'});" onmouseover="javascript:doImageHover(this,'template/img_edit_hover.gif');" onmouseout="javascript:doImageHover(this,'template/img_edit.gif');" />
                                                        <img src="images/template/img_trash.gif" alt="<?php echo IMAGE_DELETE;?>" title="<?php echo IMAGE_DELETE;?>" style="cursor:pointer;cursor:hand;" onclick="javascript:doPriceBreaks({cmd:'deletePrice'});" onmouseover="javascript:doImageHover(this,'template/img_trash_hover.gif');" onmouseout="javascript:doImageHover(this,'template/img_trash.gif');" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td>
                            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                <tr>
                                    <td class="main">
                                        <?php
                                        echo '<div class="title">' . TEXT_PRODUCTS_QUANTITY . '</div>';
                                        echo tep_draw_input_field('products_quantity',(tep_not_null($product->products_quantity)?$product->products_quantity:1),'onKeyPress="return keyRestrict(event);" maxlength=4');
                                        ?>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="main">
                                        <?php
                                        echo '<div class="title">' . TEXT_PRODUCTS_SKU . '</div>';
                                        echo tep_draw_input_field('products_sku',$product->products_sku,'size=20 maxlength=' . (SKU_LENGTH=='false'?'20':SKU_COUNT));
                                        ?>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="main">
                                        <?php
                                        echo '<div class="title">' . TEXT_PRODUCTS_WEIGHT . '</div>';
                                        echo tep_draw_input_field('products_weight',(SHOP_WEIGHT_UNIT=="OZ"?floor($product->products_weight) . "":$product->products_weight),'maxlength="6"') . "&nbsp;" . tep_get_unit_name();
                                        ?>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr id="productPanelATTRIBUTESview" style="display:none">
                        <td class="main">
                            <?php echo tep_draw_checkbox_field("is_attributes",'Y',($product->is_attributes=='Y'?true:false),'',"onClick='javascript:toggleView({id:\"attributesView\",prop:\"display\"});'") .'&nbsp;'. TEXT_IS_ATTRIBUTES;?>
                            <div id="attributesView" <?php echo ($product->is_attributes=='Y'?'':$display_mode_html);?>>
                                <table border="0" cellpadding="1" cellspacing="1" width="100%">
                                    <?php
                                    if (count($pr_attributes)>0){
                                        while(list($option_id,)=each($pr_attributes)){
                                            $option=&$pr_attributes[$option_id];
                                            if (count($option)>0){
                                                ?>
                                    <tr>
                                        <td>
                                            <table border="0" cellpadding="1" cellspacing="1" >
                                                <tr class="dataTableHeadingRow" height="20">
                                                    <td class="dataTableHeadingContent" width="250" align="left"><?php echo tep_db_prepare_input($option['name']); ?></td>
                                                    <td class="dataTableHeadingContent" width="50" align="center"><?php echo TEXT_ATTRIB_PREFIX; ?></td>
                                                    <td class="dataTableHeadingContent" width="70" align="center"><?php echo TEXT_ATTRIB_PRICE; ?></td>
                                                    <td class="dataTableHeadingContent" width="90" align="center"><?php echo TEXT_ATTRIB_SORT_ORDER; ?></td>
                                                    <td class="dataTableHeadingContent" width="90" align="center"><?php echo TEXT_ATTRIB_WEIGHT_PREFIX; ?></td>
                                                    <td class="dataTableHeadingContent" width="90" align="center"><?php echo TEXT_ATTRIB_WEIGHT; ?></td>
                                                </tr>

                                        <?php
                                        while(list($value_id,)=each($option["values"])){
                                            $value=&$option["values"][$value_id];
                                            $key=$option_id . "-". $value_id;
                                            ?>
                                                <tr class="attributes-odd">
                                                    <td class="smallText"><?php echo tep_draw_checkbox_field("att_option_value[$key]", 1, $value["show"],'','onClick=javascript:doAttributes({cmd:\'changeAttribSelect\',chkbox:this,optionID:'.$option_id .',valueID:' .$value_id.'});') . '&nbsp;' . tep_db_prepare_input($value['name']); ?>&nbsp;</td>
                                                    <td class="smallText" align="center"><?php echo tep_draw_input_field("prefix[$key]", $value['price_prefix'], 'size="2"'); ?></td>
                                                    <td class="smallText" align="center"><?php echo tep_draw_input_field("price[$key]", $value['price'], 'size="7"'); ?></td>
                                                    <td class="smallText" align="center"><?php echo tep_draw_input_field("sort_order[$key]",$value['sort_order'], 'size="7"'); ?></td>
                                                    <td class="smallText" align="center"><?php echo tep_draw_input_field("weight_prefix[$key]", $value['weight_prefix'], 'size="2"'); ?></td>
                                                    <td class="smallText" align="center"><?php echo tep_draw_input_field("weight[$key]", $value['weight'], 'size="7"'); ?></td>
                                                </tr>
                                                <?php
                                            } // while values
                                            ?>
                                            </table>
                                        </td>
                                    </tr>
                                    <?php
                                }
                            } //while options
                        }

                        ?>
                                </table>
                                <table border="0" cellpadding="1" cellspacing="1" width="100%">
                                    <tr>
                                        <td>
                                            <a href="javascript:void(0)" onclick="javascript:doAttributes({cmd:'addStockAttr'})">
                                                <?php echo tep_image(DIR_WS_IMAGES.'template/img_new.gif','New','22','22'); ?>
                                            </a>
                                        </td>

                                    </tr>
                                    <tr>
                                        <td>
                                        <table border="0" cellpadding="1" cellspacing="1" id="attributeStockTable">
                                            <tr class="dataTableHeadingRow">
                                                <td  class="dataTableHeadingContent" width="100"><?php echo TEXT_ATTRIB_SKU; ?></td>
                                                <td class="dataTableHeadingContent" width="340"><?php echo TEXT_ATTRIB_NAME;?></td>
                                                <td  class="dataTableHeadingContent" width="50"><?php echo TEXT_ATTRIB_STOCK; ?></td>
                                                <td  class="dataTableHeadingContent" width="100"><?php echo TEXT_ATTRIB_STATUS; ?></td>
                                                <td width="40">&nbsp;</td>
                                            </tr>
                                            <?php
                                            for($icnt=0,$n=count($attribStock);$icnt<$n;$icnt++){
                                                ?>
                                            <tr  class="attributes-odd">
                                                <td class="smallText"><?php echo $attribStock[$icnt]["sku"];?></td>
                                                <td class="smallText"><?php echo $attribStock[$icnt]["option_text"];?></td>
                                                <td class="smallText"><?php echo $attribStock[$icnt]["qty"];?></td>
                                                <td class="smallText"><?php echo ($attribStock[$icnt]["status"]=="1"?TEXT_IN_STOCK:TEXT_OUT_STOCK);?></td>
                                                <td valign="top" align="center">
                                                    <a href="javascript:void(0);" onclick="javascript:doAttributes({cmd:'editStockAttr',id:'<?php echo $attribStock[$icnt]["id"];?>'});"><?php echo tep_image(DIR_WS_IMAGES.'template/img_copy.gif',IMAGE_ADD_ATTRIBUTE);?></a>&nbsp;
                                                    <a href="javascript:void(0);" onclick="javascript:doAttributes({cmd:'deleteStockAttr',id:'<?php echo $attribStock[$icnt]["id"];?>'})"><?php echo tep_image(DIR_WS_IMAGES.'template/img_trash.gif',IMAGE_DELETE_ATTRIBUTE);?></a>
                                                </td>
                                            </tr>
                                            <?php
                                        }
                                        ?>
                                        </table>
                                    </tr>
                                    <tr height="5">
                                        <Td></Td>
                                    </tr>
                                    <tr id="attributeStockView" style="display:none">
                                        <td>
                                            <table border="0" cellpadding="0" cellspacing="1" width="400" bgcolor="#000000">
                                                <tr>
                                                    <td>
                                                        <table cellpadding="5" cellspacing="0" border="0" width="100%" bgcolor="#ebebff">
                                                            <tr>
                                                                <td class="main">
                                                                    <?php
                                                                    echo '<b>' . TEXT_ATTRIB_NAME . '</b>';
                                                                    ?>
                                                                </td>
                                                                <td align="right" width="150">
                                                                    <img src='images/template/img_savel.gif' alt='save' title='save' border='0' style="cursor:pointer;cursor:hand;" onclick="javascript:doAttributes({cmd:'updateStockAttr'});">&nbsp;&nbsp;<img src='images/template/img_closel.gif' alt='Reset' title='close' border='0' style="cursor:pointer;cursor:hand;" onclick="javascript:doAttributes({cmd:'closeStockAttr'});">
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td colspan="2" style="padding:5px;">
                                                                    <table border="0" cellpadding="0" cellspacing="4" width="100%">
                                                                        <tr>
                                                                            <td>
                                                                                <table border="0" cellpadding="0" cellspacing="0">
                                                                                    <?php
                                                                                    if (count($pr_attributes)>0){
                                                                                        reset($pr_attributes);
                                                                                        while(list($option_id,)=each($pr_attributes)){
                                                                                            ?>
                                                                                    <tr id="attribStockOption<?php echo $option_id;?>" <?php echo $js_attrib[$option_id]["show"]?'':$display_mode_html;?>>
                                                                                        <td class="main">
                                                                                            <?php
                                                                                            echo tep_db_prepare_input($pr_attributes[$option_id]["name"]) . '&nbsp;';
                                                                                            ?>
                                                                                        </td>
                                                                                        <td class="main" style="padding-bottom:10px">
                                                                                            <?php
                                                                                            echo tep_draw_pull_down_menu('att_stock_value' . $option_id,$attrib_combo[$option_id]);
                                                                                            ?>
                                                                                        </td>
                                                                                    </tr>
                                                                                    <?php
                                                                                }
                                                                            }
                                                                            ?>
                                                                                </table>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td class="main">
                                                                                <?php
                                                                                echo TEXT_QUANTITY.'&nbsp;&nbsp;: '.tep_draw_input_field('att_stock_quantity','',' size=10') . '&nbsp;';
                                                                                echo TEXT_PRODUCTS_SKU.'&nbsp;'.tep_draw_input_field('att_stock_sku','',' size=13');

                                                                                if(defined("SKU_LENGTH")) {
                                                                                    //$jsData->VARS["storePage"]["SKUlength"]=SKU_COUNT;
                                                                                }
                                                                                if (defined("SHOP_WEIGHT_UNIT")){
                                                                                    $jsData->VARS["storePage"]["weightUnit"]=SHOP_WEIGHT_UNIT;
                                                                                }
                                                                                ?>
                                                                            </td>
                                                                        </tr>
                                                                        <tr height="10">
                                                                            <Td></Td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td class="main">
                                                                                <?php
                                                                                echo TEXT_ATTRIBUTE_STATUS .'&nbsp;&nbsp;' . tep_draw_radio_field('att_stock_status', '1',' checked ') . '&nbsp;' . TEXT_ATTRIBUTE_AVAILABLE . '&nbsp;' . tep_draw_radio_field('att_stock_status', '0') . '&nbsp;' . TEXT_ATTRIBUTE_NOT_AVAILABLE;
                                                                                ?>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                    <tr id="productPanelIMAGEview" style="display:none">
                        <td width="50%" class="main">
                            <?php
                            for ($icnt=1;$icnt<=5;$icnt++){
                                $image_name=$product->{"products_image_" . $icnt};
                                echo '<div class="title">' .sprintf(TEXT_PRODUCTS_IMAGE,$icnt) . '</div>';
                                echo "<div id=\"products_image_{$icnt}_file_container\">" . tep_draw_file_field('products_image_' . $icnt ."_file") . $image_name . '</div>';
                                echo tep_draw_hidden_field('products_image_' . $icnt,$image_name);
                            }
                            ?>
                        </td>
                        <td class="main">
                            <?php
                            for ($icnt=1;$icnt<=5;$icnt++){
                                $title_name=$product->{"products_title_" . $icnt};
                                echo '<div class="title">' .sprintf(TEXT_PRODUCTS_TITLE,$icnt) . '</div>';
                                echo tep_draw_input_field('products_title_' . $icnt,$title_name,'max_length="100"');
                            }
                            ?>
                        </td>
                    </tr>
                    <tr id="productPanelLINKEDSUBSview" style="display:none;">
                        <td colspan="2" class="main">
                            <?php
                            $events_link=true;
                            echo tep_draw_checkbox_field('is_subscription','Y',($product->is_subscription=='Y'?true:false),'','onclick="javascript:toggleView({id:\'linkSubsView\',prop:\'display\'});"') . TEXT_CHECK_LINKED_SUBSCRIPTION . '<br><br>';
                            echo '<div id="linkSubsView"' . ($product->is_subscription=='Y'?'':$display_mode_html) .'>';
                            echo tep_draw_subscription_select_menu('subscription_categories_ids[]',$subscription_array,$subscription_categories_array_selected[0]['id'],' size=10 id="subscription_categories_ids" style="width:350"',false,0,false);
                            echo '</div>';
                            ?>
                        </td>
                    </tr>
                </table>
            </form>
        </td>
    </tr>
</table>
</td>
</tr>
<tr>
    <td class="main" id="<?php echo $this->type.$product_id;?>message"></td>
</tr>
</table>
<?php
}
function doGetExpectedProducts(){
global $FREQUEST,$FSESSION,$jsData;

$page=$FREQUEST->getvalue('page','int',1);
$orderBy=" order by p.products_date_available DESC";
$query_split=false;
$product_sql = "select pd.products_id, pd.products_name, p.is_attributes,p.products_date_available from " . TABLE_PRODUCTS_DESCRIPTION . " pd, " . TABLE_PRODUCTS . " p where p.products_id = pd.products_id and p.products_date_available != '' and pd.language_id = '" . (int)$FSESSION->languages_id . "' $orderBy";
$maxRows=$FSESSION->get('displayRowsCnt');
if ($this->pagination){
    $query_split=$this->splitResult = &instance::getSplitResult('PRDEXP');
    $query_split->maxRows=$maxRows;
    $query_split->parse($page,$product_sql);
    if ($query_split->queryRows > 0){
        $query_split->pageLink="doPageAction({'id':-1,'type':'" . $this->type ."','pageNav':true,'closePrev':true,'get':'GetExpectedProducts','result':doTotalResult,params:'page='+##PAGE_NO##,'message':'" . sprintf(INFO_LOADING_DATA,'##PAGE_NO##') . "'})";
    }
}
$product_query=tep_db_query($product_sql);

$template=getListTemplate();
$icnt=1;
?>
<div class="main" id="prdexp-1message"></div>
<table border="0" width="100%" height="100%" id="<?php echo $this->type;?>Table">
    <tr>
        <td>
            <table border="0" width="100%" cellpadding="0" cellspacing="0" height="100%">
                <tr>
                    <td>
                        <table border="0" width="100%" cellpadding="0" cellspacing="0" height="100%">
                            <tr class="dataTableHeadingRow">
                                <td class="main" width="45%">
                                    <b><?php echo TABLE_HEADING_PRODUCTS;?></b>
                                </td>
                                <td class="main">
                                    <b><?php echo TABLE_HEADING_DATE_EXPECTED;?></b>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <?php
            while($product_result=tep_db_fetch_array($product_query)){
                $rep_array=array(	"ID"=>$product_result["products_id"],
                                    "TYPE"=>$this->type,
                                    "PRODUCTS"=>$product_result["products_name"],
                                    "EXPECTED"=>$product_result["products_date_available"],
                                    "IMAGE_PATH"=>DIR_WS_IMAGES,
                                    "UPDATE_RESULT"=>'doDisplayResult',
                                    "UPDATE_DATA"=>TEXT_UPDATE_DATA,
                                    "ALTERNATE_ROW_STYLE"=>($icnt%2==0?"listItemOdd":"listItemEven"),
                                    "ROW_CLICK_GET"=>'ProductInfo',
                                    "FIRST_MENU_DISPLAY"=>""
                );
                echo mergeTemplate($rep_array,$template);
                $icnt++;
            }
            if (!isset($jsData->VARS["Page"])){
                $jsData->VARS["NUclearType"][]=$this->type;
            }
            ?>
        </td>
    </tr>
</table>	
<?php if (is_object($this->splitResult)){?>
<table border="0" width="100%" height="100%">
    <?php echo $this->splitResult->pgLinksCombo(); ?>
</table>
<?php }
}
function doProductMail(){
global $FREQUEST,$jsData,$FSESSION;

$product_id=$FREQUEST->getvalue('rID','int',0);
$product_query = tep_db_query("select pd.products_name from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_id = '" . (int)$product_id . "' and p.products_id = pd.products_id and pd.language_id = '" . (int)$FSESSION->languages_id . "'");
if(tep_db_num_rows($product_query)>0){
$product = tep_db_fetch_array($product_query);
$pInfo = new objectInfo($product);
}
$template=getProductMailInfo();
$rep_array=array(	"ID"=>$product_id,
    "TYPE"=>$this->type,
    "IMAGE_PATH"=>DIR_WS_IMAGES,
    "PRODUCTS"=>$pInfo->products_name,
    "UPDATE_RESULT"=>'doDisplayResult',
    "UPDATE_DATA"=>TEXT_UPDATE_DATA
);
echo mergeTemplate($rep_array,$template);
$product_mail='<input type=hidden name=attribute_value><div id=cus_text></div>';
$product_mail.='<table border="0" cellpading="0" cellspacing"0" class="infoBox">';	
$products_options_name = tep_db_query("select distinct popt.products_options_id, popt.products_options_name, popt.products_options_sort_order from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_ATTRIBUTES . " patrib where patrib.products_id='".$product_id."' and patrib.options_id = popt.products_options_id and popt.language_id = '" . (int)$FSESSION->languages_id . "'" . " order by popt.products_options_sort_order");      	
while($products_options_name_values = tep_db_fetch_array($products_options_name)) {
$selected = 0;
$products_options_array = array();		 	
if (PRODUCTS_OPTIONS_SORT_BY_PRICE !='1')
$products_options = tep_db_query("select pa.products_options_sort_order, pa.options_id, pov.products_options_values_id, pov.products_options_values_name, pa.options_values_price, pa.price_prefix from " . TABLE_PRODUCTS_ATTRIBUTES . " pa, " . TABLE_PRODUCTS_OPTIONS_VALUES . " pov where pa.products_id = '" . $product_id . "' and pa.options_id = '" . $products_options_name_values['products_options_id'] . "' and pa.options_values_id = pov.products_options_values_id and pov.language_id = '" . (int)$FSESSION->languages_id . "'" . " order by pa.products_options_sort_order, pov.products_options_values_name");
else
$products_options = tep_db_query("select pa.products_options_sort_order, pa.options_id, pa.options_values_id, pov.products_options_values_id, pov.products_options_values_name, pa.options_values_price, pa.price_prefix from " . TABLE_PRODUCTS_ATTRIBUTES . " pa, " . TABLE_PRODUCTS_OPTIONS_VALUES . " pov where pa.products_id = '" . $product_id . "' and pa.options_id = '" . $products_options_name_values['products_options_id'] . "' and pa.options_values_id = pov.products_options_values_id and pov.language_id = '" . (int)$FSESSION->languages_id . "'" . " order by pa.products_options_sort_order, pa.options_values_price");
while ($products_options_values = tep_db_fetch_array($products_options))
$products_options_array[] = array('id' => $products_options_values['products_options_values_id'], 'text' => $products_options_values['products_options_values_name']);
$product_mail.='<tr><td class="infoBoxContent" nowrap>' . $products_options_name_values['products_options_name'] . ':</td><td>' . tep_draw_pull_down_menu('id[' . $products_options_name_values['products_options_id'] . ']', $products_options_array,'','onchange="javascript:customer_count()";').'</td></tr>';
}
$product_mail.='</table>';		
echo $product_mail;		
$attributes_array=array(); 														
$options_array=tep_db_query("select products_options_id, products_options_name from " . TABLE_PRODUCTS_OPTIONS . " where language_id = '" . (int)$FSESSION->languages_id . "' order by products_options_sort_order");			
while($option_result=tep_db_fetch_array($options_array)){
$value_query=tep_db_query("select pov.products_options_values_id, pov.products_options_values_name from " . TABLE_PRODUCTS_OPTIONS_VALUES . " pov, " . TABLE_PRODUCTS_OPTIONS_VALUES_TO_PRODUCTS_OPTIONS . " p2p where pov.products_options_values_id = p2p.products_options_values_id and p2p.products_options_id = '" . (int)$option_result['products_options_id'] . "' and pov.language_id = '" . (int)$FSESSION->languages_id . "'");
while($value_result=tep_db_fetch_array($value_query)){
    $options_values_array[]=array('options_id' =>$option_result["products_options_id"],
                    'values_id' =>$value_result["products_options_values_id"],
                    'value_name' => $value_result["products_options_values_name"]);
}
$attributes_array[]=array("id"=>$option_result['products_options_id']);

}
$arr= array();
for($li=0,$max=sizeof($attributes_array);$li<$max;$li++){
$arr[$li]=$attributes_array[$li]['id'];
}	 
$jsData->VARS["attributesArray"] = $arr;

$product_query = tep_db_query("Select count(pr.attributes_id) as pcnt,pr.attributes_id from " . TABLE_PRODUCTS_REMINDERS. " pr where  pr.products_id='" . $product_id . "' group by pr.attributes_id,pr.email_address" );
$li=0;
while($row=tep_db_fetch_array($product_query)){
$jsData->VARS["productAttribute"][$li] = array(2);
$jsData->VARS["productAttribute"][$li][0] = $row['pcnt'];
$jsData->VARS["productAttribute"][$li][1] = $row['attributes_id'];
$li++;
}
$jsData->VARS["updateMenu"]="";
}
function doSendMail(){
global $FSESSION,$FREQUEST,$jsData;

$attribute_value=$FREQUEST->getvalue('attribute_value');
$pid=$FREQUEST->getvalue('pID','int',0);
if($attribute_value!=""){
$attribute_value=tep_get_sorted_attribute_ids($attribute_value);
$id_splt=split("-",$attribute_value);
for($inc=0;$inc<count($id_splt);$inc++){
    $option_values=split('{',$id_splt[$inc]);
    $att_value=tep_db_query("select po.products_options_name,po.products_options_id,pov.products_options_values_name,pov.products_options_values_id from " . TABLE_PRODUCTS_OPTIONS ." po ," . TABLE_PRODUCTS_OPTIONS_VALUES . " pov ," . TABLE_PRODUCTS_OPTIONS_VALUES_TO_PRODUCTS_OPTIONS . " povp, " . TABLE_PRODUCTS_ATTRIBUTES . " pa where po.products_options_id=povp.products_options_id and pov.products_options_values_id=povp.products_options_values_id and pa.options_id=po.products_options_id and pa.options_values_id=pov.products_options_values_id and pa.products_id='".(int)$pid."' and po.products_options_id = '".$option_values[0]."' and pov.products_options_values_id='".$option_values[1]. "' ");
    $att_value_result = tep_db_fetch_array($att_value);
    $att_op_name.= $att_value_result['products_options_name'].'-'.$att_value_result['products_options_values_name'].'<br>';
}
}
if($pid>0){
if($FREQUEST->getvalue('attribute_value')!=''){
    $product_query = tep_db_query("Select p.products_id,p.products_model,p.products_date_available,p.products_quantity,p.products_weight,p.products_price,pd.products_name,pd.products_url,pa.products_attributes_units_price,pr.email_address,pr.attributes_id from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd," . TABLE_PRODUCTS_ATTRIBUTES . " pa," . TABLE_PRODUCTS_REMINDERS . " pr where pd.products_id=p.products_id and pr.products_id=p.products_id  and pr.products_id=" . (int)$pid . "  and p.products_id=pa.products_id and pr.attributes_id='" . tep_db_input($attribute_value) . "' group by pr.attributes_id,pr.email_address");
}
else 
$product_query = tep_db_query("Select p.products_id,p.products_model,p.products_date_available,p.products_quantity,p.products_weight,p.products_price,pd.products_name,pd.products_url,pr.email_address,pr.attributes_id from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd," . TABLE_PRODUCTS_REMINDERS . " pr where pd.products_id=p.products_id and pr.products_id=p.products_id  and pr.products_id=" . (int)$pid . "  group by pr.attributes_id,pr.email_address");
}
else
$product_query = tep_db_query("Select p.products_id,p.products_price,pd.products_name,pr.email_address,pr.attributes_id from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION ." pd," .TABLE_PRODUCTS_REMINDERS. " pr where pd.products_id=p.products_id and pr.products_id=p.products_id  group by pr.attributes_id,pr.email_address" );
$num_rows=tep_db_num_rows($product_query);
if ($num_rows>0) { 
while($product_result=tep_db_fetch_array($product_query)){
    $merge_details[TEXT_PN]=$product_result['email_address'].$product_result['products_name'];
    $merge_details[TEXT_PP]=$product_result['products_price'];
    $merge_details[TEXT_PA]=$att_op_name;
    $merge_details[TEXT_P_M]=$product_result['products_model'];
    $merge_details[TEXT_P_DA]=$product_result['products_date_available'];
    $merge_details[TEXT_P_W]=$product_result['products_weight'];
    $merge_details[TEXT_P_A_UP]=$product_result['products_attributes_units_price'];
    $merge_details[TEXT_P_U]=$product_result['products_url'];
    $merge_details[TEXT_P_Q]=$product_result['products_quantity'];
    $merge_details[TEXT_SN]=STORE_OWNER;
    $merge_details[TEXT_SM]=STORE_NAME;
    $merge_details[TEXT_SE]=STORE_OWNER_EMAIL_ADDRESS;
    $send_details[0]['to_email']=$product_result['email_address'];
    $send_details[0]['from_name']=STORE_OWNER;
    $send_details[0]['from_email']=STORE_OWNER_EMAIL_ADDRESS;
    tep_send_default_email($FREQUEST->getvalue('type'),$merge_details,$send_details);
    tep_db_query("delete from  " . TABLE_PRODUCTS_REMINDERS . " where email_address='" . tep_db_input($product_result['email_address']) . "' and products_id='" . tep_db_input($product_result['products_id']) . "' and attributes_id='" . tep_db_input($product_result['attributes_id']) . "'");
}
}
//$this->doGetExpectedProducts();
$jsData->VARS["displayMessage"]=array('text'=>sprintf(NOTICE_EMAIL_SENT_TO,$num_rows	));
$this->doProductInfo($pid);
$jsData->VARS["updateMenu"]=",normal,";
}
}
function getListTemplate(){
ob_start();
getTemplateRowTop();
?>
<table border="0" cellpadding="0" cellspacing="0" width="100%" id="##TYPE####ID##">
    <tr>
        <td>
            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                <tr>
                    <td width="45%"class="main" onclick="javascript:doDisplayAction({'id':##ID##,'get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});" id="##TYPE####ID##products">##PRODUCTS##</td>
                    <td width="45%" class="main" onclick="javascript:doDisplayAction({'id':##ID##,'get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});" id="##TYPE####ID##expected">##EXPECTED##</td>
                    <td  width="10%" id="##TYPE####ID##menu" align="right" class="boxRowMenu">
                        <span id="##TYPE####ID##mnormal" style="##FIRST_MENU_DISPLAY##">
                            <a href="javascript:void(0)" onclick="javascript:return doDisplayAction({'id':##ID##,'get':'ProductEdit','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});"><img src="##IMAGE_PATH##/template/edit_blue.gif" title="Edit"/></a>
                            <img src="##IMAGE_PATH##/template/img_bar.gif"/>
                            <a href="javascript:void(0)" onclick="javascript:return doDisplayAction({'id':##ID##,'get':'ProductMail','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});"><img src="##IMAGE_PATH##/template/mail.gif" title="Mail"/></a>
                            <img src="##IMAGE_PATH##/template/img_bar.gif"/>
                        </span>
                        <span id="##TYPE####ID##mupdate" style="display:none">
                            <a href="javascript:void(0)" onclick="javascript:return doUpdateAction({'id':##ID##,'get':'ProductUpdate','imgUpdate':true,'type':'##TYPE##','style':'boxRow','validate':productValidate,'uptForm':'productSubmit','customUpdate':doProductUpdate,'result':##UPDATE_RESULT##,'message1':page.template['UPDATE_DATA'],'message':page.template['UPDATE_IMAGE']});"><img src="##IMAGE_PATH##/template/img_save_green.gif" title="Save"/></a>
                            <img src="##IMAGE_PATH##/template/img_bar.gif"/>
                            <a href="javascript:void(0)" onclick="javascript:return doCancelAction({'id':##ID##,'get':'ProductEdit','type':'##TYPE##','style':'boxRow',extraFunc:textEditorRemove});"><img src="##IMAGE_PATH##/template/img_close_blue.gif" title="Cancel"/></a>
                        </span>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
<?php
getTemplateRowBottom();
$contents=ob_get_contents();
ob_end_clean();
return $contents;
}
function getProductInfoTemplate(){
ob_start();
?>
<table border="0" cellpadding="0" cellspacing="0" width="100%">
    <tr>
        <td width="50">&nbsp;</td>
        <td valign="top">
            <table border="0" cellpadding="3" cellspacing="0" width="100%">
                <tr>
                    <td class="main">##PRD_DATE_EXPECTED##</td>
                </tr>
                <tr>
                    <td class="main">##PRD_DATE_MODIFIED##</td>
                </tr>
                <tr>
                    <td valign="top" class="smallText" align="justify">
                        <div style="width:800px;height:100px;overflow:auto">
                            ##PRD_DESCRIPTION##
                        </div>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr height="10">
        <td>&nbsp;</td>
    </tr>
</table>
<?php
$contents=ob_get_contents();
ob_end_clean();
return $contents;
}
function getProductMailInfo(){
global $FSESSION;
ob_start();
?>	
<table border='0' cellspacing='2' cellpadding='1' width='100%'>
<tr>
    <td width='17' align='center'><?php echo tep_image('images/template/img_message.gif');?></td>
    <td width="500" align="left" class="inner_title"><?php echo TEXT_INFO_HEADING_EMAIL_PRODUCT;?></td>
    <td width="150" align="right">
        <span id="##TYPE####ID##mupdate">
            <a href="javascript:void(0)" onclick="javascript:return doUpdateAction({'id':##ID##,'get':'ProductUpdate','type':'##TYPE##','style':'boxRow','customUpdate':doProductMail,'result':##UPDATE_RESULT##,'message1':page.template['UPDATE_DATA']});"><img src="##IMAGE_PATH##/template/img_save_green.gif" title="Save"/></a>
            <img src="##IMAGE_PATH##/template/mail.gif"/>
            <a href="javascript:void(0)" onclick="javascript:return doCancelAction({'id':##ID##,'get':'ProductEdit','type':'##TYPE##','style':'boxRow'});"><img src="##IMAGE_PATH##/template/img_close_blue.gif" title="Cancel"/></a>
        </span>
        <span><input type="hidden" value="##ID##" name="product_id" id="product_id"/></span>
    </td>
</tr>
<tr>
    <td></td>
    <td width="500" align="left" class="main"><?php echo TEXT_EMAIL_PRODUCT_INTRO;?></td>
</tr>
<tr>
    <td></td>
    <td  width="500" align="left" class="main"><b>##PRODUCTS##</b></td>
</tr>
<tr>
    <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif',50,20);?></td>
</tr>
<?php		
$contents=ob_get_contents();
ob_end_clean();
return $contents;
}
?>	