<?php
/*
    Freeway eCommerce
    http://www.openfreeway.org
    Copyright (c) 2007 ZacWare
    
    Released under the GNU General Public License
*/
	defined('_FEXEC') or die();
	global $currencies;
	require(DIR_WS_CLASSES . 'currencies.php');			
	$currencies = new currencies();

	class salesServicesDiscounts{
		var $pagination;
		var $splitResult;
		var $type;

		function salesServicesDiscounts(){
			$this->pagination=false;
			$this->splitResult=false;
			$this->type='cug';
		}
		
		function doSearchGroup(){
			global $FREQUEST,$jsData;
			$search=$FREQUEST->getvalue('search');
			$search_db=tep_db_input($search);
			?>
			<table border="0" width="100%" cellspacing="0" cellpadding="0">
				<tr>
					<td class="main">
						<b><?php echo TEXT_SEARCH_RESULTS;?></b>
					</td>
				</tr>
				<tr height="10">
					<td class="main">
					</td>
				</tr>
				<tr>
					<td>
					<table border="0" cellpadding="2" cellspacing="0" width="100%" id="catTable">
						<?php
						$found=$this->doList(" where customers_groups_name like'%".$search_db."%'",0,$search);
						if (!$found){
						?>
						<tr>
							<td class="main">
								<?php echo TEXT_NO_RECORDS_FOUND;?>
							</td>
						</tr>			
						<?php 
							if ($this->splitResult->queryRows>0){
								echo $this->splitResult->pgLinksCombo();
							}
						} 
						?>
					</table>
					</td>
				</tr>
				<tr height="10">
					<td class="main">
					</td>
				</tr>
				<tr>
					<td class="main">
					<a href="javascript:void(0);" onClick="javascript:doSearchGroup('reset');"><?php echo tep_image_button('button_reset.gif',IMAGE_RESET);?></a>
					</td>
				</tr>
			</table>
<?php	$jsData->VARS["NUclearType"]=$this->type;
		}
		function doDelete(){
			global $FREQUEST,$jsData;
			$group_id=$FREQUEST->postvalue('group_id','int',0);
			$last_flag=$FREQUEST->postvalue('lflag','int',0);
			$page=$FREQUEST->postvalue('page','int',0);

			if ($group_id>0){
				tep_db_query("DELETE from " . TABLE_SERVICES_DISCOUNTS . " where discount_id=$group_id");				
				
				if ($last_flag==1 && $page>1){
					$page=$page-1;
					$FREQUEST->setvalue('page',$page,'GET');
				}
				$this->doItems();
				
				$jsData->VARS["deleteRow"]=array("id"=>$group_id,"type"=>$this->type);
				$jsData->VARS["displayMessage"]=array('text'=>TEXT_DELETE_SERVICE);
				tep_reset_seo_cache('customers');
			} else {
				echo "Err:" . TEXT_CUSTOMER_GROUPS_NOT_DELETED;
			}
			
		}
		
		function doDeleteGroups(){
			global $FREQUEST,$jsData;
			$group_id=$FREQUEST->getvalue('rID','int',0);

			$delete_message='<p><span class="smallText">' . TEXT_INFO_DELETE_INTRO . '</span>';
?>
			<form  name="<?php echo $this->type;?>DeleteSubmit" id="<?php echo $this->type;?>DeleteSubmit" action="<?php echo FILENAME_SHOP_ZONES; ?>" method="post" enctype="application/x-www-form-urlencoded">
				<input type="hidden" name="group_id" value="<?php echo tep_output_string($group_id);?>"/>
				<table border="0" cellpadding="2" cellspacing="0" width="100%">
					<tr>
						<td class="main" id="<?php echo $this->type . $group_id;?>message">
						</td>
					</tr>
					<tr>
						<td class="main">
						<?php echo $delete_message;?>
						</td>
					</tr>
					<tr height="40">
						<td class="main" style="vertical-align:bottom">
							<p>
							<a href="javascript:void(0);" onClick="javascript:return doDeleteAction({id:<?php echo $group_id;?>,type:'<?php echo $this->type;?>',get:'Delete',result:doDiscountResult,message:page.template['PRD_DELETING'],'uptForm':'<?php echo $this->type;?>DeleteSubmit','imgUpdate':false,params:''})"><?php echo tep_image_button('button_delete.gif');?></a>&nbsp;
							<a href="javascript:void(0);" onClick="javascript:return doCancelAction({id:<?php echo $group_id;?>,type:'<?php echo $this->type;?>',get:'closeRow','style':'boxRow'})"><?php echo tep_image_button('button_cancel.gif');?></a>
						</td>
					</tr>
					<tr>
						<td><hr/></td>
					</tr>
					<tr>
						<td valign="top" class="categoryInfo"><?php echo $this->doInfo($group_id);?></td>
					</tr>
				</table>
			</form>
<?php		$jsData->VARS["updateMenu"]="";
		}
		function doList($where='',$group_id=0,$search=''){
			global $FSESSION,$FREQUEST,$jsData,$currencies;

			$service_selected=$FREQUEST->getvalue('service_selected','string','All');
			if($service_selected=='All'){
				$service_selected=$FREQUEST->postvalue('selected_service','string','All');
			}
		//	echo $service_selected;
			$service_selected=(($service_selected!='All')?(' where service_id='.$service_selected):'');
			
			$page=$FREQUEST->getvalue('page','int',1);
			if ($search!=''){
				$orderBy="order by customers_groups_id";
			} else {
				$orderBy="order by customers_groups_id";
			}
			$query_split=false;
    	if (($FREQUEST->getvalue('search')!='') && tep_not_null($FREQUEST->getvalue('search')))  $search = " where (service_location_name like '%" . tep_db_input($FREQUEST->getvalue('search')) . "%' OR (service_location_contact_person like '%".tep_db_input($FREQUEST->getvalue('search'))."%') )"; 

		$customers_groups_sql = "SELECT * from " . TABLE_SERVICES_DISCOUNTS . $service_selected . " order by discount_start_date";
	//	echo $customers_groups_sql;
			if ($this->pagination){
				$query_split=$this->splitResult = &instance::getSplitResult('CUSTOMER');
				$query_split->maxRows=MAX_DISPLAY_SEARCH_RESULTS;
				$query_split->parse($page,$customers_groups_sql);
				if ($query_split->queryRows > 0){ 
					if ($search!=''){
						$query_split->pageLink="doPageAction({'id':-1,'type':'" . $this->type ."','get':'SearchGroup','result':doTotalResult,params:'search=". urlencode($search) . "&page='+##PAGE_NO##,'message':'" . INFO_SEARCHING_DATA . "'})";
					} else {	
						$query_split->pageLink="doDiscountPageAction({'id':-1,'type':'cug','pageNav':true,'closePrev':true,'get':'Items','result':doTotalResult,params:'page='+##PAGE_NO##,'message':'" . sprintf(INFO_LOADING_PRODUCTS,'##PAGE_NO##') . "'})";
					}
				}
			}
			$customers_groups_query=tep_db_query($customers_groups_sql);
			$found=false;
			if (tep_db_num_rows($customers_groups_query)>0) $found=true;
			if($found)
			{
			$template=getListTemplate();
			$icnt=1;
			while($customers_groups_result=tep_db_fetch_array($customers_groups_query)){
					$rep_array=array(	"ID"=>$customers_groups_result["discount_id"],
										"TYPE"=>$this->type,
										"S_ID"=>$customers_groups_result["service_id"],
										"NAME"=>format_date($customers_groups_result["discount_start_date"]),
										"END_DATE"=>format_date($customers_groups_result["discount_end_date"]),
										"DISCOUNT"=>$customers_groups_result["discount_value"],
										"DISCOUNT_TYPE"=>$customers_groups_result["discount_type"],
										"IMAGE_PATH"=>DIR_WS_IMAGES,
										"STATUS"=>'',
										"UPDATE_RESULT"=>'doDisplayResult',
										"ALTERNATE_ROW_STYLE"=>($icnt%2==0?"listItemOdd":"listItemEven"),
										"ROW_CLICK_GET"=>'Info',
										"FIRST_MENU_DISPLAY"=>""
									);
				echo mergeTemplate($rep_array,$template);
				$icnt++;
			}} else if($search==''){
			echo '<div align="center" class="main" style="padding-top:50; padding-bottom:50;">'.TEXT_EMPTY_GROUPS.'</div>';
			}
			if (!isset($jsData->VARS["Page"])){
				$jsData->VARS["NUclearType"][]=$this->type;
			} 
			return $found;			
		}
		
		function doItems(){
			global $FREQUEST,$jsData,$FSESSION;
		  $service_selected=(($FREQUEST->getvalue('service_selected')!='')?($FREQUEST->getvalue('service_selected')):'');
		  if($service_selected==''){
			  $service_selected=(($FREQUEST->postvalue('selected_service')!='')?($FREQUEST->postvalue('selected_service')):'');
		  }
			$template=getListTemplate();
				$rep_array=array(	"TYPE"=>$this->type,
									"ID"=>-1,
									"NAME"=>IMAGE_NEW_DISCOUNT,
									"DISCOUNT"=>'',
									"S_ID"=>$FREQUEST->getvalue('service_selected'),
									"END_DATE"=>'',
									"DISCOUNT_TYPE"=>'',
									"IMAGE_PATH"=>DIR_WS_IMAGES,
									"STATUS"=>tep_image(DIR_WS_IMAGES . 'template/plus_add2.gif'),
									"UPDATE_RESULT"=>'doTotalResult',
									"ROW_CLICK_GET"=>'Edit',
									"FIRST_MENU_DISPLAY"=>"display:none"
								);
?>
			<div class="main" id="cug-1message"></div>
		<table border="0" width="100%" height="100%" id="<?php echo $this->type;?>Table">
			<tr>
				<td><?php 	echo ((($service_selected!='All') && ($service_selected!=''))?mergeTemplate($rep_array,$template):''); ?>
				</td>
			</tr>
			<tr>
				<td>
					<table border="0" width="100%" cellpadding="0" cellspacing="0" height="100%">
						<tr>
							<td class="main" colspan="5" style="padding-left:45px; padding-bottom:10; padding-top:10;">
							<?php
								$service_query=tep_db_query("SELECT se.service_id,sed.service_name from " . TABLE_SERVICES . " se, " . TABLE_SERVICES_DESCRIPTION . " sed where se.service_id=sed.service_id and language_id='" . (int)($FSESSION->languages_id) . "' " . SERVICES_CONDITION_STATUS . " order by sed.service_name");
								while($service_result=tep_db_fetch_array($service_query)){
									$service_array[]=array('id'=>$service_result['service_id'],'text'=>$service_result['service_name']);
								}
							  echo TEXT_SELECT_SERVICES.'&nbsp;';
							  echo doMenu('select_id',$service_array,$service_selected,' width=100 onChange="javascript:doServiceDisplay({\'get\':\'Items\',\'result\':doServiceResults,\'extraParams\':this.value});"');
							?>
							<input type="hidden" name="selected_service" id="selected_service" value="<?php echo (($service_selected!='')?($service_selected):'All'); ?>" />
							</td>
						</tr>
						<tr>
							<td style="padding-left:45px; padding-bottom:20px;" class="pageHeading"><?php echo "Discount Prices of ".((tep_get_service_name($service_selected)!='')?(tep_get_service_name($service_selected)):"All Services"); ?>
							</td>
						</tr>
						<tr class="dataTableHeadingRow">
							<td valign="top">
								<table border="0" cellpadding="0" cellspacing="3" width="100%">
									<tr>
										<td width="5%">&nbsp;</td>
										<td width="25%" class="main">
										<b><?php echo  TEXT_START_DATE;?></b>
										</td>
										<td width="25%" class="main">
										<b><?php echo  TEXT_END_DATE;?></b>
										</td>
										<td width="18%" class="main">
										<b><?php echo  TEXT_DISCOUNT_VALUE;?></b>
										</td>
										<td width="17%" class="main">
										<b><?php echo  TEXT_DISCOUNT_TYPE;?></b>
										</td>
										<td width="10%" class="main">&nbsp;</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td>
								<div align="center"><?php $this->doList();?></div>
							</td>
							</tr>	
					</Table>
				</td>
			</tr>
		</table>
		<?php if (is_object($this->splitResult)){?>
				<table border="0" width="100%" height="100%">
						<?php echo $this->splitResult->pgLinksCombo(); ?>
				</table>
		<?php }

			 	
		}

		function doEdit(){
				global $FREQUEST,$jsData,$currencies;
				$sh_country_id=$FREQUEST->getvalue("rID","int",0);
				$service_mode=$FREQUEST->getvalue("sID","int",0);
				$customers_info=array();
				$group_id=$sh_country_id;
				$customers_info_query=tep_db_query("SELECT * from " . TABLE_SERVICES_DISCOUNTS . " where discount_id='" . (int)$sh_country_id . "'  order by discount_start_date");
				if(tep_db_num_rows($customers_info_query)>0) $customers_info=tep_db_fetch_array($customers_info_query);
				$cInfo=new objectInfo($customers_info);	?>
				<!--			started			-->		
				<table border="0" cellpadding="4" cellspacing="0" width="100%">
					<tr>
						<td valign="top">
							<form action="<?php echo FILENAME_SERVICES_DISCOUNTS_NEW; ?>" method="post" name="customer_groups" enctype="multipart/form-data" id="customer_groups">
								<input type="hidden" name="service_resource_id" value="<?php echo tep_output_string($service_resource_id);?>"/>
								<table border="0" cellpadding="0" cellspacing="0" width="100%">
									
									<tr>
										<td valign="top">
											<table border="0" cellpadding="0" cellspacing="0" width="100%" class="productEditCol">
												<tr id="productPanelGENERALview">
														<td colspan="2" class="main">
															<table border="0" cellpadding="4" cellspacing="0" width="100%" style="margin-left:30; margin-right:30;">
																<div class="hLineGray"></div>
																<tr> <td class="main"><div style=" font-weight:bold; padding-top:10px; width:100%;height:20px;overflow:hidden"><!--##HEAD_NAME##--></div></td>
																</tr>
																<tr>
																	<td>
																		<table border="0" cellpadding="4" cellspacing="0" width="100%">
																			<tr>
																				<td class="main" width="50%"><?php echo TEXT_START_DATE; ?></td>
																				<td class="main" width="50%">
																				<?php $_array=array('d','m','Y');  $replace_array=array('DD','MM','YYYY'); 	$date_format=str_replace($_array,$replace_array,EVENTS_DATE_FORMAT);?>
																				<?php echo tep_draw_input_field('discount_start_date',format_date($cInfo->discount_start_date),'size=10 maxlength=50').tep_draw_hidden_field('service_location_id',$location_id).'&nbsp;'; ?>
																					<a href="javascript:show_calendar('customer_groups.discount_start_date',null,null,'<?php echo $date_format;?>');"
																					  onmouseover="window.status='Date Picker';return true;"
																					  onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/>  
																					</a>																				
																				</td>
																			</tr>
																			<tr>
																				<td class="main" width="50%"><?php echo TEXT_END_DATE; ?></td>
																				<td class="main" width="50%"><?php echo tep_draw_input_field('discount_end_date',format_date($cInfo->discount_end_date),'size=10 maxlength=50').'&nbsp;'; ?>
																					<a href="javascript:show_calendar('customer_groups.discount_end_date',null,null,'<?php echo $date_format;?>');"
																					  onmouseover="window.status='Date Picker';return true;"
																					  onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/>  
																					</a>	
																				</td>
																			</tr>
																			<tr>
																				<td class="main" width="50%"><?php echo TEXT_DISCOUNT_TYPES; ?></td>
																				<td class="main" width="50%">
																				<?php 
																				if($cInfo->discount_type=='P'){
																				$option_percent='checked';
																				$option_amount='';
																				} else{
																				$option_amount='checked';
																				$option_percent='';
																				}
																				echo tep_draw_radio_field('discount_types','A',$option_amount,'',' onChange="javascript:document.getElementById(\'discount_type\').value=\'A\';"') . TEXT_TYPE_AMOUNT . '&nbsp;'.tep_draw_radio_field('discount_types','P',$option_percent,'',' onChange="javascript:document.getElementById(\'discount_type\').value=\'P\';"') . TEXT_TYPE_PERCENTAGE;
																				echo tep_draw_hidden_field('discount_type',(($cInfo->discount_type!='')?($cInfo->discount_type):'A'));
																				echo tep_draw_hidden_field('discount_mode',$service_mode);
																				echo tep_draw_hidden_field('service_id',$service_mode);
																				?>
																				</td>
																			</tr>
																		</table>
																	</td>
																	<td>
																		<table border="0" cellpadding="4" cellspacing="0" width="80%">
																			<tr>
																				<td class="main" width="50%"><?php echo TEXT_START_TIME; ?></td>
																				<td class="main" width="50%">
																				<?php 
																				echo tep_draw_time_field('discount_start_time',$cInfo->discount_start_time);
																				?>
																				</td>
																			</tr>
																			<tr>
																				<td class="main" width="50%"><?php echo TEXT_END_TIME; ?></td>
																				<td class="main" width="50%">
																				<?php 
																				echo tep_draw_time_field('discount_end_time',$cInfo->discount_end_time);
																				?>
																				</td>
																			</tr>
																			<tr>
																				<td class="main" width="50%"><?php echo TEXT_DISCOUNT_VALUES; ?></td>
																				<td class="main" width="50%"><?php echo tep_draw_input_field('discount_value',$cInfo->discount_value,'size=18 maxlength=50'); ?></td>
																			</tr>
																		</table>
																	</td>
																</tr>
																<tr>
																<td>
																<?php echo tep_draw_hidden_field('discount_id',$cInfo->discount_id); ?>
																</td>
															</tr>
														</table>
													</td>
												</tr>
										</table>
									</form>
								</td>
							</tr>
						</table>
				<!--			ended			-->
<?php					echo tep_draw_hidden_field('discount_referal_id',$cInfo->discount_id);
				//		echo mergeTemplate($rep_array,$template);
						
					//	echo '</form>';
					$jsData->VARS["updateMenu"]=",update,";
					$display_mode_html=' style="display:none"';
				 
					}	
		
			
			function timeFormat($discount_end_time){
				if(substr($discount_end_time,9,2)=='PM'){
				if((int)substr($discount_end_time,0,2)<12){
				$changed_time=12+(int)substr($discount_end_time,0,2);
				} else{
				$changed_time=substr($discount_end_time,0,2);
				}
				$original_time=substr($discount_end_time,0,2);
				}
				$discount_end_time=str_replace($original_time, $changed_time, $discount_end_time);
				return $discount_end_time;
			}
			function doUpdate(){
				global $FREQUEST,$jsData,$currencies;
				$discount_referal_id=$FREQUEST->postvalue("discount_id","int",-1);
	
				$discount_type=$FREQUEST->postvalue('discount_type');
				$discount_value=$FREQUEST->postvalue('discount_value');
				$discount_start_date=$FREQUEST->postvalue('discount_start_date');
				$discount_end_date=$FREQUEST->postvalue('discount_end_date');
				$discount_start_time=$FREQUEST->postvalue('discount_start_time');
				$discount_end_time=$FREQUEST->postvalue('discount_end_time');
				$discount_mode=$FREQUEST->postvalue('discount_mode');
				$discount_mode=(($discount_mode=='')?($FREQUEST->getvalue('discount_mode')):'');
				$discount_start_time=$this->timeFormat($discount_start_time);
				$discount_end_time=$this->timeFormat($discount_end_time);
				$service_selected=$FREQUEST->postvalue('selected_service');
//				$sevice_selected=(($selected_service=='All')?($FREQUEST->postvalue('selected_service')):'All');
				$service_id=(($service_selected!='All')?($service_selected):$FREQUEST->postvalue('service_id'));
			//	$service_id=(($service_selected!='All')?($service_selected):'');
			//	$service_id=$FREQUEST->postvalue('service_id');

				$field_customers_groups_discount=$customers_groups_discount_sign.$customers_groups_discount;
					$sql_data = array(  'discount_type'=>$discount_type,
										'discount_value'=>$discount_value,
										'discount_start_date'=>tep_convert_date_raw($discount_start_date),
										'discount_end_date'=>tep_convert_date_raw($discount_end_date),
										'discount_start_time'=>$discount_start_time,
										'discount_end_time'=>$discount_end_time,
										'service_id'=>$service_id
									 );	

									 $str_arr=array();
									 $str_arr=explode('.',$discount_value);
									 $reduction_value='';
									 if($str_arr[1]==''){
									 $reduction_value=$str_arr[0].'.00 ';
									 } else{
									 $reduction_value=number_format($discount_value,2,'.','');
									 }
				if ($discount_referal_id>0){
					tep_db_perform(TABLE_SERVICES_DISCOUNTS, $sql_data, 'update', "discount_id = '" .$discount_referal_id . "'");
				} else {
					tep_db_perform(TABLE_SERVICES_DISCOUNTS,$sql_data);
					$group_id=tep_db_insert_id();
				}
				if ($discount_referal_id>0) {
					$jsData->VARS["replace"]=array($this->type. $discount_referal_id . "name"=>$discount_start_date,$this->type. $discount_referal_id . "end_date"=>$discount_end_date,$this->type . $discount_referal_id . "reduction_text"=>$reduction_value,$this->type. $discount_referal_id . "discount_type"=>$discount_type);
					$jsData->VARS["prevAction"]=array('id'=>$discount_referal_id,'get'=>'Info','type'=>$this->type,'style'=>'boxRow');
					$this->doInfo($discount_referal_id);
					$jsData->VARS["updateMenu"]=",normal,";
				} else {
					$this->doItems();
				}
			}
			
			function doInfo($sh_country_id=0){
				global $FREQUEST,$jsData,$FSESSION,$currencies;
	
				if($sh_country_id <= 0)$sh_country_id=$FREQUEST->getvalue("rID","int",0);
				
				$customers_groups_query = tep_db_query("SELECT * from " . TABLE_SERVICES_DISCOUNTS . " where discount_id='" . (int)$sh_country_id . "'  order by discount_start_date");
	
				if (tep_db_num_rows($customers_groups_query)>0){
					$customers_groups_result=tep_db_fetch_array($customers_groups_query);
					
					$template=getInfoTemplate($location_id);
				
					$rep_array=array(	"TYPE"=>$this->type,
										"ENT_EQUIPMENT"=>TEXT_DISCOUNT_TYPES,
										"EQUIPMENT"=> $customers_groups_result["discount_type"],
										"ENT_CONTACT"=>TEXT_DISCOUNT_VALUES,
										"CONTACT"=>$customers_groups_result["discount_value"],
										"ENT_SEATS"=>TEXT_LOCATION_MAX_SEATS,
										"SEATS"=>$customers_groups_result["service_location_seats"],
										"ID"=>$customers_groups_result["countries_id"],
										);
				
				echo mergeTemplate($rep_array,$template);
				
				$jsData->VARS["updateMenu"]=",normal,";
			} else {
				echo 'Err:' . TEXT_LOCATION_NOT_FOUND;
			}
			}			
		
		}
		function getListTemplate(){
		ob_start();
		getTemplateRowTop();	?>
			<table border="0" cellpadding="0" cellspacing="0" width="100%" id="##TYPE####ID##">
				<tr>
					<td>
					<table border="0" cellpadding="0" cellspacing="0" width="100%">
						<tr>
							<td width="5%" id="cug##ID##bullet">##STATUS##</td>
							<td width="25%" class="main" onClick="javascript:doDisplayAction({'id':'##ID##','get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##&sID=##S_ID##'});" id="##TYPE####ID##name">##NAME##</td>
							<td width="25%" class="main" onClick="javascript:doDisplayAction({'id':'##ID##','get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##&sID=##S_ID##'});" id="##TYPE####ID##end_date">##END_DATE##</td>
							<td width="20%" class="main" onClick="javascript:doDisplayAction({'id':'##ID##','get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##&sID=##S_ID##'});" id="##TYPE####ID##reduction_text">##DISCOUNT##</td>
							<td width="10%" class="main" onClick="javascript:doDisplayAction({'id':'##ID##','get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##&sID=##S_ID##'});" id="##TYPE####ID##discount_type">##DISCOUNT_TYPE##</td>
							<td width="15%" id="##TYPE####ID##menu" align="right" class="boxRowMenu">
								<span id="##TYPE####ID##mnormal" style="##FIRST_MENU_DISPLAY##">
								<a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':'##ID##','get':'Edit','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##&sID=##S_ID##'});"><img src="##IMAGE_PATH##/template/edit_blue.gif" title="Edit"/></a>
								<img src="##IMAGE_PATH##/template/img_bar.gif"/>
								<a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':'##ID##','get':'DeleteGroups','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##&sID=##S_ID##'});"><img src="##IMAGE_PATH##/template/delete_blue.gif" title="Delete"/></a>
								<img src="##IMAGE_PATH##/template/img_bar.gif"/>
								</span>
								<span id="##TYPE####ID##mupdate" style="display:none">
								<a href="javascript:void(0)" onClick="javascript:return doUpdateAction({'id':##ID##,'get':'Update','imgUpdate':true,'type':'##TYPE##','style':'boxRow','validate':discountValidate,'uptForm':'customer_groups','customUpdate':doItemUpdate,'result':##UPDATE_RESULT##,'message1':page.template['UPDATE_DATA'],'message':page.template['UPDATE_IMAGE']});"><img src="##IMAGE_PATH##/template/img_save_green.gif" title="Save"/></a>
								<img src="##IMAGE_PATH##/template/img_bar.gif"/>
								<a href="javascript:void(0)" onClick="javascript:return doCancelAction({'id':##ID##,'get':'Edit','type':'##TYPE##','style':'boxRow'});"><img src="##IMAGE_PATH##/template/img_close_blue.gif" title="Close"/></a>
								</span>
							</td>
						</tr>
					</table>
					</td>
				</tr>
			</table>
<?php	getTemplateRowBottom();
		$contents=ob_get_contents();
		ob_end_clean();
		return $contents;
	}
	
	function getInfoTemplate(){
		ob_start();	?>
		<table border="0" cellpadding="0" cellspacing="0" width="50%">
			<tr>
				<td valign="top" width="10%" ><div style="width:100%;height:100px;overflow:hidden"></div></td>
				<td valign="middle" width="90%">
					<table border="0" cellpadding="4" cellspacing="0" width="100%">
						<div class="hLineGray"></div>
						<tr>
							<td valign="top" width="26%" align="left" nowrap="nowrap" class="main">##ENT_EQUIPMENT##</td><td width="5%">:</td>
							<td valign="top" width="26%" align="left" class="main">##EQUIPMENT##</td>
						</tr>
						<tr>
							<td valign="top" width="20%" align="left" class="main">##ENT_CONTACT##</td><td width="5%">:</td>
							<td valign="top" width="10%"  align="left" class="main">##CONTACT##</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
<?php	$contents=ob_get_contents();
		ob_end_clean();
		return $contents;
	}
	
	function doMenu($name, $values, $default = '', $parameters = '', $required = false,$initial_category_id=0,$need_all=true,$initial_parent_id=0) {
		global $selected_name;

		$field = '<select name="' . tep_output_string($name) . '"';
	
		if (tep_not_null($parameters)) $field .= ' ' . $parameters;
		$field.=' class="inputNormal" onBlur="javascript:toggle_focus(this,1);" onFocus="javascript:toggle_focus(this,2);"';
	
		$field .= '>';
		if($need_all=='true')
		$field .= '<option style="color:#000000" value="-1">' . TEXT_ALL_SERVICES . '</option>';
		else if($need_all=='1')
		$field .= '<option style="color:#000000" value="-1">' . TEXT_SELECT . '</option>';
		
		if (empty($default) && isset($GLOBALS[$name])) $default = stripslashes($GLOBALS[$name]);
	
		$content="";
		doServiceTree($initial_parent_id,$content,$default,$initial_category_id);
		$field.=$content;
	$field .= '</select>';
	
	if ($required == true) $field .= TEXT_FIELD_REQUIRED;
	
	return $field;
	}
	
	function doServiceTree($parent_id = '0',&$content,$default,$service_category_id=0) {
		global $FSESSION,$selected_name,$login_id,$login_groups_type;
	
		// iterate with nested category
	
		$service_where = '';
		if($service_category_id>0)$service_where = " and sc.services_categories_id='" . tep_db_input($service_category_id) . "'";
	
		$service_category_query = tep_db_query("select sc.services_categories_id, scd.services_categories_name, sc.parent_id from " . TABLE_SERVICES_CATEGORIES . " sc, " . TABLE_SERVICES_CATEGORIES_DESCRIPTION . " scd where sc.services_categories_id = scd.services_categories_id and scd.language_id = '" . (int)$FSESSION->languages_id . "' and sc.parent_id = '" . (int)$parent_id . "' " . $service_where . " order by sc.sort_order, scd.services_categories_name");
		
		while ($service_category = tep_db_fetch_array($service_category_query)) {
			$content.= '<optgroup style="color:#0000FF" label="' . doServiceCategorySpace($service_category['services_categories_id']) . tep_output_string($service_category['services_categories_name'], array('"' => '&quot;', '\'' => '&#039;', '<' => '&lt;', '>' => '&gt;')) . '">';
			// select the list of service of particular category
			$service_query=tep_db_query("select sed.service_name,sed.service_id from " . TABLE_SERVICES . ' se, ' . TABLE_SERVICES_DESCRIPTION . " sed, " . TABLE_SERVICES_TO_SERVICES_CATEGORIES . " scd where scd.services_categories_id='" . $service_category['services_categories_id'] . "' and sed.language_id = " . (int)$FSESSION->languages_id . " " . SERVICES_CONDITION_STATUS. " and se.service_id=scd.service_id and se.service_id=sed.service_id order by sed.service_name");
			while ($service=tep_db_fetch_array($service_query))
			{
				$content .= '<option style="color:#000000" value="' . tep_output_string($service['service_id']) . '"';
				if ($default == $service['service_id']){
					$selected_name=$service['service_name'];
					$content .= ' SELECTED';
				}
				$content .= '>' . tep_output_string($service['service_name'], array('"' => '&quot;', '\'' => '&#039;', '<' => '&lt;', '>' => '&gt;')) . '</option>';
			}    
			doServiceTree($service_category['services_categories_id'], $content,$default);
			$content.='</optgroup>';
		}
	
	}
	function doServiceCategorySpace($category_id){
	    global $FSESSION,$selected_name,$login_id,$login_groups_type;
		$sql = "select parent_id,sc.services_categories_id,services_categories_name from " . TABLE_SERVICES_CATEGORIES . " sc," . TABLE_SERVICES_CATEGORIES_DESCRIPTION . " scd where sc.services_categories_id=scd.services_categories_id and scd.language_id = '" . (int)$FSESSION->languages_id . "' and sc.services_categories_id=" . tep_db_input($category_id);
		$query = tep_db_query($sql);
		$result = tep_db_fetch_array($query);
		if($result['parent_id']>0){
		//	return "&nbsp;&nbsp;" . write_services_category_space($result['parent_id']);
		}else{
			return "";
		}
	}
?>