<?php
/*
    Freeway eCommerce
    http://www.openfreeway.org
    Copyright (c) 2007 ZacWare
    
    Released under the GNU General Public License
*/
	defined('_FEXEC') or die();
	class SalesXsellProducts
		{
		var $pagination;
		var $splitResult;
		var $type;

		function SalesXsellProducts()
		{
		$this->pagination=false;
		$this->splitResult=false;
		$this->type='sxp';
		}
		function doXsellProducts(){
			global $FREQUEST,$jsData,$typename;
			
				if($FREQUEST->getvalue('typename'))
					$typename=$FREQUEST->getvalue('typename');
			
		?>
		<div class="main" id="sxp-1message"></div>
		<table border="0" width="100%" height="100%" id="<?php echo $this->type;?>Table">
			<tr>
				<td>
					<table border="0" width="100%" cellpadding="0" cellspacing="0" height="100%">
						<tr class="dataTableHeadingRow">
							<td valign="top">
								<table border="0" cellpadding="0" cellspacing="0" width="100%">
									<tr  >
										<td class="main" width="47%">
										<b><?php echo  (($typename=='P')?TEXT_HEADING_PRODUCT:TEXT_HEADING_SUBSCRIPTION);?></b>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td>
								<div align="center"><?php $this->doXsellProductsList();?></div>
							</td>
							</tr>	
					</Table>
				</td>
			</tr>
		</table>
		<?php if (is_object($this->splitResult)){?>
				<table border="0" width="100%" height="100%">
						<?php echo $this->splitResult->pgLinksCombo(); ?>
				</table>
			<?php }
				
			 	
			}
		

		function doXsellProductsList($where='',$group_id=0,$search=''){
			global $FSESSION,$FREQUEST,$jsData,$typename;
			$page=$FREQUEST->getvalue('page','int',1);
			
			if($FREQUEST->getvalue('typename'))
				$typename=$FREQUEST->getvalue('typename');

			if($typename=='P'){
				define('TEXT_RECORDS','Products');
				define('INFO_LOADING_XSELL',INFO_LOADING_XSELL_PRODUCTS);
			}
			elseif($typename=='S'){
				define('TEXT_RECORDS','Subscription');
				define('INFO_LOADING_XSELL',INFO_LOADING_XSELL_SUBSCRIPTION);
				}
			
			$query_split=false;
			if($typename=='P')
				$products_sql="select distinct pd.products_id,pd.products_name from ".TABLE_PRODUCTS." p, ".TABLE_PRODUCTS_DESCRIPTION." pd where p.products_id=pd.products_id group by pd.products_id ";
			elseif($typename=='S')
				$products_sql="select distinct sd.subscription_id,sd.subscription_name from ".TABLE_SUBSCRIPTIONS." s, ".TABLE_SUBSCRIPTIONS_DESCRIPTION." sd where s.subscription_id=sd.subscription_id group by sd.subscription_id ";
			
			if ($this->pagination){
				$query_split=$this->splitResult = &instance::getSplitResult('XSELL');
				$query_split->maxRows=MAX_DISPLAY_SEARCH_RESULTS;
				$query_split->parse($page,$products_sql);
						if ($query_split->queryRows > 0){ 
								$query_split->pageLink="doPageAction({'id':-1,'typename':'".$typename."','type':'" . $this->type ."','pageNav':true,'closePrev':true,'get':'XsellProducts','result':doTotalResult,params:'page='+##PAGE_NO##,'message':'" . sprintf(INFO_LOADING_XSELL,'##PAGE_NO##') . "'})";
							
						}
			}
			$products_query=tep_db_query($products_sql);


			$found=false;
			if (tep_db_num_rows($products_query)>0) $found=true;
			if($found)
			{
			$template=getXsellProductsListTemplate();
			$icnt=1;
			while($products_result=tep_db_fetch_array($products_query)){
					$rep_array=array(	"ID"=>(($typename=='P')?$products_result["products_id"]:$products_result["subscription_id"]),
										"TYPE"=>$this->type,
										"TYPENAME"=>$typename,
										"NAME"=>(($typename=='P')?$products_result["products_name"]:$products_result["subscription_name"]),
										"IMAGE_PATH"=>DIR_WS_IMAGES,
										"STATUS"=>'',
										"UPDATE_RESULT"=>'doDisplayResult',
										"ALTERNATE_ROW_STYLE"=>($icnt%2==0?"listItemOdd":"listItemEven"),
										"ROW_CLICK_GET"=>'XsellProductsInfo',
										"FIRST_MENU_DISPLAY"=>""
									);
				echo mergeTemplate($rep_array,$template);
				$icnt++;
			}}
			
			if (!isset($jsData->VARS["Page"])){
				$jsData->VARS["NUclearType"][]=$this->type;
			} 
			return $found;			
		}
		

	function doXsellProductsEdit(){
		global $FREQUEST,$jsData,$FSESSION,$currencies,$typename;
		$products_id=$FREQUEST->getvalue("rID","int",0);

		$typename=$FREQUEST->getvalue('type');
		
		$chk_xsel_query=tep_db_query('select count(*) as total from '.TABLE_PRODUCTS_XSELL." where products_id='".(int)$products_id."'");
		$chk_xsel_array=tep_db_fetch_array($chk_xsel_query); 
		if($typename=='P')
		$xsell_product_query=tep_db_query('select distinct pd.products_id,pd.products_name,p.products_price,p.products_tax_class_id from '.TABLE_PRODUCTS_DESCRIPTION." pd, ".TABLE_PRODUCTS." p where p.products_id=pd.products_id and pd.language_id='". (int)$FSESSION->languages_id."' order by products_name");		
		else
		$xsell_product_query=tep_db_query('select distinct sd.subscription_id,sd.subscription_name,s.subscription_costs,s.subscription_tax_class_id from '.TABLE_SUBSCRIPTIONS_DESCRIPTION." sd, " .TABLE_SUBSCRIPTIONS." s where s.subscription_id=sd.subscription_id  order by subscription_name");
		
		echo tep_draw_form('new_xsell_product_form',FILENAME_XSELL_PRODUCTS,'','post');
		?>
		<br>
		<input type="hidden" name="products_number" value="<?php echo $products_id; ?>" />
		<input type="hidden" name="type" value="<?php echo $typename; ?>"
			<table width="100%" cellpadding="0" cellspacing="0" border="0">
				<!--<tr>
				<td width="200" class="main"><?php echo tep_image(DIR_WS_IMAGES.'template/icon_active.gif').'&nbsp;&nbsp;'.TEXT_ADD_NEW_XSELL_PRODUCT; ?></td>
				<td align="right"><?php echo '<a href="javascript: save_new_xsell_product('.$products_id.');">'.tep_image(DIR_WS_IMAGES.'template/img_savel.gif','Save','','','').'</a>&nbsp;&nbsp;<a href="javascript: close_new_xsell_product();">'.tep_image(DIR_WS_IMAGES.'template/img_closel.gif','Close','','','').'</a>'; ?></td>
				</tr>-->
			</table>
			<table width="100%" cellpadding="3" cellspacing="3" border="0">
				<tr>
					<td width="300" class="TableHeading"><?php echo (($typename=='P')?TEXT_PRODUCT_NAME:TEXT_SUBSCRIPTION_NAME); ?></td>
					<td width="200" class="TableHeading"><?php echo TEXT_TYPE; ?></td>
					<td class="TableHeading"><?php echo TEXT_PRICE; ?></td>
				</tr>
			</table>
			<br>
			<div class="main" style="border:1px solid #7B9EBD; <?php echo ( (tep_db_num_rows($xsell_product_query)<5) ? 'height:100px;' : 'height:200px;'); ?> overflow:auto;">
				
				<table width="100%" cellpadding="3" cellspacing="3" border="0">
				<?php
					$checked=false; 
					$type_array=array( array( id=>"G" , text=>"General"),
										array(id=>"F", text=>"Forced"));
					while($xsell_product_array=tep_db_fetch_array($xsell_product_query)){
						
						if($typename=='S')
							$xsell_product_array['products_id']=$xsell_product_array['subscription_id'];
							
						if($xsell_product_array['products_id']!=$products_id){
						if($typename=='P')
							$xsell_query=tep_db_query("select xsell_id,xsell_type from " . TABLE_PRODUCTS_XSELL . " where products_id='".(int)$products_id."' and xsell_id='".(int)$xsell_product_array['products_id']."' and item_type='P'");
						elseif($typename=='S')
							$xsell_query=tep_db_query('select xsell_id,xsell_type from '.TABLE_PRODUCTS_XSELL." where products_id='".$products_id."' and xsell_id='".(int)$xsell_product_array['products_id']."' and item_type='S'");
							
						
							$xsell_result=tep_db_fetch_array($xsell_query);
							if($xsell_result["xsell_id"]==$xsell_product_array['products_id']){
								$checked=true;
							}else{
								$checked=false;
							}
				?>
							<tr>
								<td width="300" class="main">
									<input type="checkbox" <?php echo (($checked)?("checked='checked'"):'');?> value="<?php echo $xsell_product_array['products_id']; ?>" id="products_id[]" name="products_id[]"><?php echo (($typename=='P')?$xsell_product_array['products_name']:$xsell_product_array['subscription_name']); ?>
								</td>
								<td width="200"><?php echo tep_draw_pull_down_menu('xsell_type['.$xsell_product_array["products_id"].']', $type_array, ($xsell_result["xsell_type"]),' id="xsell_type[]"  ');?>
								</td>
								<td class="main"><?php echo $currencies->display_price((($typename=='P')?$xsell_product_array['products_price']:$xsell_product_array['subscription_costs']), tep_get_tax_rate((($typename=='P')?$xsell_product_array['products_tax_class_id']:$xsell_product_array['subscription_tax_class_id']))); ?></td>
							</tr>
					<?php //}?>
				<?PHP }//IF
				} ?>
				</table>
			</div><br><br>
		</form>
		<?PHP
		$jsData->VARS["updateMenu"]=",update,";
		$display_mode_html=' style="display:none"';
		
	}	
			
			function doXsellProductsUpdate()
			{
			global $FREQUEST,$jsData;
			
			$typename=$FREQUEST->postvalue('type');

			$products_id=$FREQUEST->postvalue("products_number","int",-1);
			$sort_order=1;
			$sort_order_query=tep_db_query('select sort_order from '.TABLE_PRODUCTS_XSELL." where products_id='".tep_db_input($products_id)."'");
			if(tep_db_num_rows($sort_order_query)>0){
			$sort_order_array=tep_db_fetch_array($sort_order_query);
			$sort_order=$sort_order_array['sort_order'];
			}
			$products_id_array=$FREQUEST->postvalue('products_id');
			$xsell_type_array=$FREQUEST->postvalue('xsell_type');
			
			
			tep_db_query("delete from ".TABLE_PRODUCTS_XSELL." where products_id='".$products_id."'");
			if(is_array($products_id_array) && sizeof($products_id_array)>0){
				for($i=0,$len=sizeof($products_id_array);$i<$len;$i++){
				$xsell_id=$products_id_array[$i];
				$xsell_type=$xsell_type_array[$xsell_id];
				$xsell_query=tep_db_query("select xsell_id from ".TABLE_PRODUCTS_XSELL." where xsell_id='".$xsell_id."'");
						
						if($typename=='P')
							$item_type='P';
						elseif($typename=='S')
							$item_type='S';
							
				tep_db_query('insert into '.TABLE_PRODUCTS_XSELL." (products_id,xsell_id,xsell_type,sort_order,item_type) values('$products_id','$xsell_id','$xsell_type','$sort_order','$item_type')");
				$sort_order++;
				}
			}
				$jsData->VARS["prevAction"]=array('id'=>$products_id,'get'=>'XsellProductsInfo','type'=>$this->type,'style'=>'boxRow');
				$this->doXsellProductsInfo($products_id);
				$jsData->VARS["updateMenu"]=",normal,";
				
				
			}
			
			function doXsellProductsInfo($group_id=0){
			global $FREQUEST,$jsData;
			
			if($FREQUEST->getvalue('type'))
				$typename=$FREQUEST->getvalue('type');
			else
				$typename=$FREQUEST->postvalue('type');
		
			if($products_id <= 0)
			{
			if($FREQUEST->getvalue("rID","int",0))
			$products_id=$FREQUEST->getvalue("rID","int",0);
			else
			$products_id=$FREQUEST->postvalue('products_number');
			}
			if($typename=='P')
			{		
		  $products_query=tep_db_query('select products_name from '.TABLE_PRODUCTS_DESCRIPTION." where products_id='".(int)$products_id."' ");
  		  $products_array=tep_db_fetch_array($products_query);
 		  $products_name=$products_array['products_name'];
  		  $products_xsell_query=tep_db_query('select xsell_id from '.TABLE_PRODUCTS_XSELL." where products_id='".(int)$products_id."' order by sort_order");
			}
			elseif($typename=='S')
			{
			$products_query=tep_db_query('select subscription_name from '.TABLE_SUBSCRIPTIONS_DESCRIPTION." where subscription_id='".(int)$products_id."'");
			$products_array=tep_db_fetch_array($products_query);
			$products_name=$products_array['subscription_name'];
			$products_xsell_query=tep_db_query('select xsell_id from '.TABLE_PRODUCTS_XSELL." where products_id='".(int)$products_id."' order by sort_order");
			  
			}
			if (tep_db_num_rows($products_xsell_query)>0){
				$template=getInfoTemplate($group_id);
				while($products_xsell_result=tep_db_fetch_array($products_xsell_query))
				{
				 $xsell_id=$products_xsell_result['xsell_id'];
	
				 if($typename=='P')
					 $products_query=tep_db_query('select products_name from '.TABLE_PRODUCTS_DESCRIPTION." where products_id='".(int)$xsell_id."' order by products_name");
				 elseif($typename=='S')
					 $products_query=tep_db_query('select subscription_name from '.TABLE_SUBSCRIPTIONS_DESCRIPTION." where subscription_id='".$xsell_id."' order by subscription_name");

 				 $products_array=tep_db_fetch_array($products_query);


				$rep_array=array(	"TYPE"=>$this->type,
									"NAME"=>(($typename=='P')?$products_array["products_name"]:$products_array["subscription_name"]),
									
									"ID"=>$xsell_id,
									);
				
				echo mergeTemplate($rep_array,$template);
				
				$jsData->VARS["updateMenu"]=",normal,";
			}}
			else {
				echo '<table><tr><td width="300" height="70"></td><td align="center" class="main" nowrap="nowrap">'.TEXT_N0_XSELL_PRODUCTS_FOUND.'</td></tr></table>';
			}
			
			}			
		
		}function getXsellProductsListTemplate(){
		ob_start();
		getTemplateRowTop();
?>
					<table border="0" cellpadding="0" cellspacing="0" width="100%" id="##TYPE####ID##">
						<tr>
							<td>
							<table border="0" cellpadding="0" cellspacing="0" width="100%">
								<tr>
									<td width="15" id="sxp##ID##bullet">##STATUS##</td>
									<td width="49%" class="main" onClick="javascript:doDisplayAction({'id':'##ID##','get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##&type=##TYPENAME##'});" id="##TYPE####ID##name">##NAME##</td>
									<td  width="44%" id="##TYPE####ID##menu" align="right" class="boxRowMenu">
										<span id="##TYPE####ID##mnormal" style="##FIRST_MENU_DISPLAY##">
										<a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':'##ID##','get':'XsellProductsEdit','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##&type=##TYPENAME##'});"><img src="##IMAGE_PATH##/template/edit_blue.gif" title="Edit"/></a>
										<img src="##IMAGE_PATH##/template/img_bar.gif"/>
										</span>
										<span id="##TYPE####ID##mupdate" style="display:none">
										<a href="javascript:void(0)" onClick="javascript:return doUpdateAction({'id':##ID##,'get':'XsellProductsUpdate','imgUpdate':true,'type':'##TYPE##','style':'boxRow','validate':xsellValidate,'uptForm':'new_xsell_product_form','customUpdate':doXsellUpdate,'result':##UPDATE_RESULT##,'message1':page.template['UPDATE_DATA'],'message':page.template['UPDATE_IMAGE']});"><img src="##IMAGE_PATH##/template/img_save_green.gif" title="Save"/></a>
										<img src="##IMAGE_PATH##/template/img_bar.gif"/>
										<a href="javascript:void(0)" onClick="javascript:return doCancelAction({'id':##ID##,'get':'XsellProductsEdit','type':'##TYPE##','style':'boxRow'});"><img src="##IMAGE_PATH##/template/img_close_blue.gif" title="Cancel"/></a>
										</span>
									</td>
								</tr>
							</table>
							</td>
						</tr>
					</table>
<?php
		getTemplateRowBottom();
		$contents=ob_get_contents();
		ob_end_clean();
		return $contents;
	}
	function getInfoTemplate(){
		ob_start();
?>
		<table border="0" cellpadding="4" cellspacing="0" width="100%">
			<div class="hLineGray"></div>
			<tr>
				<td class="main" > </td>
				<td width="80%" align="left" height="10"style="overflow:hidden"  class="main">##NAME##</td>
			</tr>
			<tr><td></td></tr>
		
		</table>
<?php
		$contents=ob_get_contents();
		ob_end_clean();
		return $contents;
	}
	
	
	?>