<?php 
/*
    Freeway eCommerce
    http://www.openfreeway.org
    Copyright (c) 2007 ZacWare
    
    Released under the GNU General Public License
*/
define( '_FEXEC', 1 );
 include('includes/application_top.php');
 define('FPDF_FONTPATH','admin/font/');
 require('includes/fpdf.php');
 require(DIR_WS_CLASSES . 'order.php');
 define('PDF_LEFT_MARGIN',20);
 define('PDF_TOP_MARGIN',10);
 define('PDF_ORIENTATION','P');
 define('PDF_PAGE_FORMAT','A4');
	$currencies = new currencies();
 
 	$oID=tep_db_prepare_input($FREQUEST->getvalue('order_id'));
	$order = new order($FREQUEST->getvalue('order_id','int'));
	
 if($FGET['file']=="pdf"){
	    generate_pdf();
		 tep_redirect(DIR_WS_CATALOG . "images/"."pdf_invoice_".$oID.".pdf");
		 return;
	}
	
	function generate_pdf(){
		global $order,$currencies,$oID;
		
		$pdf=new FPDF("P","mm"); 
		$pdf->AddPage();
		$pdf->SetFont('Arial','B',10);	
		$pdf->SetFillColor(255,255,255);
		$pdf->SetTextColor(0,0,0);
					
$fir_len=strlen($order->customer['firstname'])+8; 
		$customer_pdf=array(array("name"=>'Dear',"width"=>10),
					array("name"=>$order->customer['firstname'],"width"=>$fir_len),
					array("name"=>$order->customer['lastname'],"width"=>50),
					);
		
		for($icnt=0;$icnt<sizeof($customer_pdf);$icnt++){
		$pdf->Cell($customer_pdf[$icnt]["width"],5,$customer_pdf[$icnt]["name"],0,0,"L",1);
		}
		$pdf->Ln();
		$pdf->Ln();
		
		$description_detail='Thank you for purchasing from '.STORE_NAME.'. The details of your order are included in the attachment.';
		$pdf->Cell(300,5,$description_detail,0,0,"L",1);
		$pdf->Ln();
		$pdf->Ln();
		
		
		 // set initial params
			
				
		$products_name="";
		$products = "";
		$products_names_p="";
		$pre_qty="";
		$pre_name="";
		$qty_p = "";
		$pre_sign="";
		$first_event = true;
		$first_event_id = 0;
		$jj=0;
		$attendees_name="";
		


		for ($i = 0, $n = sizeof($order->products); $i < $n; $i++) {
			$products_names_p="";
			$qty_p = "";
			$sign_p="";
			$model="";

			$products_ordered_attributes="";
			if ( (isset($order->products[$i]['attributes'])) && (sizeof($order->products[$i]['attributes']) > 0) ) {
				for ($j=0, $n2=sizeof($order->products[$i]['attributes']); $j<$n2; $j++) {
					$products_ordered_attributes .= "<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" . $order->products[$i]['attributes'][$j]['option'] . ':' . $order->products[$i]['attributes'][$j]['value'];
					if($order->products[$i]['attributes'][$j]['price'])
					$products_ordered_attributes .= " - " . $currencies->format($order->products[$i]['attributes'][$j]['price']);
				}
			}
			
		    $products_ordered_attributes1="";
			for($jcnt=0;$jcnt<sizeof($order->products[$i]['resources']);$jcnt++){
			   if(count($order->products[$i]['resources'])>0){
				$disp_date=$order->products[$i]['resources'][$jcnt]['end_date'];
				$disp_time=$order->products[$i]['resources'][$jcnt]['end_time'];
				
				if($disp_date && $disp_time){
					$date_time=strtotime($disp_date.' '.$disp_time)+60;
					$disp_date=date('Y-m-d',$date_time); 
					$disp_time=date('h:i A',$date_time); 
				}
				$disp_stime=date('h:i A',strtotime($order->products[$i]['resources'][$jcnt]['start_time']));
				if($dis_time_format!="") {
					if($dis_time_format=='24') {
						$disp_time=date('H:i',$date_time); 
						$disp_stime=date('H:i',strtotime($order->products[$i]['resources'][$jcnt]['start_time']));
					}	
				}
					if($order->products[$i]['resources'][$jcnt]['start_date'])
						$products_ordered_attributes1 .= "<br>&nbsp;&nbsp;&nbsp;&nbsp;- " . TEXT_START_DATE . ': &nbsp;&nbsp;' .  format_date($order->products[$i]['resources'][$jcnt]['start_date']) . '&nbsp;&nbsp;' . $disp_stime;
					if($order->products[$i]['resources'][$jcnt]['end_date'])
						$products_ordered_attributes1 .= "<br>&nbsp;&nbsp;&nbsp;&nbsp;- " . TEXT_END_DATE . ': &nbsp;&nbsp;&nbsp;' .  format_date($disp_date) . '&nbsp;&nbsp;' . $disp_time;
					if($order->products[$i]['resources'][$jcnt]['resource_name'])
						$products_ordered_attributes1 .= "<br>&nbsp;&nbsp;&nbsp;&nbsp;- " . TEXT_RESOURCE . ': &nbsp;&nbsp;' . $order->products[$i]['resources'][$jcnt]['resource_name'];
			  }
			}
			
			if($order->products[$i]['element_type']=="E"){
			 $model="";
				if($order->products[$i]['model'])
				{
				  if($order->products[$i]['model']!=""){
					 $model.=$order->products[$i]['model'] . ",";
				  }
				 
				}
			}	
			if(($pre_name!=$order->products[$i]['name']) && ($order->products[$i]['element_type']=="E")){
					$products_names_p = $order->products[$i]['name'];
					$pre_name=$order->products[$i]['name'];	
					$qty_p=$order->products[$i]['qty'];
					$pre_qty=$order->products[$i]['qty']; 
					$sign_p="X";
					$pre_sign="X";
			 }else if($order->products[$i]['element_type']=="V"){
			  $products_names_p = $order->products[$i]['name'];
			  $qty_p=$order->products[$i]['qty'];
			  $sign_p="X";
				  if($order->products[$i]['model'])
					$model= " , " . $order->products[$i]['model'];
			  }else if($order->products[$i]['element_type']=="S"){ 
			  $products_names_p = $order->products[$i]['name'];
			  $qty_p=$order->products[$i]['qty'];  
			  $sign_p="X"; 
				 }else if($order->products[$i]['element_type']=="P"){ 
			  $products_names_p = $order->products[$i]['name'];
			  $qty_p=$order->products[$i]['qty'];
			  $sign_p="X";
				  if($order->products[$i]['model'])
					$model= " , " . $order->products[$i]['model'];
			  }
			
			$rax_total=tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax']) * $order->products[$i]['qty'];
			$sku = $order->products[$i]['sku'];
			$event_id = 0;
			if($order->products[$i]['element_type']=='E'){
				$event_id = $order->products[$i]['event_id'];
				if($first_event){ 
					$first_event_id = $order->products[$i]['event_id'];
					$first_event = false;
				}
			} 
			$products[] = array( "qty" => $qty_p,
								 "sign"  => $sign_p,
								 "id" => $order->products[$i]['id'],
								 "products_type" => $order->products[$i]['element_type'],
								 "p_name"	 => $products_names_p,
								 "event_id" => $event_id,
								 "p_attributes1" => $products_ordered_attributes1, 
								 "p_attributes" => $products_ordered_attributes,
								 "model" => $model,
								 "sku" => $sku,
								 "row_total"=>$rax_total
							   ); 
	     }
		$session_dates = "";
		$event_id = $first_event_id;
		$date = array(); 
		
		$events_row_total = array();
		for ($i = 0, $n = sizeof($products); $i < $n; $i++) { 
			if(($products[$i]['products_type']=="E")){
				if($event_id!=$products[$i]['event_id']){
					$event_id=$products[$i]['event_id'];
					$session_dates = "";
				}
				$session_dates .= $products[$i]['model'];
				$date[$products[$i]['event_id']] = substr($session_dates,0,-1); 
				$events_row_total[$products[$i]['event_id']] += $products[$i]['row_total'];	
			} 
		} 
		$date_keys = array_keys($date);
		$date_keys_length = count($date_keys);
		for($i=0;$i<$date_keys_length;$i++){
			$final_date='';
			$var_date = $date[$date_keys[$i]];
			$date_split = split(',',$var_date);
			$date_split_count = count($date_split);
			
			for($j=0;$j<$date_split_count;$j++){
				$final_date .= format_date($date_split[$j]) .',';
				$m=$j+1;
				}
			$date[$date_keys[$i]] = substr($final_date,0,-1);
		}
		$event_id = 0;$flagp=0;$flage=0;$flagv=0;$flags=0;
		for ($i = 0, $n = sizeof($products); $i < $n; $i++) {
	   		 if($products[$i]['products_type']=="P"){
				$row_total= $products[$i]['row_total'];			
				$date=$products[$i]['model'];
			}else if($products[$i]['products_type']=="S"){
			    $row_total= $products[$i]['row_total'];
				   if($products[$i]['model']!="")
				    $date=$products[$i]['model'];	
			}else if($products[$i]['products_type']=="V"){
			    $row_total= $products[$i]['row_total'];
				   if($products[$i]['model']!="")
				   $date=$products[$i]['model'];
			}
			if($event_id!=$products[$i]['event_id'] || $products[$i]['products_type']!='E'){
				if($products[$i]['products_type']=='E'){
					$row_total = $events_row_total[$products[$i]['event_id']];
					$attendees_name="";
					if( ($products[$i]['qty'])>1 ){
						$attendee_query=tep_db_query("select distinct customers_firstname,customers_lastname from ".TABLE_CUSTOMERS ." c, ".TABLE_CUSTOMERS_TO_CUSTOMERS ." ctc where ctc.customer_id=c.customers_id and ctc.orders_id='".tep_db_input($oID)."'");
						while($attendee_result=tep_db_fetch_array($attendee_query)){
							$attendees_name.=$attendee_result['customers_firstname'].' '.$attendee_result['customers_lastname'].',';
						}
				   }
				} 
			$model = "";
			if(($products[$i]['products_type']=="S")){
			   if($products[$i]['model']!="")
			     $model = $products[$i]['model'];
				 $attendees_name="";
		    }if(($products[$i]['products_type']=="P")){
			     if($products[$i]['model']!="")
			       $model = $products[$i]['model'];
				   $attendees_name="";	 
			}
		    if( ($products[$i]['products_type']=="E") && ($products[$i]['qty'])>1 ) {
						if ($attendees_name!=""){
							$attendees_name= TEXT_ATTENDEES .'-'.substr($attendees_name,0,-1);
						}
			}
			$discount='';
			
			
			if(($products[$i]['products_type']=='P')){
				$discount=(isset($order->products[$i]['discount_whole_text']) && $order->products[$i]['discount_whole_text']!='')?'<br>' . $order->products[$i]['discount_whole_text']:'';
			}
			
			$event_id = $products[$i]['event_id'];
			
			$pdf->SetFillColor(201,201,201);
			$pdf->SetTextColor(0,0,0);
			if(($products[$i]['products_type']=='P')&&($flagp==0)){
			
			$columns=array(array("name"=>TABLE_HEADING_QTY,"width"=>45),
					array("name"=>TABLE_HEADING_PRODUCTS,"width"=>65),
					array("name"=>TABLE_HEADING_SKU,"width"=>30),
					array("name"=>TABLE_HEADING_TOTAL_INCLUDING_TAX,"width"=>80),
					);
					
			for($icnt=0;$icnt<sizeof($columns);$icnt++){
			$pdf->Cell($columns[$icnt]["width"],5,$columns[$icnt]["name"],0,0,"L",1);
			}
			$pdf->Ln();		
		     $flagp=1;
			}
			
			if(($products[$i]['products_type']=='E')&&($flage==0)){
			$columns=array(array("name"=>TABLE_HEADING_QTY,"width"=>45),
					array("name"=>TABLE_HEADING_EVENTS,"width"=>95),
					array("name"=>TABLE_HEADING_TOTAL_INCLUDING_TAX,"width"=>80),
					);
			for($icnt=0;$icnt<sizeof($columns);$icnt++){
			$pdf->Cell($columns[$icnt]["width"],5,$columns[$icnt]["name"],0,0,"L",1);
			}
			$pdf->Ln();	
			$flage=1;
			}
			if(($products[$i]['products_type']=='V')&&($flagv==0)){
			
			$columns=array(array("name"=>TABLE_HEADING_QTY,"width"=>45),
					array("name"=>TABLE_HEADING_SERVICES,"width"=>95),
					array("name"=>TABLE_HEADING_TOTAL_INCLUDING_TAX,"width"=>80),
					);
					
			for($icnt=0;$icnt<sizeof($columns);$icnt++){
			$pdf->Cell($columns[$icnt]["width"],5,$columns[$icnt]["name"],0,0,"L",1);
			}
			$pdf->Ln();	
			$flagv=1;
			}
			if(($products[$i]['products_type']=='S')&&($flags==0)){
			
			$columns=array(array("name"=>TABLE_HEADING_QTY,"width"=>45),
					array("name"=>TABLE_HEADING_SUBSCRIPTIONS,"width"=>95),
					array("name"=>TABLE_HEADING_TOTAL_INCLUDING_TAX,"width"=>80),
					);	
			
			for($icnt=0;$icnt<sizeof($columns);$icnt++){
			$pdf->Cell($columns[$icnt]["width"],5,$columns[$icnt]["name"],0,0,"L",1);
			}
			$pdf->Ln();	
						
		     $flags=1;
			}
					
		$pdf->Ln();
		$pdf->SetFillColor(255,255,255);
		$pdf->SetTextColor(0,0,0);
		if(($products[$i]['products_type']!='P')){
		$pdf_qty=array(array("name"=>$products[$i]['qty'],"width"=>5),
					array("name"=>$products[$i]['sign'],"width"=>25),
					array("name"=>$products[$i]['p_name'],"width"=>110),
					array("name"=>$currencies->format($row_total, true, $order->info['currency'], $order->info['currency_value']),"width"=>80));
		
		
		
		for($icnt=0;$icnt<sizeof($pdf_qty);$icnt++){
		$pdf->Cell($pdf_qty[$icnt]["width"],5,$pdf_qty[$icnt]["name"],0,0,"L",1);
		}
		
		$pdf->Ln();
		if(($products[$i]['products_type']=='E')){
			$final_date='';
			$var_date = $date[$date_keys[$i]];
			$date_split = split(',',$var_date);
			$date_split_count = count($date_split);
			
			for($j=0;$j<$date_split_count;$j++){
				$final_date .= $date_split[$j] .',';
				
				$m=$j+1;
				if($m%4==0)	
				{
				$final_date = substr($final_date,0,-1);
				$date[$event_id] = $final_date;
				$pdf_date_dis=array(array("name"=>'',"width"=>30),
							  array("name"=>$date[$event_id],"width"=>35));
				//array("name"=>$attendees_name,"width"=>15));
							
				for($icnt=0;$icnt<sizeof($pdf_date_dis);$icnt++){
				$pdf->Cell($pdf_date_dis[$icnt]["width"],5,$pdf_date_dis[$icnt]["name"],0,0,"L",1);
				}
				$pdf->Ln();
				$final_date='';
				}
					}
					
			$date[$event_id] = substr($final_date,0,-1);
			
			$pdf_date_dis=array(array("name"=>'',"width"=>30),
							  array("name"=>$date[$event_id],"width"=>35));
										
				for($icnt=0;$icnt<sizeof($pdf_date_dis);$icnt++){
				$pdf->Cell($pdf_date_dis[$icnt]["width"],5,$pdf_date_dis[$icnt]["name"],0,0,"L",1);
				}
		
		$pdf->Ln();
		$att_name='';										
		$att_split = split(',',$attendees_name);
			$att_count = count($att_split);
			for($j=0;$j<$att_count;$j++){
				$att_name .= $att_split[$j] .',';
				
				$m=$j+1;
				if($m%3==0)	
				{
				$att_name = substr($att_name,0,-1);
				$attendees_name = $att_name;
					$pdf_date_dis=array(
		            array("name"=>'','width'=>30),
					array("name"=>$attendees_name,"width"=>25));
					
							
				for($icnt=0;$icnt<sizeof($pdf_date_dis);$icnt++){
				$pdf->Cell($pdf_date_dis[$icnt]["width"],5,$pdf_date_dis[$icnt]["name"],0,0,"L",1);
				}
				$pdf->Ln();
				$att_name='';
				}
					}									
					
			$attendees_name = substr($att_name,0,-1);
			$pdf_date_dis=array(array("name"=>'',"width"=>30),
							  array("name"=>$attendees_name,"width"=>35));	
		for($icnt=0;$icnt<sizeof($pdf_date_dis);$icnt++){
		$pdf->Cell($pdf_date_dis[$icnt]["width"],5,$pdf_date_dis[$icnt]["name"],0,0,"L",1);
		}
			}
			}	
			else
		{
		$pdf_qty=array(array("name"=>$products[$i]['qty'],"width"=>5),
					array("name"=>$products[$i]['sign'],"width"=>35),
					array("name"=>$products[$i]['p_name'],"width"=>70),
					array("name"=>$products[$i]['sku'],"width"=>30),
					array("name"=>$currencies->format($row_total, true, $order->info['currency'], $order->info['currency_value']),"width"=>80));
					
		for($icnt=0;$icnt<sizeof($pdf_qty);$icnt++){
		$pdf->Cell($pdf_qty[$icnt]["width"],5,$pdf_qty[$icnt]["name"],0,0,"L",1);
		}
		}
		
		$pdf->Ln();
		$pdf->Ln();
		
		
					
			/*$pdf->Text(10,20,$products[$i]['qty']);
			$pdf->Text(15,20,$products[$i]['sign']);
			if(($products[$i]['products_type']!='P')){
			$pdf->Text(30,20,$products[$i]['p_name']);
			$pdf->Text(30,25,$products[$i]['p_attributes1']);
			$pdf->Text(30,30,$products[$i]['p_attributes']);
			$pdf->Text(35,35,$date[$event_id]);
			$pdf->Text(40,40,$model);
			$pdf->Text(50,50,$attendees_name);
			}
			else {
			$products_ordered.='<td style="font-family:Arial, Helvetica, sans-serif;font-size:12px;" valign="top" align="left">' . $products[$i]['p_name'] .  $products[$i]['p_attributes1'] . $products[$i]['p_attributes'] . $model .  $discount . "</td>";
			}*/
			//$pdf->Text(55,60,$products[$i]['sku']);
			//$pdf->Text(95,20,$currencies->format($row_total, true, $order->info['currency'], $order->info['currency_value']));
						
		  }
	  } 
			
						
	  for ($i = 0, $n = sizeof($products); $i < $n; $i++) {  
			if ($products_type!="M"){
				if ($products_type=='')
					$products_type=$order->products[$i]['products_type'];
				else if ($products_type!=$order->products[$i]['products_type'])
					$products_type="M";
			}
			if ($order->products[$i]['products_type']=='E') $session_ids.=$order->products[$i]['id'] . ",";
	   }
	

	$pending_period=0;
	$fetch_id=0;

	if ($session_ids!=""){
		$session_ids=substr($session_ids,0,-1);
		$find_query=tep_db_query("SELECT e.events_pending_period as pending_period,e.events_id from " . TABLE_EVENTS_SESSIONS . " s, " . TABLE_EVENTS . " e where sessions_id='" . tep_db_input($session_ids) . "' and s.events_id=e.events_id order by events_pending_period limit 1");
		$find_result=tep_db_fetch_array($find_query);
		$pending_period=(int)$find_result["pending_period"];
		$fetch_id=(int)$find_result["events_id"];
	}

	$order_totals_str="";
	$titles=array('ot_subtotal'=>INVOICE_SUBTOTAL,'ot_shipping'=>INVOICE_SHIPPING,'ot_total'=>INVOICE_TOTAL);
	
	$pdf->Ln();	
	for ($i = 0, $n = sizeof($order->totals); $i < $n; $i++) {
	$products_order_total=(isset($titles[$order->totals[$i]['class']])?$titles[$order->totals[$i]['class']]:strip_tags($order->totals[$i]['title']));
			
		$order_total_pdf=array(array("name"=>'',"width"=>80),
								array("name"=>$products_order_total,"width"=>35),
								array("name"=>strip_tags($order->totals[$i]['text']),"width"=>40));
		
			
		if ($order->totals[$i]['class']!="ot_total"){		
		
		for($icnt=0;$icnt<sizeof($order_total_pdf);$icnt++){
			$pdf->Cell($order_total_pdf[$icnt]["width"],5,$order_total_pdf[$icnt]["name"],0,0,"R",1);
			}
			
		$pdf->Ln();	
			 //(isset($titles[$order->totals[$i]['class']])?$titles[$order->totals[$i]['class']]:strip_tags($order->totals[$i]['title'])) . '<td style="font-family:Arial, Helvetica, sans-serif;font-size:12px;" width="80" align="right">' . strip_tags($order->totals[$i]['text']) . "</td><td width='2'></td></tr>"; 
		} 
		else {
			
			for($icnt=0;$icnt<sizeof($order_total_pdf);$icnt++){
			$pdf->Cell($order_total_pdf[$icnt]["width"],5,$order_total_pdf[$icnt]["name"],0,0,"R",1);
			}
			$pdf->Ln();	
		}
		
		
	}
	
		$pdf->Ln();	  
	    $pdf->Ln();	  
	 	$pdf->Cell(30,5,'With Thanks',0,1,"L",1);
	 	$pdf->Ln();	
	  	$pdf->Cell(30,5,STORE_OWNER,0,1,"L",1);
	  	$pdf->Cell(30,5,STORE_NAME,0,1,"L",1);
	    $pdf->Cell(30,5,STORE_OWNER_EMAIL_ADDRESS,0,0,"L",1);
	  
		$pdf->output("images/pdf_invoice_".$oID.".pdf");
	
	
	
	
    /*$merge_details[TEXT_PO]=$products_ordered;

	// get the shipping and billing address
	// get the shipping and billing address
	$merge_details[ORDR_BA]=tep_address_format($order->billing['format_id'], $order->billing, 1, '', '<br>');
		
	if(($order->delivery['format_id'])>0)
		$merge_details[ORDR_SA]=tep_address_format($order->delivery['format_id'], $order->delivery, 1, '', '<br>');
	else 	
		$merge_details[ORDR_SA]=tep_address_format($order->customer['format_id'], $order->customer, 1, '', '<br>');
	
	$payment_detail="";
	$note="";
	$merge_details[PAYMT_DT]=$payment_detail;
	$merge_details[PAYMT_DT]='';
	$merge_details["Phone"]=$order->customer["telephone"];
	$merge_details["Email_Address"]=$order->customer["email_address"];
	
    $merge_details["Store_Logo"]=tep_image(DIR_WS_TEMPLATES . DEFAULT_TEMPLATE . '/images/' .COMPANY_LOGO, STORE_NAME,'','');
	$mail_data_query=tep_db_query("SELECT * from " . TABLE_EMAIL_MESSAGES . " where message_type='MIV'");

	if (tep_db_num_rows($mail_data_query)>0){
		
		$mail_data_result=tep_db_fetch_array($mail_data_query);
		
		//get message content
		$mes_content=$mail_data_result['message_text'];
	   //replace the merge details with the fields in content
	   while (list($key, $value) = each($merge_details))
		  $mes_content=str_replace("%%" . $key  . "%%",$value,$mes_content);
		  
	
	}*/
		  
		
}?>





