<?php
/*
	Freeway eCommerce 
	http://www.openfreeway.org
	Copyright (c) 2007 ZacWare

	Released under the GNU General Public License
*/
// Set flag that this is a parent file
	define( '_FEXEC', 1 );
	
	class productsAjax{
		function doImageUpload(){
			global $FREQUEST,$UPLOAD_FS_DIR,$js_string;
			if(!is_writable($UPLOAD_FS_DIR) || !is_writable($UPLOAD_FS_DIR)) echo "Err:" .sprintf(WARNING_IMAGE_DIRECTORY_WRITEABLE,$upload_fs_dir);
			$image_list=$FREQUEST->getRefValue('image_list','POST');
			if (count($image_list)<=0) return "Err:" . IMAGE_INPUTS_CANNOT_FOUND;
			$result=array();
			for ($icnt=0,$n=count($image_list);$icnt<$n;$icnt++){
				$key_name=str_replace("_file","",$image_list[$icnt]);
				if ($FREQUEST->getPostFile($image_list[$icnt])==""){
					$result[$key_name]='';
					continue;
				}
				$image=new upload($image_list[$icnt]);
				$image->set_destination($UPLOAD_FS_DIR);
				if ($image->parse() && $image->save()) $result[$key_name]=$image->filename;
				else break;
			}
			if ($icnt<$n){
				echo "Err:" . sprintf(IMAGE_FAILED_TO_UPLOAD,$image_list[$icnt]);
			} else {
				$js_string='';
				json_string($result);
				echo $js_string;
				$JS_VARS=array();
			}
		}
		function doCategoriesList($parent_id=0,$level=1){
			global $FSESSION,$PAGE,$SEARCH_DATA;
			
			$search_criteria='';
			if ($SEARCH_DATA!='') $search_criteria=" and categories_name like '%" . tep_db_input($SEARCH_DATA) . "%' ";
			
			$categories_sql = "select c.categories_id, cd.categories_name, c.parent_id from " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd where c.categories_id = cd.categories_id and cd.language_id = '" . (int)$FSESSION->languages_id . "' and c.parent_id = '" . (int)$parent_id . "' ". $search_criteria ." order by c.sort_order, cd.categories_name";
			$categories_query = tep_db_query($categories_sql);		
			if (tep_db_num_rows($categories_query)<=0) return;
			$template=getCategoriesListTemplate();
			while($categories_result=tep_db_fetch_array($categories_query)){
				$rep_array=array(	"PAD_LEFT"=>$level*10,
									"CAT_ID"=>$categories_result["categories_id"],
									"CAT_NAME"=>$categories_result["categories_name"],
									"BULLET_IMAGE"=>tep_image(DIR_WS_IMAGES . 'layout/bullet_close.gif'),
									"IMAGE_PATH"=>DIR_WS_IMAGES
								);
				echo tep_replace_simple_template($rep_array,$template);
				$this->doCategoriesList($categories_result["categories_id"],$level+1);
			}
		}
		function doCategoryInfo($category_id){
			global $FSESSION;
			$category_query=tep_db_query("select c.parent_id,date_format(c.date_added,'%Y-%m-%d') as date_added,date_format(c.last_modified,'%Y-%m-%d') as last_modified,cd.categories_id,c.categories_image,cd.categories_description,cd.categories_name from ".TABLE_CATEGORIES."  c, ".TABLE_CATEGORIES_DESCRIPTION." cd where c.categories_id=cd.categories_id and cd.language_id='".(int)$FSESSION->languages_id."' and c.categories_id='".(int)$category_id ."' limit 1");
			if (tep_db_num_rows($category_query)>0){
				$category_result=tep_db_fetch_array($category_query);
				$template=getCategoryInfoTemplate();
				$rep_array=array(	"CAT_DATE_ADDED"=>TEXT_INFO_DATE_ADDED . ': ' . format_date($category_result["date_added"]),
									"CAT_DATE_MODIFIED"=>TEXT_INFO_DATE_MODIFIED . ': ' . format_date($category_result["last_modified"]),
									"CAT_DESCRIPTION"=>$category_result["categories_description"],
									"CAT_IMAGE_WIDTH"=>SMALL_IMAGE_WIDTH,
									"CAT_IMAGE"=>tep_image(DIR_WS_CATALOG_IMAGES . $category_result["categories_image"],$cateory_result["categories_name"],SMALL_IMAGE_WIDTH),
								);
				echo tep_replace_simple_template($rep_array,$template);
				
			}
		}
		function doCategoryUpdate(){
			global $FREQUEST,$SERVER_DATE,$LANGUAGES,$JS_VARS,$FSESSION,$COMMANDS;
			$update_array=array();
			$category_id=$FREQUEST->postvalue('category_id','int',0);
			$update_array['categories_image']=$FREQUEST->postvalue('categories_image');
			$cat_lang=array();
			if ($category_id>0){
				$update_array["last_modified"]=$SERVER_DATE;
				tep_db_perform(TABLE_CATEGORIES,$update_array,"update","categories_id="  . $category_id);
				$lang_query=tep_db_query("SELECT language_id from " . TABLE_CATEGORIES_DESCRIPTION . " where categories_id=" . tep_db_input($category_id));
				while($lang_result=tep_db_fetch_array($lang_query)) $cat_lang[$lang_result["language_id"]]=1;
			} else {
				$sort_query=tep_db_query("select max(sort_order) as sort_order from ".TABLE_CATEGORIES);
				$sort_order=1;
				if (tep_db_num_rows($sort_query)>0) {
					$tmp_result=tep_db_fetch_array($sort_query);
					$sort_order=$tmp_result["sort_order"];
				}
				$update_array["parent_id"]=$FREQUEST->postvalue('parent_id','int',0);
				$update_array["sort_order"]=$sort_order;
				$update_array["date_added"]=$SERVER_DATE;
				tep_db_perform(TABLE_CATEGORIES,$update_array);
				$insert_id=tep_db_insert_id();
			}
			$cat_name=$FREQUEST->getRefValue('categories_name','POST');
			$cat_title=$FREQUEST->getRefValue('categories_heading_title','POST');
			$cat_desc=$FREQUEST->getRefValue('categories_description','POST');
			for ($icnt=0,$n=count($LANGUAGES);$icnt<$n;$icnt++){
				$lang_id=$LANGUAGES[$icnt]['id'];
				$update_array=array("categories_name"=>tep_db_prepare_input($cat_name[$lang_id]),
									"categories_heading_title"=>tep_db_prepare_input($cat_title[$lang_id]),
									"categories_description"=>tep_db_prepare_input($cat_desc[$lang_id]),
									);
				if ($category_id>0 && isset($cat_lang[$LANGUAGES[$icnt]['id']])){
					tep_db_perform(TABLE_CATEGORIES_DESCRIPTION,$update_array,"update","categories_id=" . $category_id . " and language_id=" . $lang_id);
				} else {
					$update_array["language_id"]=$lang_id;
					$update_array["categories_id"]=$insert_id;
					tep_db_perform(TABLE_CATEGORIES_DESCRIPTION,$update_array);
				}
			}
			if ($category_id<=0) {
				$category_id=$insert_id;
				pageFirstContent();
			} else {
				$JS_VARS["replace"]=array("title"=>$cat_title[$FSESSION->languages_id]);
				$this->doCatInfoAndProducts($category_id,true);
			}
			$JS_VARS["prevAction"]=array('id'=>$category_id,'get'=>'CatInfoAndProducts','type'=>'cat','style'=>'boxLevel1');
		}
		function doCategoryDelete(){
			global $FREQUEST,$JS_VARS;
			$category_id=$FREQUEST->getvalue('cID','int',0);
			tep_remove_category($category_id);
			$JS_VARS["deleteRow"]=array("id"=>$category_id,"type"=>"cat");
			tep_reset_seo_cache('products');
		}
		function doCategoryMove(){
			global $FREQUEST,$JS_VARS;
			$category_id=$FREQUEST->postvalue('category_id','int',0);
			$new_parent_id=$FREQUEST->postvalue('new_parent_id','int',0);
			if ($category_id<=0) {
				echo 'Err:' .ERROR_CANNOT_FIND_CATEGORY;
				return;	
			}
			$path = explode('_', tep_get_generated_category_path_ids($new_parent_id));
			if (in_array($category_id, $path)) {
				echo 'Err:' . '<font color="red">' . ERROR_CANNOT_MOVE_CATEGORY_TO_PARENT . '</font>';
				return;
			}
			tep_db_query("update " . TABLE_CATEGORIES . " set parent_id = " . tep_db_input($new_parent_id) . ", last_modified = now() where categories_id = " . tep_db_input($category_id));
			pageFirstContent();
		}
		function doProductsList($where=''){
			global $FSESSION;
			$products_query=tep_db_query('select pd.products_id,pd.products_name,p.products_status from '.TABLE_PRODUCTS.' p, '.TABLE_PRODUCTS_DESCRIPTION." pd, ".TABLE_PRODUCTS_TO_CATEGORIES." ptc where p.products_id=pd.products_id and ptc.products_id=pd.products_id and pd.language_id='" . (int)$FSESSION->languages_id . "' $where order by products_name");

			$template=getProductsListTemplate();
			while($products_result=tep_db_fetch_array($products_query)){
				$rep_array=array(	"PRD_ID"=>$products_result["products_id"],
									"PRD_NAME"=>$products_result["products_name"],
									"PRD_STATUS"=>tep_image(DIR_WS_IMAGES . 'template/' . ($products_result["products_status"]==1?'icon_active.gif':'icon_inactive.gif')),
								);
				echo tep_replace_simple_template($rep_array,$template);
			}			
		}
		function doProductInfo(){
			global $FSESSION,$FREQUEST,$currencies;
			$product_id=$FREQUEST->getvalue("pID","int",0);
			$product_query = tep_db_query("select pd.products_id,pd.products_name, pd.products_description, p.products_quantity,p.products_price,date_format(p.products_date_added,'%Y-%m-%d') as products_date_added, date_format(p.products_last_modified,'%Y-%m-%d') as products_last_modified,p.products_status,p.products_image_1,p.products_title_1,p.products_sort_order,p.is_subscription from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_id = '" . (int)$product_id . "' and p.products_id = pd.products_id and pd.language_id = '" . (int)$FSESSION->languages_id . "'");
			if (tep_db_num_rows($product_query)>0){
				$product_result=tep_db_fetch_array($product_query);
				$template=getProductInfoTemplate($product_id);
				$rep_array=array(	"PRD_QTY"=>HEADING_QUANTITY . ':' . $product_result["products_quantity"],
									"PRD_PRICE"=>HEADING_PRICE . ':' . $currencies->format(tep_add_tax($product_result["products_price"],tep_get_tax_rate($product_result["events_tax_class_id"]))),
									"PRD_DATE_ADDED"=>TEXT_INFO_DATE_ADDED . ' : ' . format_date($product_result["products_date_added"]),
									"PRD_DATE_MODIFIED"=>TEXT_INFO_DATE_MODIFIED . ' : ' . ($product_result["products_date_modified"]=='' || $product_result["products_date_modified"]=="0000-00-00"?format_date($product_result["products_date_added"]):format_date($product_result["products_date_modified"])),
									"PRD_DESCRIPTION"=>$product_result["products_description"],
									"PRD_ID"=>$product_result["products_id"],
									"PRD_IMAGE_WIDTH"=>SMALL_IMAGE_WIDTH,
									"PRD_IMAGE"=>tep_product_small_image($product_result["products_image_1"],$product_result["products_title_1"])
								);
				echo tep_replace_simple_template($rep_array,$template);
			}
		}
		function doCatInfoAndProducts($category_id=0,$include_menu=false){
			global $FREQUEST;
			if ($category_id==0) $category_id=$FREQUEST->getvalue("cID","int",0);
?>
			<table border="0" cellpadding="1" cellspacing="0" width="100%">
				<tr>
					<td valign="top" style="border-top:solid 1px #C6CEEA;height:5px" class="smallText">&nbsp;</td>
				</tr>
				<tr>
					<td valign="top" class="categoryInfo">
						<?php 
							echo $this->doCategoryInfo($category_id); 
							echo $this->doCategoryProducts($category_id);
						?>
					</td>
				</tr>
				<?php if ($include_menu) { ?>
				<tr style="display:none">
					<td id="replace_menu">
					<a href="javascript:void(0)" onclick="javascript:return doDisplayAction({'id':<?php echo $category_id;?>,'get':'CategoryEdit','result':doDisplayResult,'style':'boxLevel1','type':'cat','params':'cID=<?php echo $category_id;?>'});"><img src="<?php echo DIR_WS_IMAGES;?>/template/edit_blue.gif"/></a>
					<img src="<?php echo DIR_WS_IMAGES;?>/template/img_bar.gif"/>
					<a href="javascript:void(0)" onclick="javascript:return doDisplayAction();"><img src="<?php echo DIR_WS_IMAGES;?>/template/delete_blue.gif"/></a>
					<img src="<?php echo DIR_WS_IMAGES;?>/template/img_bar.gif"/>
					<a href="javascript:void(0)" onclick="javascript:return doDisplayAction();"><img src="<?php echo DIR_WS_IMAGES;?>/template/img_move.gif"/></a>
					</td>
				</tr>
				<?php } ?>
			</table>
<?php
		}
		function doCategoryProducts($category_id){
?>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr height="20">
				<td class="bulletTitle" valign="middle">
					<?php echo tep_image(DIR_WS_IMAGES . 'layout/bullet1.gif','','','','align=absmiddle') . '&nbsp;' . TITLE_PRODUCTS;?>
				</td>
			</tr>
			<tr>
				<td style="padding-right:10px">
				<table border="0" cellpadding="0" cellspacing="0" width="100%" class="boxLevel2">
					<tr height="4">
						<td class="topleft"></td>
						<td></td>
						<td class="topright"></td>
					</tr>
					<tr>
						<td width="4"></td>
						<td style="padding:5px">
						<table border="0" cellpadding="0" cellspacing="0" width="100%">
							<tr>
								<td valign="top" style="padding:2px;">
								<table border="0" cellpadding="0" cellspacing="0" width="100%" class="boxRow" id="prd-1style" onmouseover="javascript:doMouseOverOut([{callFunc:changeItemRow,params:{element:this,'className':'boxRow','changeStyle':'Hover'}}]);" onmouseout="javascript:doMouseOverOut([{callFunc:changeItemRow,params:{element:this,'className':'boxRow'}}]);">
									<tr>
										<td class="topleft"></td>
										<td></td>
										<td class="topright"></td>
									</tr>
									<tr>
										<td width="4"></td>
										<td valign="top">
										<table border="0" cellpadding="0" cellspacing="0" width="100%" id="prd-1">
											<tr>
												<td>
												<table border="0" cellpadding="0" cellspacing="0" width="100%">
													<tr>
														<td width="20" id="cat-1bullet" style="padding-left:3px"><?php echo tep_image(DIR_WS_IMAGES . 'template/plus_add2.gif');?></td>
														<td class="main" onclick="javascript:doDisplayAction({'id':-1,'get':'ProductEdit','result':doDisplayResult,'style':'boxRow','type':'prd','params':'pID=-1'});" id="prd-1title"><?php echo TEXT_NEW_PRODUCT;?></td>
														<td id="prd-1menu" align="right" class="menuRow">
															<a href="javascript:void(0)" onclick="javascript:return doDisplayAction({'id':-1,'get':'ProductEdit','result':doDisplayResult,'style':'boxRow','type':'prd','params':'pID=##PRD_ID##'});"><img src="<?php echo DIR_WS_IMAGES;?>/template/edit_blue.gif"/></a>
															<img src="<?php echo DIR_WS_IMAGES;?>/template/img_bar.gif"/>
															<a href="javascript:void(0)" onclick="javascript:return doDisplayAction({'id':-1,'get':'ProductDeleteCheck','result':doDisplayResult,'style':'boxLevel1','type':'cat','params':'cID=##CAT_ID##'});"><img src="<?php echo DIR_WS_IMAGES;?>/template/delete_blue.gif"/></a>
															<img src="<?php echo DIR_WS_IMAGES;?>/template/img_bar.gif"/>
															<a href="javascript:void(0)" onclick="javascript:return doDisplayAction({'id':-1,'get':'ProductMoveDisplay','result':doDisplayResult,'style':'boxLevel1','type':'cat','params':'cID=##CAT_ID##'});"><img src="<?php echo DIR_WS_IMAGES;?>/template/img_move.gif"/></a>
														</td>
													</tr>
												</table>
												</td>
											</tr>
										</table>
										</td>
										<td width="4"></td>
									</tr>
									<tr>
										<td class="botleft"></td>
										<td></td>
										<td class="botright"></td>
									</tr>
								</table>
								</td>
							</tr>
							<?php $this->doProductsList(" and ptc.categories_id=$category_id");?>
						</table>
						</td>
						<td width="4"></td>
					</tr>
					<tr height="4">
						<td class="botleft"></td>
						<td></td>
						<td class="botright"></td>
					</tr>
				</table>
				<td>
			</tr>
			<tr height="10">
				<td></td>
			</tr>
		</table>
<?php
		}
		function doCategoryEdit(){
			global $FREQUEST,$LANGUAGES,$CAT_TREE;
			$languages=&$LANGUAGES;
			$category_id=$FREQUEST->getvalue('cID','int',0);
			$mode=$FREQUEST->getvalue('cID','string','new');
			if ($category_id<=0) $mode="new";

			
			if ($category_id>0){
				$category_query = tep_db_query("select c.parent_id,c.categories_id, cd.categories_name,cd.categories_heading_title,cd.categories_description,c.categories_image,language_id from  ".TABLE_CATEGORIES."  c,  ".TABLE_CATEGORIES_DESCRIPTION."  cd where c.categories_id = cd.categories_id and c.categories_id='".(int)$category_id."' order by cd.language_id");
				$catInfo=array();
				$langInfo=array();
				while($cat_result=tep_db_fetch_array($category_query)){
					$langInfo[$cat_result["language_id"]]=array("name"=>$cat_result["categories_name"],"title"=>$cat_result["categories_heading_title"],"description"=>$cat_result["categories_description"]);
					if (count($catInfo)==0) {
						$catInfo=$cat_result;
						unset($catInfo["categories_name"]);
						unset($catInfo["categories_heading_title"]);
						unset($catInfo["categories_description"]);
					}
				}
			}
?>
			<form action="javascript:void(0)" method="post" enctype="multipart/form-data" name="catSubmit" id="catSubmit">
			<table border="0" cellpadding="4" cellspacing="0" width="100%" class="categoryEdit" style="padding-left:20px">
				<?php if ($category_id<=0){ ?>
				<tr>
					<td>
					<table border="0" cellpadding="2" cellspacing="0" width="100%">
						<tr>
							<td class="main" width="120" valign="top"><?php echo TEXT_PARENT_CATEGORY;?></td>
							<td class="main">
							<?php
								if (count($CAT_TREE)<=0) $CAT_TREE=tep_get_category_tree();
								echo tep_draw_pull_down_menu("parent_id",$CAT_TREE,0,'size=10');
							?>
							</td>
						</tr>	
					</table>
					</td>
				</tr>
				<?php } ?>
				<tr>
					<td width="50%" valign="top">
					<table border="0" cellpadding="2" cellspacing="0" width="100%">
						   <?php
				   			 for ($icnt=0,$n=count($languages); $icnt<$n; $icnt++) {
							?>
					          <tr>
					            <td class="main" valign="top" width="130"><?php if ($icnt == 0) echo TEXT_EDIT_CATEGORIES_NAME ; ?></td>
					            <td class="main" valign="top"><?php  echo tep_image(DIR_WS_CATALOG_LANGUAGES . $languages[$icnt]['directory'] . '/images/' . $languages[$icnt]['image'], $languages[$icnt]['name']) . '&nbsp;' . tep_draw_input_field('categories_name[' . $languages[$icnt]['id'] . ']', isset($langInfo[$languages[$icnt]['id']]["name"])?stripslashes($langInfo[$languages[$icnt]['id']]["name"]):'','maxlength="32"'); ?></td>
					          </tr>
					        <?php } ?>
					</table>
					</td>
			        <td valign="top">
           		 	<table border="0" cellspacing="3" cellpadding="3" width="100%"> 	
			           <?php  for ($icnt=0,$n=count($languages); $icnt<$n; $icnt++) { ?>
			          	  <tr>
			            	<td class="main" valign="top" width="150"><?php if ($icnt == 0) echo TEXT_EDIT_CATEGORIES_HEADING_TITLE; ?></td>
			            	<td class="main" valign="top"><?php echo tep_image(DIR_WS_CATALOG_LANGUAGES . $languages[$icnt]['directory'] . '/images/' . $languages[$icnt]['image'], $languages[$icnt]['name']) . '&nbsp;' . tep_draw_input_field('categories_heading_title[' . $languages[$icnt]['id'] . ']',  isset($langInfo[$languages[$icnt]['id']]["title"])?stripslashes($langInfo[$languages[$icnt]['id']]["title"]):''); ?></td>
			          	  </tr>
			           <?php } ?>
           		   </table>
	       	   	  </td>	  
				</tr>
				 <tr>
					<td colspan="2">
						<div style='width:100%;height:300px;overflow:auto;'>
						<table border="0" cellspacing="0" cellpadding="3">
							<?php  for ($icnt=0,$count=count($languages); $icnt<$n; $icnt++) { ?> 	
								   <tr>
										<td class="main" valign="top"><?php if ($icnt == 0) echo TEXT_EDIT_CATEGORIES_DESCRIPTION; ?></td>
										<td class="main" valign="top"><?php echo tep_image(DIR_WS_CATALOG_LANGUAGES . $languages[$icnt]['directory'] . '/images/' . $languages[$icnt]['image'], $languages[$icnt]['name'],'','','align="top"'); ?>&nbsp;
										<?php echo tep_draw_textarea_field('categories_description[' . $languages[$icnt]['id'] . ']', 'soft', '70', '15', isset($langInfo[$languages[$icnt]['id']]['description'])? $langInfo[$languages[$icnt]['id']]['description'] : ''); ?></td>
									  </tr>
							<?php } ?>				
						</table>
						</div>
					</td>
				</tr>
				<input type="hidden" id="categories_image" name="categories_image" value="<?php echo tep_output_string($catInfo["categories_image"]);?>"/>
				<input type="hidden" id="category_id" name="category_id" value="<?php echo $category_id;?>"/>
				</form>
				<tr>
					<td valign="top">
					<?php echo tep_draw_form('catImage','products_mainpage_new.php','AJX_CMD=ImageUpload','post','id="catImage" enctype="multipart/form-data"');?>
					<input type="hidden" name="image_list[]" value="categories_image_file"/>
					<table border="0" cellpadding="2" cellspacing="0">
						<tr>
							<td class="main" align="left" valign="top"><?php echo TEXT_EDIT_CATEGORIES_IMAGE; ?></td>
							<td class="main" align="left" valign="top"><?php echo tep_draw_file_field('categories_image_file') . '<br>' . tep_draw_separator('pixel_trans.gif','10','1') . '&nbsp;' . $catInfo["categories_image"]; ?></td>
						</tr>
					</table>
					</form>
					</td>
				</tr>
				<tr>
					<td class="main" id="cat<?php echo $category_id;?>message"></td>
				</tr>
				<tr style="display:none">
					<td id="replace_menu">
						<a href="javascript:void(0)" onclick="javascript:return doUpdateAction({'id':<?php echo $category_id;?>,'get':'CategoryUpdate','imgForm':'catImage','type':'cat','style':'boxLevel1','validate':categoryValidate,'uptForm':'catSubmit','result':<?php echo ($category_id>0?'doDisplayResult':'doTotalResult');?>,'get':'CategoryUpdate',display:'<?php echo tep_output_string(TEXT_PRODUCT_UPDATE_IMAGE);?>',display1:'<?php echo tep_output_string(TEXT_PRODUCT_UPDATE_DATA);?>'});"><img src="<?php echo DIR_WS_IMAGES;?>/template/img_save_green.gif"/></a>
						<img src="<?php echo DIR_WS_IMAGES;?>/template/img_bar.gif"/>
						<a href="javascript:void(0)" onclick="javascript:return doCancelAction({'id':<?php echo $category_id;?>,'get':'CategoryEdit','type':'cat','style':'boxLevel1'});"><img src="<?php echo DIR_WS_IMAGES;?>/template/img_close_blue.gif"/></a>
					</td>
				</tr>        	
			</table>
			
<?php
		}
		function doCategoryDeleteCheck(){
			global $FREQUEST,$FSESSION;
			$category_id=$FREQUEST->getvalue('cID','int',0);
			
			$delete_message='';
			if ($category_id>0){
				$category_childs = tep_childs_in_category_count($category_id);
				$category_products =tep_products_in_category_count($category_id);
				if ($category_childs>0 || $category_products>0){
					
					if ($category_childs > 0) $delete_message.=sprintf(TEXT_DELETE_WARNING_CHILDS, $category_childs) . '<br>';
					if ($category_products > 0) $delete_message.=sprintf(TEXT_DELETE_WARNING_PRODUCTS, $category_products).'<br>';
				} else {
					$delete_message=TEXT_DELETE_CONFIRM_INFO . '<p>' . '<a href="javascript:void(0);" onClick="javascript:doSimpleAction({id:' . $category_id .",type:'cat',get:'CategoryDelete',result:doSimpleResult,display:'" . TEXT_DELETING_CATEGORY . "',params:'cID=" . $category_id . "'})\">" . tep_image_button('button_delete.gif') . '</a>';
				}
			}
?>
			<table border="0" cellpadding="2" cellspacing="0" align="center" width="100%">
				<tr>
					<td class="main" align="center" id="cat<?php echo $category_id;?>message">
						<?php echo $delete_message;?>
					</td>
				</tr>
				<tr>
					<td><hr/></td>
				</tr>
				<tr>
					<td valign="top" class="categoryInfo"><?php echo $this->doCategoryInfo($category_id);?></td>
				</tr>
			</table>
<?php
		}
		function doCategoryMoveDisplay(){
			global $FREQUEST,$JS_VARS,$CAT_TREE,$FSESSION;
			$category_id=$FREQUEST->getvalue('cID','int',0);
			if (count($CAT_TREE)<=0) $CAT_TREE=tep_get_category_tree('0', '',$category_id);
			$category_name=tep_get_category_name($category_id,$FSESSION->languages_id);
?>
			<form action="javascript:void(0)" method="post" enctype="application/x-www-form-urlencoded" name="catMoveSubmit" id="catMoveSubmit">
			<input type="hidden" name="category_id" value="<?php echo $category_id; ?>"/>
			<table width="100%"  border="0" cellspacing="5" cellpadding="5" style="padding-left:20px;">
				<tr>
					<td class="main" id="cat<?php echo $category_id;?>message"></td>
				</tr>
				<tr>
					<td class="main"><b><?php echo sprintf(TEXT_MOVE_CATEGORIES_INTRO, $category_name);?></b></td>
				</tr>
				<tr>
					<td class="main" align="left"><?php echo sprintf(TEXT_MOVE, $category_name) . '&nbsp;' . tep_draw_pull_down_menu('new_parent_id', $CAT_TREE);?></td>
				</tr>
				<tr>
					<td class="main"><a href="javascript:void(0);" onclick="javascript:return doUpdateAction({id:<?php echo $category_id;?>,type:'cat',style:'boxLevel1','get':'CategoryMove','result':doTotalResult,uptForm:'catMoveSubmit',display:'<?php echo tep_output_string(TEXT_CATEGORY_MOVE);?>'});"><?php echo tep_image_button('button_move.gif');?></a>&nbsp;<a href="javascript:void(0)" onClick="javascript:return doCancelAction({id:<?php echo $category_id;?>,type:'cat','get':'closeRow',style:'boxLevel1'});"><?php echo tep_image_button('button_cancel.gif');?></a></td>
				</tr>
			</table>
			</form>
<?php
		}
		function doProductEdit(){
			global $FREQUEST,$JS_VARS,$CAT_TREE,$FSESSION,$LANGUAGES;
			$product_id=$FREQUEST->getvalue('pID','int',0);
			$category_id=$FREQUEST->getvalue('cID','int',0);
			if ($product_id>0){
				$product_query = tep_db_query("select pd.products_id,pd.products_name, pd.products_description, pd.products_url, p.products_quantity, p.is_attributes,p.products_price_break,p.author_name,p.products_model,p.products_sku,
													 p.products_image_1,p.products_image_2,p.products_image_3,p.products_image_4,p.products_image_5,p.products_title_1,p.products_title_2,
													 p.products_title_3,p.products_title_4,p.products_title_5,p.products_price, p.products_weight, p.products_sort_order, date_format(p.products_date_added,'%Y-%m-%d') as products_date_added, date_format(p.products_last_modified,'%Y-%m-%d') as products_last_modified, date_format(p.products_date_available, '%Y-%m-%d') as products_date_available, p.products_status, p.products_tax_class_id, p.manufacturers_id,p.is_subscription,p.restrict_to_groups,p.restrict_to_customers,p.product_type,p.product_mode,p.download_link,p.downloads_per_customer,p.download_last_date from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_id = '" . (int)$product_id . "' and p.products_id = pd.products_id and pd.language_id = '" . (int)$FSESSION->languages_id . "'");
				
				$product_result=tep_db_fetch_array($product_query);
			} else {
				$product_result=array('products_id'=>0,"products_name"=>'',"products_description"=>'',"products_url"=>'','products_quantity'=>'','is_attributes'=>'N',"products_price_break"=>'N',"author_name"=>"N","products_model"=>'','products_sku'=>'',
								'products_image_1'=>'','products_image_2','products_image_3','products_image_4','products_image_5','products_title_1'=>'','products_title_2'=>'','products_title_3'=>'','products_title_4'=>'','products_title_5'=>'',
								'products_price'=>'','products_weight'=>'0','products_sort_order'=>'','products_date_added'=>'','products_last_modified'=>'','products_date_available'=>'','products_status'=>'1', 'products_tax_class_id'=>'',
								'manufacturers_id'=>'','is_subscription'=>'','restrict_to_groups'=>'','restrict_to_customers'=>'','product_type'=>'','product_mode'=>'','download_link'=>'','downloads_per_customer'=>'','download_last_date'=>''
								);
										
			}
			$product=new objectInfo($product_result);
			
			$manufacturers_array = array(array('id' => '', 'text' => TEXT_NONE));
    		$manufacturers_query = tep_db_query("select manufacturers_id, manufacturers_name from " . TABLE_MANUFACTURERS . " order by manufacturers_name");
			while ($manufacturers = tep_db_fetch_array($manufacturers_query)) {
			  $manufacturers_array[] = array('id' => $manufacturers['manufacturers_id'],
											 'text' => $manufacturers['manufacturers_name']);
			}			

			$customer_groups_list=array();
			$customer_group_query=tep_db_query('select customers_groups_id,customers_groups_name from '.TABLE_CUSTOMERS_GROUPS . ' where customers_groups_name!="" order by customers_groups_name');
			while($customer_group=tep_db_fetch_array($customer_group_query)){
				$customer_groups_list[]=array('id'=>$customer_group['customers_groups_id'],'text'=>$customer_group['customers_groups_name']);
			}

			$get_selected_groups=array();
			if($product->restrict_to_groups!="") {
				$str_temp=substr($product->restrict_to_groups,1,-1);
				if($str_temp!="") $str_splt=split(",",$str_temp);
				for($icnt=0,$n=count($str_splt);$icnt<$n;$icnt++) $get_selected_groups[]=array('id'=>$str_splt[$i]);
			}

			$customers_list=array();
			$customer_query=tep_db_query("select customers_id,concat(customers_lastname,' ',customers_firstname) as customer_name from ".TABLE_CUSTOMERS . ' order by customers_lastname,customers_firstname');

			while($customers=tep_db_fetch_array($customer_query)){
			  $customers_list[]=array('id'=>$customers['customers_id'],'text'=>$customers['customer_name']);
			}

		 	$get_selected_customers=array();
			if($product->restrict_to_customers!="") {
				$str_temp=substr($product->restrict_to_customers,1,-1);
				if($str_temp!="") $str_splt=split(",",$str_temp);
				for($icnt=0,$n=count($str_splt);$icnt<$n;$icnt++) $get_selected_customers[]=array('id'=>$str_splt[$i]);
			 }		
			
			if($product->products_price_break=='Y') {
				$break_query=tep_db_query("select * from " . TABLE_PRODUCTS_PRICE_BREAK . " where products_id='" . tep_db_input($product_id) . "' order by quantity");
				while($break_result=tep_db_fetch_array($break_query))
					$break_array[]=array('id'=>$break_result['quantity'] . '{#{}#}' . $break_result['discount_per_item'], 'text'=>$break_result['quantity'] . ' for ' .tep_add_tax(($break_result['quantity']*($product['products_price']- $break_result['discount_per_item'])),tep_get_tax_rate($product['products_tax_class_id'])));
			}

			if (count($CAT_TREE)<=0)$categories_array = tep_get_category_tree(); 
			
			if($product_id>0){ 
				$categories_query_selected = tep_db_query("select categories_id from " . TABLE_PRODUCTS_TO_CATEGORIES . " where products_id = " . tep_db_input($product_id));
				while ($categories = tep_db_fetch_array($categories_query_selected))
				  $categories_array_selected[] = array('id' => $categories['categories_id']);

				$link_subscription_query=tep_db_query("select * from " . TABLE_PRODUCTS_TO_SUBSCRIPTIONS ." where products_id=" . tep_db_input($product_id));
				while($temp_result=tep_db_fetch_array($link_subscription_query))
					$subscription_categories_array_selected[]=array('id' => $temp_result['subscription_id']);
			} else {
				$categories_array_selected[] = array('id' =>$category_id);
				$subscription_categories_array_selected=array();
			}

			$language_id = 1;

			$tax_class_array = array(array('id' => '0', 'text' => TEXT_NONE));
			$tax_class_query = tep_db_query("select tax_class_id, tax_class_title from " . TABLE_TAX_CLASS . " order by tax_class_title");
			while ($tax_class = tep_db_fetch_array($tax_class_query))
			  $tax_class_array[] = array('id' => $tax_class['tax_class_id'],
										 'text' => $tax_class['tax_class_title']);

		    switch ($pInfo->products_status) {
		      case '0': $in_status = false; $out_status = true; break;
		      case '1':
		      default: $in_status = true; $out_status = false;
		    }
			$current_date=getServerDate();

			$products_type=array(
				array('id'=>'G','text'=>TEXT_GENERAL),
				array('id'=>'S','text'=>TEXT_SOFTWARE_PACK),
				array('id'=>'B','text'=>TEXT_BOOK)
			);
			
			$selected_soft_subscription=array();
			$get_subscription_array=array();
			$software_pack_subscription_array=array();
			$span_pack_subscription_string="";
			
			$select_software_subscription_query=tep_db_query("SELECT su.subscription_id,sud.subscription_name from " . TABLE_SUBSCRIPTIONS . " su, " . TABLE_SUBSCRIPTIONS_DESCRIPTION . " sud where su.subscription_id=sud.subscription_id and language_id='" . (int)$FSESSION->languages_id . "' " . SUBSCRIPTION_CONDITION_STATUS . " and su.subscription_type='P' order by sud.subscription_name");
			while($temp_result=tep_db_fetch_array($select_software_subscription_query))
				$software_pack_subscription_array[]=array('id'=>$temp_result['subscription_id'],'text'=>$temp_result['subscription_name']);

			/*$selected_soft_query=tep_db_query("select subscription_id,no_users from ".TABLE_PRODUCTS_TO_SUPPORT_PACKS." where product_id='".(int)$pID."' order by no_users");
			$selected_soft_group_query=tep_db_query("select no_users from ".TABLE_PRODUCTS_TO_SUPPORT_PACKS." where product_id='".(int)$pID."' group by no_users");
			if(tep_db_num_rows($selected_soft_query)>0)
				while($selected_soft=tep_db_fetch_array($selected_soft_query))					
					$raw_array[]=array('id'=>$selected_soft['no_users'],'text'=>$selected_soft['subscription_id']);
								
			if(tep_db_num_rows($selected_soft_group_query)>0){
				while($selected_soft_group=tep_db_fetch_array($selected_soft_group_query)){
					$selected_text="";
					$selected_value="";
					if($selected_soft_group['no_users']>0){
						$n=count($raw_array);
						for($i=0;$i<$n;$i++){
						   if($selected_soft_group['no_users']==$raw_array[$i]['id']){
						   	  $selected_text.=$get_subscription_array[$raw_array[$i]['text']].',';
						   	  $selected_value.=$raw_array[$i]['text'].',';
						   }	
						}
					}
					$selected_value.=$selected_soft_group['no_users'];
					$selected_text.=$selected_soft_group['no_users'].' users';
					$selected_soft_subscription[]=array('id'=>$selected_value,'text'=>$selected_text);																			
				}
			}*/
			$_array=array('d','m','Y');  $replace_array=array('DD','MM','YYYY'); 	$date_format=str_replace($_array,$replace_array,EVENTS_DATE_FORMAT);
			$panels=array('GENERAL','DESCRIPTION','COST','STOCK','IMAGE','LINKED_SUBS');
			$default_panel='GENERAL';
			$JS_VARS['storePage']=array('productPanel'=>$default_panel);
?>
			<table border="0" cellpadding="4" cellspacing="0" width="100%">
				<tr>
					<td valign="top" width="150">
					<table border="0" cellpadding="0" cellspacing="0" class="boxRoundPanel">
						<tr>
							<td valign="top">
							<table border="0" cellpadding="0" cellspacing="0" width="100%">
								<tr height="6">
									<td valign="top" width="7"><?php echo tep_image(DIR_WS_IMAGES . '/template/box_panel_topl.gif');?></td>
									<td></td>
									<td valign="top" width="7" align="right"><?php echo tep_image(DIR_WS_IMAGES . '/template/box_panel_topr.gif');?></td>
								</tr>
							</table>
							</td>
						</tr>
						<tr>
							<td valign="top">
							<table border="0" cellpadding="0" cellspacing="0" width="100%">
							<?php for ($icnt=0,$n=count($panels);$icnt<$n;$icnt++){ ?>
								<tr>
									<td class="<?php echo ($default_panel==$panels[$icnt]?"productPanelSelect":"productPanel");?>" onclick="javscript:showPanelContent({id:'<?php echo $panels[$icnt];?>',className:'productPanel'});" id="panel<?php echo $panels[$icnt];?>menu">
										<?php 
												echo "<a href='javascript:void(0);'><div>" . constant("HEADING_ITEM_" .$panels[$icnt]) . '</div></a>';
												$JS_VARS["storePage"]["panelMenus"][$panels[$icnt]]=array('text'=>constant("HEADING_ITEM_" .$panels[$icnt]));
										?>
									</td>
								</tr>
							<?php } ?>
							</table>
							</td>
						</tr>
						<tr>
							<td valign="top" class="bottom">
							<table border="0" cellpadding="0" cellspacing="0" width="100%">
								<tr height="6">
									<td valign="top" width="7"><?php echo tep_image(DIR_WS_IMAGES . '/template/box_panel_bottoml.gif');?></td>
									<td></td>
									<td valign="top" width="7" align="right"><?php echo tep_image(DIR_WS_IMAGES . '/template/box_panel_bottomr.gif');?></td>
								</tr>
							</table>
							</td>
						</tr>
					</table>
					</td>
					<td valign="top">
					<table border="0" cellpadding="0" cellspacing="0" width="100%">
						<tr height="30">
							<td class="headItemEdit" valign="top">
								<?php echo tep_image(DIR_WS_IMAGES . '/template/arrow_down.gif','','','','align=absmiddle');?>
								<span id="panelEditTitle">
								<?php echo constant("HEADING_ITEM_" . $default_panel);?>
								</span>
								<hr size="1" color="#D2D8E7"/>
							</td>
						</tr>
						<tr>
							<td valign="top">
							<table border="0" cellpadding="0" cellspacing="0" width="100%" class="productEditCol">
								<tr id="panelGENERALview">
									<td width="50%" valign="top">
									<table border="0" cellpadding="0" cellspacing="0" width="100%">
										<tr>
											<td class="main">
											<div style="padding-bottom:5px"><b><?php echo TEXT_PRODUCTS_NAME;?></b></div>
											<div  style="padding-left:20px">
											<?php
												for ($icnt=0, $n=count($LANGUAGES); $icnt<$n; $icnt++) {
													echo tep_image(DIR_WS_CATALOG_LANGUAGES . $LANGUAGES[$icnt]['directory'] . '/images/' . $LANGUAGES[$icnt]['image'], $LANGUAGES[$icnt]['name'],'','','valign="top"');
													echo '&nbsp;' . tep_draw_input_field('products_name[' . $LANGUAGES[$i]['id'] . ']', $products_name[$LANGUAGES[$icnt]['id']],'maxlength="64"') . '<br>';
												}
											?>
											</div>
											</td>
										</tr>
										<tr>
											<td class="main">
											<?php 
												echo '<div class="title">' . TEXT_PRODUCTS_STATUS . '</div>';
												echo tep_draw_radio_field('products_status', '1', $in_status) . '&nbsp;' . TEXT_PRODUCT_AVAILABLE . '&nbsp;' . tep_draw_radio_field('products_status', '0', $out_status) . '&nbsp;' . TEXT_PRODUCT_NOT_AVAILABLE; 
											?>
											</td>
										</tr>
										<tr>
											<td class="main">
											<?php
												echo '<div class="title">' . TEXT_CATEGORIES . '</div>';
												echo tep_draw_mselect_checkbox('categories_ids[]',$categories_array,$categories_array_selected);
											?>
											</td>
										</tr>
										<tr>
											<td class="main">
											<?php
												echo '<div class="title">' . TEXT_PRODUCTS_MANUFACTURER . '</div>';
												echo tep_draw_pull_down_menu('manufacturers_id', $manufacturers_array, $product->manufacturers_id);
											?>
											</td>
										</tr>
									</table>
									</td>
									<td>
									<table border="0" cellpadding="2" cellspacing="0" width="100%">
										<tr>
											<td class="main">
											<?php echo '<div style="padding-bottom:5px"><b>' . TEXT_PRODUCTS_URL . '</b><small>' . TEXT_PRODUCTS_URL_WITHOUT_HTTP . '</small></div>'?>
											<div  style="padding-left:10px">
											<?php
												for ($icnt=0, $n=count($LANGUAGES); $icnt<$n; $icnt++) {
													echo tep_image(DIR_WS_CATALOG_LANGUAGES . $LANGUAGES[$icnt]['directory'] . '/images/' . $LANGUAGES[$icnt]['image'], $LANGUAGES[$icnt]['name'],'','','valign="top"');
													echo '&nbsp;' . tep_draw_input_field('products_url[' . $LANGUAGES[$i]['id'] . ']', $products_url[$LANGUAGES[$icnt]['id']],'maxlength="64"') . '<br>';
												}
											?>
											</div>
											</td>
										</tr>
										<tr>
											<td class="main">
												<?php 	
														echo '<div class="title">' . TEXT_PRODUCTS_DATE_AVAILABLE . '<small>(' . $date_format . ')</small></div>';
														echo tep_draw_input_field("products_date_available",(tep_not_null($product->products_date_available)?format_date($product->products_date_available):format_date($current_date)),"size=10",false,'text',false);
														echo tep_create_calendar("products_date_available",$date_format);
												?>
											</td>
										</tr>
										<tr>
											<td class="main">
											<?php 
												echo '<div class="title">' .  TEXT_RESTRICT_GROUPS . '</div>';
												echo tep_draw_mselect_checkbox('restrict_to_groups[]',$customer_groups_list,$get_selected_groups);
											?>
										<tr>
											<td class="main">
											<?php 
												echo '<div class="title">' .  TEXT_RESTRICT_CUSTOMERS . '</div>';
												echo tep_draw_mselect_checkbox('restrict_to_customers[]',$customers_list,$get_selected_customers);
											?>
											</td>
										</tr>
									</table>
									</td>
								</tr>
								<tr id="panelTypeview" style="display:none">
								</tr>
								<tr id="panelDESCRIPTIONview" style="display:none">
									<td colspan=2 valign="top">
									<table border="0" cellpadding="0" cellspacing="0" width="100%">
										<tr>
											<td valign="top" class="main">
											<div  style="padding-left:10px">
											<?php
												for ($icnt=0, $n=count($LANGUAGES); $icnt<$n; $icnt++) {
													echo tep_image(DIR_WS_CATALOG_LANGUAGES . $LANGUAGES[$icnt]['directory'] . '/images/' . $LANGUAGES[$icnt]['image'], $LANGUAGES[$icnt]['name'],'','','valign="top"');
													echo '&nbsp;' . tep_draw_textarea_field('products_description[' . $LANGUAGES[$icnt]['id'] . ']', 'soft', '80', '24', $products_description[$LANGUAGES[$icnt]['id']]). '<br><br>';
												}
											?>
											</td>
										</tr>
									</table>
									</td>
								</tr>
							</table>
							</td>
						</tr>
					</table>
					</td>
				</tr>
			</table>
<?php
		}
	}
	$PRODUCTS=new productsAjax();
	function tep_replace_simple_template($array,$content){
		if (count($array)>0){
			reset($array);
			while(list($key,$value)=each($array)) $content=str_replace("##" . $key . "##",$value,$content);
		}
		return $content;
	}
	function getCategoriesListTemplate(){
		ob_start();
?>
		<tr id="cat##CAT_ID##row">
			<td style="padding-left:##PAD_LEFT##px">
			<table border="0" cellpadding="0" cellspacing="0" width="100%" id="cat##CAT_ID##" class="boxLevel1" onmouseover="javascript:doMouseOverOut([{callFunc:changeItemRow,params:{element:this,'className':'boxLevel1','changeStyle':'Hover'}}]);" onmouseout="javascript:doMouseOverOut([{callFunc:changeItemRow,params:{element:this,'className':'boxLevel1'}}]);">
				<tr>
					<td class="head" valign="middle" height="25px">
					<table border="0" cellpadding="2" cellspacing="0" width="100%">
						<tr>
							<td width="25" align="center" style="cursor:pointer;cursor:hand" onClick="javascript:doDisplayAction({'id':##CAT_ID##,'get':'CatInfoAndProducts','result':doDisplayResult,'type':'cat','params':'cID=##CAT_ID##','style':'boxLevel1'});" id="cat##CAT_ID##bullet">##BULLET_IMAGE##</td>
							<td class="main" onClick="javascript:doDisplayAction({'id':##CAT_ID##,'get':'CatInfoAndProducts','result':doDisplayResult,'type':'cat','params':'cID=##CAT_ID##','style':'boxLevel1'});" style="cursor:pointer;cursor:hand" id="cat##CAT_ID##title">
								##CAT_NAME##
							</td>
							<td align="right" id="cat##CAT_ID##menu" class="boxRowMenu">
								<a href="javascript:void(0)" onclick="javascript:return doDisplayAction({'id':##CAT_ID##,'get':'CategoryEdit','result':doDisplayResult,'style':'boxLevel1','type':'cat','params':'cID=##CAT_ID##'});"><img src="##IMAGE_PATH##/template/edit_blue.gif"/></a>
								<img src="##IMAGE_PATH##/template/img_bar.gif"/>
								<a href="javascript:void(0)" onclick="javascript:return doDisplayAction({'id':##CAT_ID##,'get':'CategoryDeleteCheck','result':doDisplayResult,'style':'boxLevel1','type':'cat','params':'cID=##CAT_ID##'});"><img src="##IMAGE_PATH##/template/delete_blue.gif"/></a>
								<img src="##IMAGE_PATH##/template/img_bar.gif"/>
								<a href="javascript:void(0)" onclick="javascript:return doDisplayAction({'id':##CAT_ID##,'get':'CategoryMoveDisplay','result':doDisplayResult,'style':'boxLevel1','type':'cat','params':'cID=##CAT_ID##'});"><img src="##IMAGE_PATH##/template/img_move.gif"/></a>
							</td>
						</tr>
					</table>
					</td>
				</tr>
			</table>
			</td>
		</tr>
<?php
		$contents=ob_get_contents();
		ob_end_clean();
		return $contents;
	}
	function getCategoryInfoTemplate(){
		ob_start();
?>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td valign="top" width="##CAT_IMAGE_WIDTH##"><div style="width:100%;height:100px;overflow:hidden">##CAT_IMAGE##</div></td>
				<td width="10">&nbsp;</td>
				<td valign="top" width="200">
					<table border="0" cellpadding="1" cellspacing="0" width="100%">
						<tr>
							<td class="main">##CAT_DATE_ADDED##</td>
						</tr>
						<tr>
							<td class="main">##CAT_DATE_MODIFIED##</td>
						</tr>
					</table>
				</td>
				<td valign="top" class="smallText" align="justify">
					<div style="width:100%;height:100%;overflow:hidden">
						##CAT_DESCRIPTION##
					</div>
				</td>
			</tr>
			<tr height="10">
				<td>&nbsp;</td>
			</tr>
		</table>
<?php
		$contents=ob_get_contents();
		ob_end_clean();
		return $contents;
	}
	function getProductsListTemplate(){
		ob_start();
?>
		<tr>
			<td valign="top" style="padding:2px;">
			<table border="0" cellpadding="0" cellspacing="0" width="100%" class="boxRow" id="prd##PRD_ID##style" onmouseover="javascript:doMouseOverOut([{callFunc:changeItemRow,params:{element:this,'className':'boxRow','changeStyle':'Hover'}}]);" onmouseout="javascript:doMouseOverOut([{callFunc:changeItemRow,params:{element:this,'className':'boxRow'}}]);">
				<tr>
					<td class="topleft"></td>
					<td></td>
					<td class="topright"></td>
				</tr>
				<tr>
					<td width="4"></td>
					<td valign="top">
					<table border="0" cellpadding="0" cellspacing="0" width="100%" id="prd##PRD_ID##">
						<tr>
							<td>
							<table border="0" cellpadding="0" cellspacing="0" width="100%">
								<tr>
									<td width="20" id="cat##PRD_ID##bullet">##PRD_STATUS##</td>
									<td class="main" onclick="javascript:doDisplayAction({'id':##PRD_ID##,'get':'ProductInfo','result':doDisplayResult,'style':'boxRow','type':'prd','params':'pID=##PRD_ID##'});" id="prd##PRD_ID##title">##PRD_NAME##</td>
									<td id="prd##PRD_ID##menu" align="right" class="menuRow">
										<a href="javascript:void(0)" onclick="javascript:return doDisplayAction({'id':##PRD_ID##,'get':'ProductEdit','result':doDisplayResult,'style':'boxRow','type':'prd','params':'pID=##PRD_ID##'});"><img src="##IMAGE_PATH##/template/edit_blue.gif"/></a>
										<img src="##IMAGE_PATH##/template/img_bar.gif"/>
										<a href="javascript:void(0)" onclick="javascript:return doDisplayAction({'id':##CAT_ID##,'get':'CategoryDeleteCheck','result':doDisplayResult,'style':'boxLevel1','type':'cat','params':'cID=##CAT_ID##'});"><img src="##IMAGE_PATH##/template/delete_blue.gif"/></a>
										<img src="##IMAGE_PATH##/template/img_bar.gif"/>
										<a href="javascript:void(0)" onclick="javascript:return doDisplayAction({'id':##CAT_ID##,'get':'CategoryMoveDisplay','result':doDisplayResult,'style':'boxLevel1','type':'cat','params':'cID=##CAT_ID##'});"><img src="##IMAGE_PATH##/template/img_move.gif"/></a>
									</td>
								</tr>
							</table>
							</td>
						</tr>
					</table>
					</td>
					<td width="4"></td>
				</tr>
				<tr>
					<td class="botleft"></td>
					<td></td>
					<td class="botright"></td>
				</tr>
			</table>
			</td>
		</tr>
<?php
		$contents=ob_get_contents();
		ob_end_clean();
		return $contents;
	}
	function getProductInfoTemplate(){
		ob_start();
?>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td valign="top" width="##PRD_IMAGE_WIDTH##"><div style="width:100%;height:100px;overflow:hidden">##PRD_IMAGE##</div></td>
				<td width="10">&nbsp;</td>
				<td valign="top" width="250">
					<table border="0" cellpadding="3" cellspacing="0" width="100%">
						<tr>
							<td class="main">##PRD_DATE_ADDED##</td>
						</tr>
						<tr>
							<td class="main">##PRD_DATE_MODIFIED##</td>
						</tr>
						<tr>
							<td class="main">##PRD_QTY##</td>
						</tr>
						<tr>
							<td class="main">##PRD_PRICE##</td>
						</tr>
					</table>
				</td>
				<td valign="top" class="smallText" align="justify">
					<div style="width:100%;height:100px;overflow:hidden">
						##PRD_DESCRIPTION##
					</div>
				</td>
			</tr>
			<tr height="10">
				<td>&nbsp;</td>
			</tr>
		</table>
<?php
		$contents=ob_get_contents();
		ob_end_clean();
		return $contents;
	}
	
	function outError($errorText){
		echo "Err:" . $errorText;
	}
	function tep_create_calendar($controlname,$date_format){
?>
		<a href="javascript:show_calendar('<?php echo $controlname;?>',null,null,'<?php echo $date_format;?>');"
		onmouseover="window.status='Date Picker';return true;"
		onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/ align="absmiddle">  
		</a>
<?php 
	}
?>