<?php
/*
    Freeway eCommerce
    http://www.openfreeway.org
    Copyright (c) 2007 ZacWare

    Released under the GNU General Public License
*/
defined('_FEXEC') or die();
class eventsInstructors
{
    var $pagination;
    var $splitResult;
    var $type;

    function eventsInstructors()
    {
        $this->pagination=false;
        $this->splitResult=false;
        $this->type='eis';
    }

    function doSearchInstructor(){
        global $FREQUEST,$jsData;
        $search=$FREQUEST->getvalue('search');
        $search_db=tep_db_input($search);
        ?>
<table border="0" width="100%" cellspacing="0" cellpadding="0">
    <tr>
        <td class="main">
            <b><?php echo TEXT_SEARCH_RESULTS;?></b>
        </td>
    </tr>
    <tr height="10">
        <td class="main">
        </td>
    </tr>
    <tr>
        <td>
            <table border="0" cellpadding="2" cellspacing="0" width="100%" id="catTable">
                <?php
                $found=$this->doInstructorList(" and (a.admin_lastname like '%" . tep_db_input($search_db) . "%' or a.admin_firstname like '%" . tep_db_input($search_db) . "%' or a.admin_email_address like '%" . tep_db_input($search_db) . "%')",0,$search);
                if (!$found){
                    ?>
                <tr>
                    <td class="main">
                        <?php echo TEXT_NO_RECORDS_FOUND;?>
                    </td>
                </tr>
                <?php
                if ($this->splitResult->queryRows>0){
                    echo $this->splitResult->pgLinksCombo();
                }
            }
            ?>
            </table>
        </td>
    </tr>
    <tr height="10">
        <td class="main">
        </td>
    </tr>
    <tr>
        <td class="main">
            <a href="javascript:void(0);" onClick="javascript:doSearchInstructor('reset');"><?php echo tep_image_button('button_reset.gif',IMAGE_RESET);?></a>
        </td>
    </tr>
</table>
<?php
$jsData->VARS["NUclearType"]=$this->type;
}
function doDelete(){
global $FREQUEST,$jsData;
$instructor_id=$FREQUEST->postvalue('instructor_id','int',0);
$last_flag=$FREQUEST->postvalue('lflag','int',0);
$page=$FREQUEST->postvalue('page','int',0);

if ($instructor_id>0){
    tep_db_query("delete from " . TABLE_INSTRUCTORS . " where admin_id = '" . tep_db_input($instructor_id) . "'");
    tep_db_query("delete from " . TABLE_ADMIN . " where admin_id = '" . tep_db_input($instructor_id) . "'");
    tep_db_query("delete from " . TABLE_INSTRUCTORS_OPTIONS_TO_OPTION_VALUES . " where instructors_id='" . tep_db_input($instructor_id) . "'");

    if ($last_flag==1 && $page>1){
        $page=$page-1;
        $FREQUEST->setvalue('page',$page,'GET');
    }
    $this->doInstructor();

    $jsData->VARS["displayMessage"]=array('text'=>TEXT_INSTRUCTOR_DELETE_SUCCESS);
    tep_reset_seo_cache('instructor');
} else {
    echo "Err:" . TEXT_INSTRUCTOR_NOT_DELETED;
}

}

function doDeleteInstructor(){
global $FREQUEST,$jsData;
$instructor_id=$FREQUEST->getvalue('rID','int',0);

$delete_message='<p><span class="smallText">' . TEXT_DELETE_INTRO . '</span>';
?>
<form  name="<?php echo $this->type;?>DeleteSubmit" id="<?php echo $this->type;?>DeleteSubmit" action="events_instructors_new.php" method="post" enctype="application/x-www-form-urlencoded">
    <input type="hidden" name="instructor_id" value="<?php echo tep_output_string($instructor_id);?>"/>
    <table border="0" cellpadding="2" cellspacing="0" width="100%">
        <tr>
            <td class="main" id="<?php echo $this->type . $instructor_id;?>message">
            </td>
        </tr>
        <tr>
            <td class="main">
                <?php echo $delete_message;?>
            </td>
        </tr>
        <tr height="40">
            <td class="main" style="vertical-align:bottom">
                <p>
                <a href="javascript:void(0);" onClick="javascript:return doUpdateAction({id:<?php echo $instructor_id;?>,type:'<?php echo $this->type;?>',get:'Delete',result:doTotalResult,message:page.template['PRD_DELETING'],'uptForm':'<?php echo $this->type;?>DeleteSubmit','imgUpdate':false,params:'','extraFunc':doDeletionComplete})"><?php echo tep_image_button('button_delete.gif');?></a>&nbsp;
                <a href="javascript:void(0);" onClick="javascript:return doCancelAction({id:<?php echo $instructor_id;?>,type:'<?php echo $this->type;?>',get:'closeRow','style':'boxRow'})"><?php echo tep_image_button('button_cancel.gif');?></a>
            </td>
        </tr>
        <tr>
            <td><hr/></td>
        </tr>
        <tr>
            <td valign="top" class="categoryInfo"><?php echo $this->doInstructorInfo($instructor_id);?></td>
        </tr>
    </table>
</form>
<?php
$jsData->VARS["updateMenu"]="";
}
function doInstructorList($where='',$instructor_id=0,$search=''){
global $FSESSION,$FREQUEST,$jsData,$login_groups_name;
$page=$FREQUEST->getvalue('page','int',1);

if ($login_groups_name==TEXT_INSTRUCTOR_ENTRY)
$query_instructor=" and a.admin_id='" . (int)$FSESSION->login_id . "'";

$query_split=false;
$instructors_sql="select a.admin_id, a.admin_lastname, a.admin_firstname, a.admin_email_address from " . TABLE_INSTRUCTORS . " i, " .TABLE_ADMIN . " a, " . TABLE_ADMIN_GROUPS . " ag where ag.admin_groups_name='" . TEXT_INSTRUCTOR_ENTRY . "' and i.admin_id=a.admin_id and a.admin_groups_id=ag.admin_groups_id " . $where . $query_instructor . " order by a.admin_id desc";


if ($this->pagination){
    $query_split=$this->splitResult = &instance::getSplitResult('INSTRUCTORS');
    $query_split->maxRows=MAX_DISPLAY_SEARCH_RESULTS;
    $query_split->parse($page,$instructors_sql);

    if ($query_split->queryRows > 0){
        if ($search!=''){
            $query_split->pageLink="doPageAction({'id':-1,'type':'" . $this->type ."','get':'SearchInstructor','result':doTotalResult,params:'search=". urlencode($search) . "&page='+##PAGE_NO##,'message':'" . INFO_SEARCHING_DATA . "'})";
        } else {
            $query_split->pageLink="doPageAction({'id':-1,'type':'" . $this->type ."','pageNav':true,'closePrev':true,'get':'Instructor','result':doTotalResult,params:'page='+##PAGE_NO##,'message':'" . sprintf(INFO_LOADING_INSTRUCTORS,'##PAGE_NO##') . "'})";
        }
    }
}

$instructors_query=tep_db_query($instructors_sql);


$found=false;
if (tep_db_num_rows($instructors_query)>0) $found=true;
if($found)
{
    $template=getListTemplate();
    $icnt=1;
    while($instructors_result=tep_db_fetch_array($instructors_query)){
        $rep_array=array(	"ID"=>$instructors_result["admin_id"],
                                "TYPE"=>$this->type,
                                "NAME"=>$instructors_result["admin_firstname"].'     '.$instructors_result['admin_lastname'],
                                "EMAIL"=>$instructors_result["admin_email_address"],
                                "IMAGE_PATH"=>DIR_WS_IMAGES,
                                "STATUS"=>'',
                                "UPDATE_RESULT"=>'doDisplayResult',
                                "ALTERNATE_ROW_STYLE"=>($icnt%2==0?"listItemOdd":"listItemEven"),
                                "ROW_CLICK_GET"=>'InstructorInfo',
                                "FIRST_MENU_DISPLAY"=>""
        );
        echo mergeTemplate($rep_array,$template);
        $icnt++;
    }}
else if($search=='')
{
    echo '<div align="center">'.TEXT_NO_INSTRUCTORS.'</div>';
}
if (!isset($jsData->VARS["Page"])){
    $jsData->VARS["NUclearType"][]=$this->type;
} 
$jsData->VARS['extraParams']=array('page'=>$page,'search'=>$search);
return $found;			
}

function doInstructor(){
global $FREQUEST,$jsData;

$template=getListTemplate();
$rep_array=array(	"TYPE"=>$this->type,
                            "ID"=>-1,
                            "NAME"=>HEADING_NEW_TITLE,
                            "EMAIL"=>'',
                            "IMAGE_PATH"=>DIR_WS_IMAGES,
                            "STATUS"=>tep_image(DIR_WS_IMAGES . 'template/plus_add2.gif'),
                            "UPDATE_RESULT"=>'doTotalResult',
                            "ROW_CLICK_GET"=>'EditInstructor',
                            "FIRST_MENU_DISPLAY"=>"display:none"
);

?>
<div class="main" id="eis-1message"></div>
<table border="0" width="100%" height="100%" id="<?php echo $this->type;?>Table">
    <tr>
        <td><?php 	echo mergeTemplate($rep_array,$template); ?>
        </td>
    </tr>
    <tr>
        <td>
            <table border="0" width="100%" cellpadding="0" cellspacing="0" height="100%">
                <tr class="dataTableHeadingRow">
                    <td valign="top">
                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
                            <tr>
                                <td class="main" width="26%">
                                    <b><?php echo  TABLE_HEADING_NAME;?></b>
                                </td>
                                <td class="main">
                                    <b><?php echo TABLE_HEADING_EMAIL;?></b>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td>
                        <div align="center"><?php $this->doInstructorList();?></div>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
<?php if (is_object($this->splitResult)){?>
<table border="0" width="100%" height="100%">
    <?php echo $this->splitResult->pgLinksCombo(); ?>
</table>
<?php }


}
function doChangeState(){
global $FSESSION,$FREQUEST,$jsData;
echo $FREQUEST->getvalue('country_id');
}
function doStateChanges(){
global $FSESSION,$FREQUEST,$jsData;
$zone_collection=array();
$country_id=$FREQUEST->getvalue('country_id');
$zone_query=tep_db_query('select zone_name from ' . TABLE_ZONES .' where zone_country_id='.(int)$country_id);
if(tep_db_num_rows($zone_query)>0){
while($zone_array=tep_db_fetch_array($zone_query)){
    $zone_collection[]=array('id'=>$zone_array['zone_name'],'text'=>$zone_array['zone_name']);
}
echo 'multiple^^^'.tep_draw_pull_down_menu('instructors_zone_id',$zone_collection,'',' onChange="javascript:document.getElementById(\'instructors_zone_id\').value=this.value;"').'<input id="instructors_state" value="" name="instructors_state" style="display:none">';
echo '&nbsp;&nbsp;<small><font style="font-size:10px; color:#aabbdd">required</font></small>';
} else{
echo 'single^^^'.(int)$country_id.'^^^<input id="instructors_state" value="" name="instructors_state">';				
echo '&nbsp;&nbsp;<small><font style="font-size:10px; color:#aabbdd">required</font></small>';
}
}
function doEditInstructor(){					
global $FSESSION,$FREQUEST,$jsData;
$instructor_id=$FREQUEST->getvalue("rID","int",0);

$instructor_option_query=tep_db_query("select options_key,options_id,options_name from " . TABLE_INSTRUCTORS_OPTIONS . " where options_display='Y'");
while ($instructor_option_result=tep_db_fetch_array($instructor_option_query)){
$options_array[$instructor_option_result['options_key']]=array('field_name'=>'instructors_' . $instructor_option_result['options_key'],'text'=>'','values' =>array(array('id'=>'','text'=>TEXT_NONE)));
$options_array[$instructor_option_result["options_key"]]['text']=$instructor_option_result["options_name"];
}
$options_values_query=tep_db_query("SELECT options_key,options_values_text from " . TABLE_INSTRUCTORS_OPTIONS_VALUES  . "  where options_values_display='Y' order by options_key,options_values_text"); 
while($options_values=tep_db_fetch_array($options_values_query)){
$options_array[$options_values['options_key']]['values'][]=array('id'=>$options_values['options_values_text'],'text'=>$options_values['options_values_text']);
}

if($instructor_id>0){
$instructors_query = tep_db_query("select a.admin_id, i.instructors_gender, a.admin_firstname, a.admin_lastname, i.instructors_dob, a.admin_email_address, i.instructors_street_address, i.instructors_suburb, i.instructors_postcode, i.instructors_city, i.instructors_state, i.instructors_country,i.instructors_telephone, i.instructors_fax, " .
                              "i.instructors_description,i.instructors_payment from " . TABLE_ADMIN . " a, " . TABLE_INSTRUCTORS . " i  where a.admin_id = '" . tep_db_input($instructor_id) . "'" . " and i.admin_id=a.admin_id");
$instructors_result = tep_db_fetch_array($instructors_query);

$instruct_query=tep_db_query("select op2v.instructors_id,op2v.options_id,op2v.options_values_id from " . TABLE_INSTRUCTORS_OPTIONS_TO_OPTION_VALUES . " op2v, " . TABLE_ADMIN . " a, " . TABLE_INSTRUCTORS . " i   where a.admin_id=i.admin_id and i.instructors_id=op2v.instructors_id and i.admin_id='" . tep_db_input($instructor_id) . "'");

while($instruct_result=tep_db_fetch_array($instruct_query)){
    $instruct_array[$instruct_result['options_id']]=$instruct_result['options_values_id'];
}

}else {
$instructors_result=array('instructor_id'=>0,'instructors_gender'=>'m','admin_firstname'=>'','admin_lastname'=>'','instructors_dob'=>'','admin_email_address'=>'','instructors_country'=>13);
}

$panels=array('PERSONAL','ADDRESS','CONTACT','DETAILS');
$default_panel='PERSONAL';

if (!is_array($instructors_result)) $instructors_result=array();
if (!is_array($instruct_array)) $instruct_array=array();

$instructors_result=array_merge($instructors_result,$instruct_array);


$instructor=new objectInfo($instructors_result);

$zones_array = array();
$zones_query = tep_db_query("select zone_name from " . TABLE_ZONES . " where zone_country_id = '" . tep_db_input($instructor->instructors_country) . "' order by zone_name");
while ($zones_values = tep_db_fetch_array($zones_query)) {
$zones_array[] = array('id' => $zones_values['zone_name'], 'text' => $zones_values['zone_name']);
}

$jsData->VARS['storePage']=array('instructorPanel'=>$default_panel);
$jsData->VARS["updateMenu"]=",update,";
$display_mode_html=' style="display:none"';
?>
<table border="0" cellpadding="4" cellspacing="0" width="100%">
    <tr height="320px">
        <td valign="top" width="150">
            <table border="0" cellpadding="0" cellspacing="0" class="boxRoundPanel">
                <tr>
                    <td valign="top">
                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
                            <tr height="7">
                                <td class="tleft"></td>
                                <td></td>
                                <td class="tright"></td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td valign="top" class="mright">
                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
                            <?php for ($icnt=0,$n=count($panels);$icnt<$n;$icnt++){ ?>
                            <tr>
                                <td class="<?php echo ($default_panel==$panels[$icnt]?"productPanelSelect":"productPanel");?>" onclick="javscript:showPanelContent({id:'<?php echo $panels[$icnt];?>',className:'productPanel','type':'instructorPanel'});" id="instructorPanel<?php echo $panels[$icnt];?>menu">
                                    <?php
                                    echo "<a href='javascript:void(0);'><div>" . constant("TEXT_CATEGORY_" .$panels[$icnt]) . '</div></a>';
                                    $jsData->VARS["storePage"]["instructorPanelMenus"][$panels[$icnt]]=array('text'=>constant("TEXT_CATEGORY_" .$panels[$icnt]));
                                    ?>
                                </td>
                            </tr>
                            <?php } ?>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td valign="top">
                        <table border="0" cellpadding="0" cellspacing="0" width="100%" class="bmiddle">
                            <tr height="7">
                                <td class="bleft"></td>
                                <td></td>
                                <td class="bright"></td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
        <td valign="top">
            <form action="events_instructors_new.php" method="post" name="instructorSubmit" enctype="multipart/form-data" id="instructorSubmit">
                <input type="hidden" name="instructor_id" value="<?php echo tep_output_string($instructor_id);?>"/>
                <table border="0" cellpadding="5" cellspacing="0" width="100%">
                    <tr height="30">
                        <td class="headItemEdit" valign="top">
                            <?php echo tep_image(DIR_WS_IMAGES . '/template/gray_arrow_down.gif','','','','align=absmiddle');?>
                            <span id="instructorPanelTitle">
                                <?php echo constant("TEXT_CATEGORY_" . $default_panel);?>
                            </span>
                            <hr size="1" color="#D2D8E7"/>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top">
                            <table border="0" cellpadding="0" cellspacing="0" width="100%" class="productEditCol">
                                <tr id="instructorPanelPERSONALview">
                                    <td width="50%" valign="top">
                                        <table border="0" cellpadding="5" cellspacing="0" width="100%">
                                            <tr valign="top">
                                                <td class="main"><?php echo TEXT_GENDER;?></td>
                                                <td class="main"><?php echo tep_draw_radio_field('instructors_gender', 'm', false, $instructor->instructors_gender) . '&nbsp;&nbsp;' . MALE . '&nbsp;&nbsp;' . tep_draw_radio_field('instructors_gender', 'f', false, $instructor->instructors_gender) . '&nbsp;&nbsp;' . FEMALE ;?></td>
                                            </tr>
                                            <tr valign="top">
                                                <td class="main"><?php echo TEXT_FIRSTNAME;?></td>
                                                <td class="main"><?php echo tep_draw_input_field('admin_firstname', $instructor->admin_firstname, 'maxlength="32" size="20"') ;?>&nbsp;&nbsp;<small><font style="font-size:10px; color:#aabbdd">required</font></small></td>
                                            </tr>
                                            <tr valign="top">
                                                <td class="main"><?php echo TEXT_LASTNAME; ?></td>
                                                <td class="main"><?php	echo tep_draw_input_field('admin_lastname', $instructor->admin_lastname, 'maxlength="32" size="20"'); ?>&nbsp;&nbsp;<small><font style="font-size:10px; color:#aabbdd">required</font></small></td>
                                            </tr>
                                            <tr valign="top">
                                                <td class="main"><?php echo TEXT_DATE_BIRTH; ?></td>
                                                <td class="main"><?php echo tep_draw_input_field('instructors_dob', format_date($instructor->instructors_dob), 'maxlength="10"').ENTRY_EVENT_DATE_OF_BIRTH_TEXT;?></td>
                                            </tr>

                                            <tr valign="top">
                                                <td class="main"><?php echo TEXT_EMAIL_ADDRESS; ?></td>
                                                <td class="main"><?php echo tep_draw_input_field('admin_email_address', $instructor->admin_email_address, 'maxlength="96" size="20"');?>&nbsp;&nbsp;<small><font style="font-size:10px; color:#aabbdd">required</font></small></td>
                                            </tr><?php if($instructor_id>0) {?>
                                            <tr valign="top">
                                                <td class="main"><?php echo ENTRY_PASSWORD; ?></td>
                                                <td class="main"><?php echo tep_draw_input_field('admin_password', '*****', 'maxlength="40" onKeyUp=javascript:checkPWDStrength(this);');?><span class="desc" id="strength_info"/></td>
                                            </tr>
                                            <?php } ?>

                                        </table>
                                    </td>
                                </tr>
                                <tr id="instructorPanelADDRESSview" style="display:none">
                                    <td width="50%" valign="top">
                                        <table border="0" cellpadding="5" cellspacing="0" width="100%">
                                            <tr>
                                                <td class="main" width="125" align="left"><?php echo TEXT_STREET_ADDRESS; ?></td>
                                                <td class="main" valign="top" align="left" width="90"><?php echo tep_draw_input_field('instructors_street_address', $instructor->instructors_street_address, 'maxlength="64" size=20'); ?>&nbsp;&nbsp;<small><font style="font-size:10px; color:#aabbdd">required</font></small></td>
                                            </tr>

                                            <tr valign="top">
                                                <td class="main"><?php echo TEXT_SUBURB; ?></td>
                                                <td class="main"><?php echo tep_draw_input_field('instructors_suburb', $instructor->instructors_suburb, 'maxlength="20"');?></td>
                                            </tr>
                                            <tr valign="top">
                                                <td class="main"><?php echo TEXT_POST_CODE; ?></td>
                                                <td class="main"><?php echo tep_draw_input_field('instructors_postcode', $instructor->instructors_postcode, 'maxlength="8"');?>&nbsp;&nbsp;<small><font style="font-size:10px; color:#aabbdd">required</font></small></td>
                                            </tr>
                                            <tr valign="top">
                                                <td class="main"><?php echo TEXT_CITY; ?></td>
                                                <td class="main"><?php echo tep_draw_input_field('instructors_city', $instructor->instructors_city, 'maxlength="32"');?>&nbsp;&nbsp;<small><font style="font-size:10px; color:#aabbdd">required</font></small></td>
                                            </tr>

                                            <tr valign="top">
                                                <td class="main"><?php echo TEXT_COUNTRY; ?></td>
                                                <td class="main"><?php echo tep_draw_pull_down_menu('instructors_country', tep_get_countries(), (($instructor->instructors_country)?$instructor->instructors_country:STORE_COUNTRY),' id="instructors_country" onChange="javascript:return doShowState(this);" ');?></td>
                                            </tr>
                                            <tr valign="top">
                                                <td class="main"><?php echo TEXT_STATE; ?></td>
                                                <?php $instructors_state=$instructor->instructors_zone_id;

                                                if($instructor->instructors_zone_id=='' || $instructor->instructors_state!="") $instructors_state = $instructor->instructors_state;
                                                ?>
                                                <td class="main"><div id="zonal_div"><?php echo tep_draw_pull_down_menu('instructors_zone_id', $zones_array,$instructors_state,' id="instructors_zone_id" '.((count($zones_array)>0)?'':' style="display:none" ')).tep_draw_input_field('instructors_state',((count($zones_array)>0)?'':$instructors_state),' id="instructors_state" '.((count($zones_array)<=0)?'':' style="display:none" '));?>&nbsp;&nbsp;<small><font style="font-size:10px; color:#aabbdd">required</font></small></div></td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>

                                <tr id="instructorPanelCONTACTview" style="display:none">
                                    <td width="50%" valign="top">
                                        <table border="0" cellpadding="5" cellspacing="0" width="100%">

                                            <tr valign="top">
                                                <td class="main" width="150"><?php echo TEXT_TELEPHONE; ?></td>
                                                <td class="main"><?php echo tep_draw_input_field('instructors_telephone', $instructor->instructors_telephone, 'maxlength="32"');?>&nbsp;&nbsp;<small><font style="font-size:10px; color:#aabbdd">required</font></small></td>
                                            </tr>
                                            <tr valign="top">
                                                <td class="main" width="150"><?php echo TEXT_MOBILE_NUMBER; ?></td>
                                                <td class="main"><?php echo tep_draw_input_field('instructors_fax', $instructor->instructors_fax, 'maxlength="32"');?></td>
                                            </tr>

                                        </table>
                                    </td>
                                </tr>

                                <tr id="instructorPanelDETAILSview" style="display:none">
                                    <td width="50%" valign="top">
                                        <table border="0" cellpadding="5" cellspacing="0" width="100%">
                                            <?php
                                            if(empty($options_array)){
                                                $options_array=array();
                                            }
                                            reset($options_array);
                                            while(list($oid,)=each($options_array)){
                                                if ($options_array[$oid]['text']!=""){	?>
                                            <tr valign="top">
                                                <td class="main"><?php echo $options_array[$oid]['text']. ": "; ?></td>
                                                <td class="main"> <?php echo tep_draw_pull_down_menu($options_array[$oid]['field_name'], $options_array[$oid]['values'], $instructor->$options_array[$oid]['field_name']);?></td>
                                            </tr> <?php }}?>
                                            <tr valign="top">
                                                <td class="main" width="150"><?php echo TEXT_DESCRIPTION; ?></td>
                                                <td class="main"><?php echo tep_draw_input_field('instructors_description', $instructor->instructors_description,'maxlength=200 size=20');?></td>
                                            </tr>

                                        </table>
                                    </td>
                                </tr>


                            </table>
                        </td>
                    </tr>
                </table>
            </form>
        </td>
    </tr>
    <tr>
        <td class="main" id="<?php echo $this->type . $instructor_id;?>message"></td>
    </tr>
</table>				
<?php		
}	

function doUpdateInstructor()
{
global $FREQUEST,$jsData,$FSESSION,$FPOST;
$instructor_id=$FREQUEST->postvalue("instructor_id","int",-1);


$insert=true;
if ($instructor_id>0) $insert=false;

$instructors_gender=$FREQUEST->postvalue('instructors_gender');	

$admin_firstname=$FREQUEST->postvalue('admin_firstname');
$admin_lastname=$FREQUEST->postvalue('admin_lastname');
$instructors_dob=$FREQUEST->postvalue('instructors_dob');
$admin_email_address=$FREQUEST->postvalue('admin_email_address');
$instructors_street_address=$FREQUEST->postvalue('instructors_street_address');
$instructors_suburb=$FREQUEST->postvalue('instructors_suburb');
$instructors_postcode=$FREQUEST->postvalue('instructors_postcode');
$instructors_city=$FREQUEST->postvalue('instructors_city');
$instructors_telephone=$FREQUEST->postvalue('instructors_telephone');
$instructors_fax=$FREQUEST->postvalue('instructors_fax');
$instructors_description=$FREQUEST->postvalue('instructors_description');
$instructors_state=$FREQUEST->postvalue('instructors_state');
$password=$FREQUEST->postvalue('instructor_pwd');

            if ($password!='') 
                    $admin_password=tep_encrypt_password($password);

if($instructors_state==''){
    $instructors_state=$FREQUEST->postvalue('instructors_zone_id');
}
$instructors_country=$FREQUEST->postvalue('instructors_country');


$sql_instructor_array=array();
$sql_instructor_array = array('instructors_dob' => tep_convert_date_raw($instructors_dob,EVENTS_DATE_FORMAT),
                                'instructors_gender'=>$instructors_gender,
                                'instructors_street_address'=>tep_db_prepare_input($instructors_street_address),
                                'instructors_suburb'=>tep_db_prepare_input($instructors_suburb),
                                'instructors_city'=>tep_db_prepare_input($instructors_city),
                                'instructors_state'=>tep_db_prepare_input($instructors_state),
                                'instructors_country'=>tep_db_prepare_input(instructors_country),
                                'instructors_postcode'=>$instructors_postcode,
                                'instructors_telephone'=>$instructors_telephone,
                                'instructors_fax' => $instructors_fax,
                                'instructors_description'=>tep_db_prepare_input($instructors_description));

 
if ($insert){
	$admin_groups_query=tep_db_query('Select admin_groups_id from ' . TABLE_ADMIN_GROUPS . ' where lower(admin_groups_name)="instructor" ' );
	$admin_groups_result=tep_db_fetch_array($admin_groups_query);
	$makePassword = randomize();
    $encription_style=(defined('ENCRYPTION_STYLE'))?ENCRYPTION_STYLE:'O';
    $sql_data_array = array(	'admin_groups_id' =>$admin_groups_result['admin_groups_id'],
                                        'admin_firstname' => tep_db_prepare_input($admin_firstname),
                                        'admin_lastname' =>tep_db_prepare_input($admin_lastname),
                                        'admin_email_address' => tep_db_prepare_input($admin_email_address),
                                        'admin_hide_backend'=>'N',
                                        'admin_password' => tep_encrypt_password($makePassword), 'admin_created' => 'now()',
                                        'encryption_style'=>$encription_style
                            );

    $sql_admin = "SELECT * FROM `admin` WHERE `admin_email_address` ='" .trim($admin_email_address)."'";
    $admin_query=tep_db_query($sql_admin);
    
        $in=false;
        if (tep_db_num_rows($admin_query)>0) $in=true;
                             
    if(!$in){
    tep_db_perform(TABLE_ADMIN, $sql_data_array);
    $instructor_id=tep_db_insert_id();

    $sql_instructor_array['admin_id']=$instructor_id;
    tep_db_perform(TABLE_INSTRUCTORS, $sql_instructor_array);
    }
    if($in)
        $jsData->VARS["displayMessage"]=array('text'=>EMAIL_EXIST);
       
} if (!$insert) {

    $sql_data_array = array('admin_firstname' => tep_db_prepare_input($admin_firstname),
                                'admin_lastname' => tep_db_prepare_input($admin_lastname),
                                 'admin_password'=>$admin_password,
                                'admin_email_address' =>tep_db_prepare_input($admin_email_address));

    tep_db_perform(TABLE_INSTRUCTORS, $sql_instructor_array, 'update', "admin_id = '" . (int)$instructor_id . "'");
    tep_db_perform(TABLE_ADMIN, $sql_data_array, 'update', "admin_id = '" . (int)$instructor_id . "'");

}

$instructs_query=tep_db_query("select * from " . TABLE_INSTRUCTORS_OPTIONS . " where options_display='Y'");
if ($instructor_id >0){ 
    $id_query=tep_db_query("select instructors_id from " . TABLE_INSTRUCTORS . " where admin_id='" . tep_db_input($instructor_id ) . "'");
    $id_result=tep_db_fetch_array($id_query);

    if($FSESSION->login_groups_type!=TEXT_INSTRUCTOR_ENTRY) {
        tep_db_query("delete from " . TABLE_INSTRUCTORS_OPTIONS_TO_OPTION_VALUES . " where instructors_id='" . tep_db_input($id_result['instructors_id']) . "'");
        while($instructs_result=tep_db_fetch_array($instructs_query)){
            $sql_data_array1['options_id']='instructors_' . $instructs_result['options_key'];
            $sql_data_array1['options_values_id']=$FPOST['instructors_' . $instructs_result['options_key']];
            $sql_data_array1['instructors_id']=$id_result['instructors_id'];
            tep_db_perform(TABLE_INSTRUCTORS_OPTIONS_TO_OPTION_VALUES,$sql_data_array1);
        }
    }

} 

if ($insert) {
    $this->doInstructor();
} else {
    $jsData->VARS["replace"]=array($this->type. $instructor_id . "name"=>$admin_firstname,$this->type . $instructor_id . "email"=>$admin_email_address);
    $jsData->VARS["prevAction"]=array('id'=>$instructor_id,'get'=>'InstructorInfo','type'=>$this->type,'style'=>'boxRow');
    $this->doInstructorInfo($instructor_id);
    $jsData->VARS["updateMenu"]=",normal,";
}

}


function doInstructorInfo($instructor_id=0){
global $FREQUEST,$jsData;
if($instructor_id <= 0)$instructor_id=$FREQUEST->getvalue("rID","int",0);

$instructor_query=tep_db_query("select instructors_id,admin_firstname,admin_lastname, admin_email_address from " . TABLE_INSTRUCTORS ." i, " . TABLE_ADMIN ." a where a.admin_id=i.admin_id and a.admin_id='" . tep_db_input($instructor_id) . "'");
if (tep_db_num_rows($instructor_query)>0){
    $instructor_result=tep_db_fetch_array($instructor_query);


    $template=getInfoTemplate($instructor_id);

    $rep_array=array(	"TYPE"=>$this->type,
                            "ENT_NAME"=>TEXT_INSTRUCTOR_NAME ,
                            "NAME"=> $instructor_result["admin_firstname"].'    '.$instructor_result['admin_lastname'],
                            "ENT_EMAIL"=>TEXT_EMAIL_ADDRESS,
                            "EMAIL"=>$instructor_result["admin_email_address"],
                            "ID"=>$instructor_result["instructors_id"],
    );

    echo mergeTemplate($rep_array,$template);

    $jsData->VARS["updateMenu"]=",normal,";
}
else {
    echo 'Err:' . TEXT_INSTRUCTION_NOT_FOUND;
}

}			

}function getListTemplate(){
ob_start();
getTemplateRowTop();
?>
<table border="0" cellpadding="0" cellspacing="0" width="100%" id="##TYPE####ID##">
    <tr>
        <td>
            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                <tr>
                    <td width="15" id="eis##ID##bullet">##STATUS##</td>
                    <td width="25%"class="main" onClick="javascript:doDisplayAction({'id':'##ID##','get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});" id="##TYPE####ID##name">##NAME##</td>
                    <td width="65%"class="main" onClick="javascript:doDisplayAction({'id':'##ID##','get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});" id="##TYPE####ID##email">##EMAIL##</td>
                    <td  width="10%" id="##TYPE####ID##menu" align="right" class="boxRowMenu">
                        <span id="##TYPE####ID##mnormal" style="##FIRST_MENU_DISPLAY##">
                            <a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':'##ID##','get':'EditInstructor','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});"><img src="##IMAGE_PATH##/template/edit_blue.gif" title="Edit"/></a>
                            <img src="##IMAGE_PATH##/template/img_bar.gif"/>
                            <a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':'##ID##','get':'DeleteInstructor','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});"><img src="##IMAGE_PATH##/template/delete_blue.gif" title="Delete"/></a>
                            <img src="##IMAGE_PATH##/template/img_bar.gif"/>
                        </span>
                        <span id="##TYPE####ID##mupdate" style="display:none">
                            <a href="javascript:void(0)" onClick="javascript:return doUpdateAction({'id':##ID##,'get':'UpdateInstructor','imgUpdate':true,'type':'##TYPE##','style':'boxRow','validate':InstructorValidate,'uptForm':'instructorSubmit','customUpdate':doInstructorUpdate,'result':##UPDATE_RESULT##,'message1':page.template['UPDATE_DATA'],'message':page.template['UPDATE_IMAGE']});"><img src="##IMAGE_PATH##/template/img_save_green.gif" title="Save"/></a>
                            <img src="##IMAGE_PATH##/template/img_bar.gif"/>
                            <a href="javascript:void(0)" onClick="javascript:return doCancelAction({'id':##ID##,'get':'Edit','type':'##TYPE##','style':'boxRow'});"><img src="##IMAGE_PATH##/template/img_close_blue.gif" title="Cancel"/></a>
                        </span>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
<?php
getTemplateRowBottom();
$contents=ob_get_contents();
ob_end_clean();
return $contents;
}
function getInfoTemplate(){
ob_start();
?>
<table border="0" cellpadding="4" cellspacing="0" width="100%">
    <div class="hLineGray"></div>
    <tr> <td class="main"><div style=" font-weight:bold; padding-top:10px; width:100%;height:20px;overflow:hidden"><!--##HEAD_NAME##--></div></td>

    <tr>
        <td valign="top" width="10%" align="right" nowrap="nowrap" style="overflow:hidden" class="main"><b>##ENT_NAME##</b></td>
        <td valign="top" width="10%" align="left" style="overflow:hidden" class="main">##NAME##</td>
        <td valign="top" width="10%" align="right" style="overflow:hidden" class="main"><b>##ENT_EMAIL##</b></td>
        <td valign="top" width="10%"  align="left" style="overflow:hidden" class="main">##EMAIL##</td>
    </tr>
</table>
<?php
$contents=ob_get_contents();
ob_end_clean();
return $contents;
}


?>