<?php
/*
    Freeway eCommerce
    http://www.openfreeway.org
    Copyright (c) 2007 ZacWare

    Released under the GNU General Public License

*/
defined('_FEXEC') or die();
class eventsInstructorsOptions
{
    var $pagination;
    var $splitResult;
    var $type;

    function eventsInstructorsOptions()
    {
        $this->pagination=false;
        $this->splitResult=false;
        $this->type='eio';
    }

    function doInfo($options_id=0){
        global $FREQUEST,$jsData;

        if($options_id <= 0)$options_id=$FREQUEST->getvalue("rID","int",0);

        $instructors_options_query=tep_db_query("select options_id,options_name,options_key,options_display from ".TABLE_INSTRUCTORS_OPTIONS ." where options_id='" . tep_db_input($options_id) . "'");

        if (tep_db_num_rows($instructors_options_query)>0){
            $instructors_options_result=tep_db_fetch_array($instructors_options_query);
            $template=getEditTemplate($options_id);

            $rep_array=array(	"TYPE"=>$this->type,
                                    "OPTION_KEY"=>'<b>'.TEXT_OPTION_KEY.'</b>'.$instructors_options_result["options_key"]  ,
                                    "OPTION_NAME"=>'<b>'.TEXT_OPTION_NAME.'</b>   '.$instructors_options_result["options_name"],
                                    "ID"=>$instructors_options_result["options_id"],
            );

            echo mergeTemplate($rep_array,$template);

            $jsData->VARS["updateMenu"]=",normal,";
        }
        else {
            echo 'Err:' . TEXT_INSTRUCTOR_OPTIONS_NOT_FOUND;
        }

    }


    function doOptionsChangeStatus(){
        global $FREQUEST,$jsData;
        $options_id=$FREQUEST->getvalue("pID","int",0);
        $status=$FREQUEST->getvalue("status","string",'N');

        if ($options_id<=0) return;
        if ($status!='Y' && $status!='N') $status='N';
        if ($status=='Y'){
            tep_db_query("update " .TABLE_INSTRUCTORS_OPTIONS . " set options_display = 'Y' where options_id = '" . (int)$options_id . "'");
             $result='<a href="javascript:void(0)" onclick="javascript:doSimpleAction({id:'. $options_id .",get:'OptionsChangeStatus',result:doSimpleResult,params:'pID=". $options_id . "&status=N',message:'".TEXT_UPDATING_STATUS."'});\">" . tep_image(DIR_WS_IMAGES . 'template/icon_active.gif') . '</a>';
        }
        else {
            tep_db_query("update " . TABLE_INSTRUCTORS_OPTIONS . " set options_display = 'N' where options_id = '" . (int)$options_id . "'");
           $result='<a href="javascript:void(0)" onclick="javascript:doSimpleAction({id:'. $options_id .",get:'OptionsChangeStatus',result:doSimpleResult,params:'pID=". $options_id . "&status=Y',message:'".TEXT_UPDATING_STATUS."'});\">" . tep_image(DIR_WS_IMAGES . 'template/icon_inactive.gif') . '</a>';
        }
        echo 'SUCCESS';
        $jsData->VARS["replace"]=array("eio". $options_id ."bullet"=>$result);
    }


    function doDelete(){
        global $FREQUEST,$jsData;
        $options_id=$FREQUEST->postvalue('options_id','int',0);
        $instructors_options_query=tep_db_query("select options_id,options_name,options_key,options_display from ".TABLE_INSTRUCTORS_OPTIONS ." where options_id='" . tep_db_input($options_id) . "'");
        $instructors_options_array=tep_db_fetch_array($instructors_options_query);
        $options_key=$instructors_options_array['options_key'];

        if ($options_id>0){
            tep_db_query("delete from ".TABLE_INSTRUCTORS_OPTIONS." where options_id='".tep_db_input($options_id)."'");
            tep_db_query("delete from " . TABLE_INSTRUCTORS_OPTIONS_VALUES . " where options_key='" . tep_db_input($options_key) . "'");
            $this->doEventsInstructorsOptions();
            $jsData->VARS["displayMessage"]=array('text'=>TEXT_INSTRUCTOR_DELETE_SUCCESS);
            tep_reset_seo_cache('options');
        } else {
            echo "Err:" . TEXT_INSTRUCTOR_OPTIONS_NOT_DELETED;
        }

    }

    function doDeleteEventsInstructorsOptions(){
        global $FREQUEST,$jsData;
        $options_id=$FREQUEST->getvalue('rID','int',0);

        $delete_message='<p><span class="smallText">' . DELETE_ALERT. '</span>';
        ?>
<form  name="<?php echo $this->type;?>DeleteSubmit" id="<?php echo $this->type;?>DeleteSubmit" action="events_instructors_options.php" method="post" enctype="application/x-www-form-urlencoded">
    <input type="hidden" name="options_id" value="<?php echo tep_output_string($options_id);?>"/>
    <table border="0" cellpadding="2" cellspacing="0" width="100%">
        <tr>
            <td class="main" id="<?php echo $this->type . $options_id;?>message">
            </td>
        </tr>
        <tr>
            <td class="main">
                <?php echo $delete_message;?>
            </td>
        </tr>
        <tr height="40">
            <td class="main" style="vertical-align:bottom">
                <p>
                <a href="javascript:void(0);" onClick="javascript:return doUpdateAction({id:<?php echo $options_id;?>,type:'<?php echo $this->type;?>',get:'Delete',result:doTotalResult,message:page.template['PRD_DELETING'],'uptForm':'<?php echo $this->type;?>DeleteSubmit','imgUpdate':false,params:''})"><?php echo tep_image_button('button_delete.gif');?></a>&nbsp;
                <a href="javascript:void(0);" onClick="javascript:return doCancelAction({id:<?php echo $options_id;?>,type:'<?php echo $this->type;?>',get:'closeRow','style':'boxRow'})"><?php echo tep_image_button('button_cancel.gif');?></a>
            </td>
        </tr>
        <tr>
            <td><hr/></td>
        </tr>
        <tr>
            <td valign="top" class="categoryInfo"><?php echo $this->doInfo($options_id);?></td>
        </tr>
    </table>
</form>
<?php
$jsData->VARS["updateMenu"]="";
}

function doEventsInstructorsOptions(){
global $FREQUEST,$jsData;

$template=getListTemplate();
$rep_array=array(	"TYPE"=>$this->type,
                            "ID"=>-1,
                            "NAME"=>HEADING_NEW_TITLE,
                            "IMAGE_PATH"=>DIR_WS_IMAGES,
                            "STATUS"=>tep_image(DIR_WS_IMAGES . 'template/plus_add2.gif'),
                            "UPDATE_RESULT"=>'doTotalResult',
                            "ROW_CLICK_GET"=>'EventsInstructorsOptionsEdit',
                            "FIRST_MENU_DISPLAY"=>"display:none"
);

?>
<div class="main" id="eio-1message"></div>
<table border="0" width="100%" height="100%" id="<?php echo $this->type;?>Table">
    <?php 	echo mergeTemplate($rep_array,$template); ?>
</table>
<table border="0" width="100%" height="100%" id="<?php echo $this->type;?>Table">
    <?php 	$this->doEventsInstructorsOptionsList();?>
</table>
<?php if (is_object($this->splitResult)){?>
<table border="0" width="100%" height="100%">
    <?php echo $this->splitResult->pgLinksCombo(); ?>
</table>
<?php }


}
function doEventsInstructorsOptionsList($where='',$options_id=0,$search=''){
global $FSESSION,$FREQUEST,$jsData;
$page=$FREQUEST->getvalue('page','int',1);


$query_split=false;
$events_instructors_options_sql="select options_id,options_name,options_key, options_display from ".TABLE_INSTRUCTORS_OPTIONS." order by options_name";


if ($this->pagination){
$query_split=$this->splitResult = &instance::getSplitResult('OPTIONS');
$query_split->maxRows=MAX_DISPLAY_SEARCH_RESULTS;
$query_split->parse($page,$events_instructors_options_sql);
if ($query_split->queryRows > 0){ 
    $query_split->pageLink="doPageAction({'id':-1,'type':'" . $this->type ."','pageNav':true,'closePrev':true,'get':'EventsInstructorsOptions','result':doTotalResult,params:'page='+##PAGE_NO##,'message':'" . sprintf(INFO_LOADING_INSTRUCTOR_OPTIONS,'##PAGE_NO##') . "'})";

}
}
$events_instructors_options_query=tep_db_query($events_instructors_options_sql);

$found=false;
if (tep_db_num_rows($events_instructors_options_query)>0) $found=true;
if($found)
{
$template=getListTemplate();
$icnt=1;
while($events_instructors_options_result=tep_db_fetch_array($events_instructors_options_query)){
    $rep_array=array(	"ID"=>$events_instructors_options_result["options_id"],
                            "TYPE"=>$this->type,
                            "NAME"=>$events_instructors_options_result["options_name"],
                            "IMAGE_PATH"=>DIR_WS_IMAGES,
                            "STATUS"=>'<a href="javascript:void(0)" onclick="javascript:doSimpleAction({id:'. $events_instructors_options_result["options_id"] .",get:'OptionsChangeStatus',result:doSimpleResult,params:'pID=". $events_instructors_options_result["options_id"] . "&status=" .(($events_instructors_options_result["options_display"]=='Y')?'N':'Y') . "'});\">" . tep_image(DIR_WS_IMAGES . 'template/' . ($events_instructors_options_result["options_display"]=='Y'?'icon_active.gif':'icon_inactive.gif')) . '</a>',
                            "UPDATE_RESULT"=>'doDisplayResult',
                            "ALTERNATE_ROW_STYLE"=>($icnt%2==0?"listItemOdd":"listItemEven"),
                            "ROW_CLICK_GET"=>'Info',
                            "FIRST_MENU_DISPLAY"=>""
    );


    echo mergeTemplate($rep_array,$template);
    $icnt++;
}}
else if($search=='')
{
echo '<div align="center">'.TEXT_EMPTY_INSTRUCTORS_OPTIONS.'</div>';
}
if (!isset($jsData->VARS["Page"])){
$jsData->VARS["NUclearType"][]=$this->type;
} 
return $found;			
}
function doEventsInstructorsOptionsUpdate()
{
global $FREQUEST,$jsData;
$options_id=$FREQUEST->postvalue("options_id","int",-1);
$insert=true;
if ($options_id>0) $insert=false;
$txt_option_name=$FREQUEST->postvalue('txt_option_name');
$txt_new_option_key=$FREQUEST->postvalue('txt_new_option_key');



$instructors_options_query=tep_db_query("select options_key from ".TABLE_INSTRUCTORS_OPTIONS ." where options_id='" . tep_db_input($options_id) . "'");
$instructors_options_array=tep_db_fetch_array($instructors_options_query);

if(tep_db_num_rows($instructors_options_query))
$options_key=$instructors_options_array['options_key'];
else
$instructors_options_array=array();
$instructors_options_values_query=tep_db_query("select * from ".TABLE_INSTRUCTORS_OPTIONS_VALUES." where options_key='".tep_db_input($options_key)."'");

while ($result=tep_db_fetch_array($instructors_options_values_query)){
$original_array[$result['options_values_id']]=$result['options_values_text'];
}
if($insert)
$sql_data = array(  'options_name' => tep_db_prepare_input($txt_option_name),
                        'options_key' =>tep_db_prepare_input($txt_new_option_key) );
else
$sql_data = array(  'options_name' =>tep_db_prepare_input($txt_option_name));	


$key_query=tep_db_query("select options_key from ".TABLE_INSTRUCTORS_OPTIONS ." where options_key='" . tep_db_input($txt_new_option_key) . "' || options_name='".tep_db_input($txt_option_name)."'");
if(tep_db_num_rows($key_query)>0 && $insert)
{
$key=tep_db_query("select options_key from ".TABLE_INSTRUCTORS_OPTIONS ." where options_key='" . tep_db_input($txt_new_option_key)."'");

if(tep_db_num_rows($key)>0)
{$jsData->VARS["displayMessage"]=array('text'=>TEXT_EXISTS_OPTIONS_KEY);
    tep_reset_seo_cache('options');
}
else
{
    $jsData->VARS["displayMessage"]=array('text'=>TEXT_EXISTS_OPTIONS_NAME);
    tep_reset_seo_cache('options');

}
}
else
{
if ($insert){
    tep_db_perform(TABLE_INSTRUCTORS_OPTIONS,$sql_data);
    $options_id=tep_db_insert_id();

} else {
    tep_db_perform(TABLE_INSTRUCTORS_OPTIONS, $sql_data, 'update', "options_id = '" .$options_id . "'");
}
}

$source=$FREQUEST->postvalue('source');
$work_values=$FREQUEST->postvalue('work_values');
if($work_values=='exists'){
if($source!=''){

    $source=substr($source,0,-1);
    $rows=explode('#',$source);
    $n= count($rows);
    for($icnt=0;$icnt<$n;$icnt++){
        $onerow=explode('^',$rows[$icnt]);
        $source_array[$onerow[0]]=$onerow[1];
    }
    reset($source_array);
    if(count($original_array)>0){
        while(list($key,$value)=each($source_array)){
            if(array_key_exists($key,$original_array)){
                tep_db_query("update ". TABLE_INSTRUCTORS_OPTIONS_VALUES ." set options_values_text = '". tep_db_prepare_input(tep_db_input($value))."' where  options_values_id='".tep_db_input($key)."' ");
            }else if($key){
                $get_options_values_id_query=tep_db_query("select max(options_values_id) as options_values_id from ". TABLE_INSTRUCTORS_OPTIONS_VALUES );
                if(tep_db_num_rows($get_options_values_id_query)){
                    $get_options_values_id_result=mysql_fetch_row($get_options_values_id_query);
                    $options_values_id = $get_options_values_id_result[0]+1;
                    tep_db_query("Insert into ". TABLE_INSTRUCTORS_OPTIONS_VALUES . " values('".tep_db_input($options_values_id)."','" . tep_db_input($options_key)."','". tep_db_prepare_input(tep_db_input($value)) ."','".'Y'."' )");
                    //if($i==0) tep_db_query("Insert into ". TABLE_PRODUCTS_OPTIONS_VALUES_TO_PRODUCTS_OPTIONS . " values(Null,'".tep_db_input($option_id)."','".tep_db_input($options_values_id)."') ");
                }
            }
        }
        reset($original_array);
        while(list($key,$value)=each($original_array)){
            if(!array_key_exists($key,$source_array)){
                tep_db_query("delete from ". TABLE_INSTRUCTORS_OPTIONS_VALUES ." where options_values_id='".tep_db_input($key)."' and options_values_text='". tep_db_input($value) ."'");
                //tep_db_query("delete from ". TABLE_PRODUCTS_OPTIONS_VALUES_TO_PRODUCTS_OPTIONS ." where products_options_values_id='".tep_db_input($key)."' and products_options_id='".tep_db_input($option_id)."' ");
            }
        }
    }else{
        while(list($key,$value)=each($source_array)){
            if($key){
                $get_options_values_id_query=tep_db_query("select max(options_values_id) as options_values_id from ".TABLE_INSTRUCTORS_OPTIONS_VALUES );
                if(tep_db_num_rows($get_options_values_id_query)){
                    $get_options_values_id_result=mysql_fetch_row($get_options_values_id_query);
                    $options_values_id = $get_options_values_id_result[0]+1;
                    tep_db_query("Insert into ". TABLE_INSTRUCTORS_OPTIONS_VALUES . " values('".tep_db_input($options_values_id)."','" . tep_db_input($options_key)."','". tep_db_prepare_input(tep_db_input($value)) ."','".'Y'."' )");
                    //if($i==0) tep_db_query("Insert into ". TABLE_PRODUCTS_OPTIONS_VALUES_TO_PRODUCTS_OPTIONS . " values(Null,'".tep_db_input($option_id)."','".tep_db_input($options_values_id)."') ");
                }
            }
        }
    }
} 
else{

    //source is empty, we delete all option values from the option id if exists
    //$find_options_values_id_query=tep_db_query("select options_values_id from " . TABLE_PRODUCTS_OPTIONS_VALUES_TO_PRODUCTS_OPTIONS ." where products_options_id='".tep_db_input($option_id)."'");
    $find_key=tep_db_query("select options_key from ".TABLE_INSTRUCTORS_OPTIONS ." where options_id='".tep_db_input($options_id)."'");
    $find_key_array=tep_db_fetch_array($find_key);
    $find_options_values_id_query=tep_db_query("select options_values_id from ".TABLE_INSTRUCTORS_OPTIONS_VALUES ." where options_key='".tep_db_input($find_key_array['options_key'])."'");
    if(tep_db_num_rows($find_options_values_id_query)>0){
        while($row=tep_db_fetch_array($find_options_values_id_query)){
            $values_id .= $row['options_values_id'].',';
        }
        $values_id = substr($values_id,0,-1);


        //tep_db_query("delete from " . TABLE_INSTRUCTORS_OPTIONS_VALUES ." where options_values_id = '".tep_db_input($option_id)."'");
        //tep_db_query("delete from " . TABLE_PRODUCTS_OPTIONS_VALUES_TO_PRODUCTS_OPTIONS ." where products_options_id = '".tep_db_input($option_id)."'");
        if($values_id!='') tep_db_query("delete from " . TABLE_INSTRUCTORS_OPTIONS_VALUES  ." where options_values_id in (" . tep_db_input($values_id) .")");
        //tep_db_query("delete from " . TABLE_PRODUCTS_OPTIONS_VALUES  ." where products_options_values_id in (" . tep_db_input($values_id) .")");
    }



    /*
        //source is empty, we delete all option values from the option id if exists
        $find_options_values_id_query=tep_db_query("select options_values_id from " . TABLE_PRODUCTS_OPTIONS_VALUES_TO_PRODUCTS_OPTIONS ." where products_options_id='".tep_db_input($option_id)."'");
        if(tep_db_num_rows($find_options_values_id_query)>0){
            while($row=tep_db_fetch_array($find_options_values_id_query)){
                $values_id .= $row['products_options_values_id'].',';
            }
            $values_id = substr($values_id,0,-1);
            tep_db_query("delete from " . TABLE_PRODUCTS_OPTIONS_VALUES_TO_PRODUCTS_OPTIONS ." where products_options_id = '".tep_db_input($option_id)."'");
            if($values_id!='') tep_db_query("delete from " . TABLE_PRODUCTS_OPTIONS_VALUES  ." where products_options_values_id in (" . tep_db_input($values_id) .")");
        }
    */}

}
if ($insert) {
$this->doEventsInstructorsOptions();
} else {
$jsData->VARS["replace"]=array($this->type. $options_id . "name"=>$txt_option_name);
$jsData->VARS["prevAction"]=array('id'=>$options_id,'get'=>'Info','type'=>$this->type,'style'=>'boxRow');
$this->doInfo($options_id);
$jsData->VARS["updateMenu"]=",normal,";
}

}


function doEventsInstructorsOptionsEdit($options_id=0){
global $FREQUEST,$jsData;
if($options_id <= 0)$options_id=$FREQUEST->getvalue("rID","int",0);
$showOptValue='N';
$panels=array('OPTIONS');

if($options_id>0)
$panels=array('OPTIONS','OPTIONSVALUES');

$default_panel='OPTIONS';
$opt_display="";
$opt_val_display="style='display:none;'";

if($showOptValue=='Y') {
$default_panel='OPTIONSVALUES';
$opt_val_display="style='display:block;'";
$opt_display="style='display:none;'";
}

$jsData->VARS['storePage']=array('instructorPanel'=>$default_panel);
$jsData->VARS["updateMenu"]=",update,";
$display_mode_html=' style="display:none"';

$instructors_options_query=tep_db_query("select options_id,options_name,options_key,options_display from ".TABLE_INSTRUCTORS_OPTIONS ." where options_id='" . tep_db_input($options_id) . "'");
$instructors_options_array=tep_db_fetch_array($instructors_options_query);
$options_key=$instructors_options_array['options_key'];



if(tep_db_num_rows($instructors_options_query))
$options_key=$instructors_options_array['options_key'];
else
$instructors_options_array=array();

$instructors_options_values_query=tep_db_query("select * from ".TABLE_INSTRUCTORS_OPTIONS_VALUES." where options_key='".tep_db_input($options_key)."'");

while ($result=tep_db_fetch_array($instructors_options_values_query)){
$options_values_array[]=array('id'=>$result['options_values_id'],'text'=>$result['options_values_text']);
}

$IInfo=new objectInfo($instructors_options_array);






?>
<table border="0" cellpadding="4" cellspacing="0" width="100%">
    <tr height="320px">
        <td valign="top" width="150">
            <table border="0" cellpadding="0" cellspacing="0" class="boxRoundPanel">
                <tr>
                    <td valign="top">
                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
                            <tr height="7">
                                <td class="tleft"></td>
                                <td></td>
                                <td class="tright"></td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td valign="top" class="mright">
                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
                            <?php for ($icnt=0,$n=count($panels);$icnt<$n;$icnt++){ ?>
                            <tr>
                                <td class="<?php echo ($default_panel==$panels[$icnt]?"productPanelSelect":"productPanel");?>" onclick="javscript:showPanelContent({id:'<?php echo $panels[$icnt];?>',className:'productPanel','type':'instructorPanel'});" id="instructorPanel<?php echo $panels[$icnt];?>menu">
                                    <?php
                                    echo "<a href='javascript:void(0);'><div>" . constant("TEXT_CATEGORY_" .$panels[$icnt]) . '</div></a>';
                                    $jsData->VARS["storePage"]["instructorPanelMenus"][$panels[$icnt]]=array('text'=>constant("TEXT_CATEGORY_" .$panels[$icnt]));
                                    ?>
                                </td>
                            </tr>
                            <?php } ?>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td valign="top">
                        <table border="0" cellpadding="0" cellspacing="0" width="100%" class="bmiddle">
                            <tr height="7">
                                <td class="bleft"></td>
                                <td></td>
                                <td class="bright"></td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
        <td valign="top">

            <form action="events_instructors_options.php" method="post" name="InstructorsValuesSubmit" enctype="multipart/form-data" id="InstructorsValuesSubmit">
                <input type="hidden" name="options_id" value="<?php echo tep_output_string($options_id);?>"/>
                <table border="0" cellpadding="5" cellspacing="0" width="100%">
                <tr height="30">
                    <td class="headItemEdit" valign="top">
                        <?php echo tep_image(DIR_WS_IMAGES . '/template/gray_arrow_down.gif','','','','align=absmiddle');?>
                        <span id="instructorPanelTitle">
                            <?php echo constant("TEXT_CATEGORY_" . $default_panel);?>
                        </span>
                        <hr size="1" color="#D2D8E7"/>
                    </td>
                </tr>
                <tr>
                <td valign="top">
                <table border="0" cellpadding="0" cellspacing="0" width="100%" class="productEditCol">
                    <tr id="instructorPanelOPTIONSview" <?php echo $opt_display; ?>>
                        <td width="50%" valign="top">
                            <table border="0" cellpadding="5" cellspacing="0" width="100%">
                                <tr valign="top">
                                    <td width="20%" class="main"><?php echo TEXT_OPTION_KEY;?></td>
                                    <td class="main"><?php echo (($IInfo->options_key!='')?$IInfo->options_key:tep_draw_input_field('txt_new_option_key','','maxlength=2'));?></td>
                                </tr>
                                <tr valign="top">
                                    <td class="main"><?php echo TEXT_OPTION_NAME;?></td>
                                    <td class="main"><?php echo tep_draw_input_field('txt_option_name',$IInfo->options_name);?></td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr id="instructorPanelOPTIONSVALUESview" <?php echo $opt_val_display; ?>>
                        <td width="50%" valign="top">
                            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                <tr><td>&nbsp;</td></tr>
                                <tr>
                                    <td align="center"><?php echo TEXT_OPTION_VALUES.':'; ?></td>
                                    <td valign="top" class="main" align="left" colspan="2"><?php  echo tep_draw_input_field('edit_options','','style="width:155" maxlength="64"') ; ?></td>
                                </tr>
                                <tr><td>&nbsp;</td></tr>
                                <tr>
                                <td valign="top" class="main" width="125" align="center"><?php echo TEXT_OPTION_VALUES.':'; ?></td>
                                <td valign="top" align="left" width="90"><?php echo tep_draw_pull_down_menu('instructors_options_values_name',$options_values_array,'',' size ="8" style="width:155" onChange="show_instructors_options()"') ?></td>
                                <td class="main" width="500" align="left">
                                <table cellpadding="2" cellspacing="0" border="0" width="100%">
                                    <tr>
                                        <td>
                                            <a href="javascript:void(0)" onclick="javascript:doOptValueInsert();" id="insert_event"><?php echo tep_image_button('button_insert.gif',IMAGE_INSERT_INSTRUCTOR);?></a><br /><br />
                                            <a href="javascript:void(0)" onclick="javascript:doOptValueUpdate();" id="update_event"><?php echo tep_image_button('button_update.gif',IMAGE_UPDATE_INSTRUCTOR);?></a><br /><br />
                                            <a href="javascript:void(0)" onclick="javascript:doOptValueDelete();" id="delete_event"><?php echo tep_image_button('button_delete.gif',IMAGE_DELETE_INSTRUCTOR);?></a><br /><br />
                                        </td>
                                    </tr>
                                </table>
                            </table>
                        </td>
                    </tr>
                </table>
                <?php	echo tep_draw_hidden_field('source','',"id='source'");
                echo tep_draw_hidden_field('work_values','',"id='work_values'");?>
            </form>
        </td>
    </tr>
    <tr>
        <td class="main" id="<?php echo $this->type . $options_id;?>message"></td>
    </tr>
</table>								

<?php	
}			

}function getListTemplate(){
ob_start();
getTemplateRowTop();
?>
<table border="0" cellpadding="0" cellspacing="0" width="100%" id="##TYPE####ID##">
    <tr>
        <td>
            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                <tr>
                    <td width="15" id="eio##ID##bullet">##STATUS##</td>
                    <td align="left" width="90%"class="main" onClick="javascript:doDisplayAction({'id':'##ID##','get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});" id="##TYPE####ID##name">##NAME##</td>
                    <td  width="10%" id="##TYPE####ID##menu" align="right" class="boxRowMenu">
                        <span id="##TYPE####ID##mnormal" style="##FIRST_MENU_DISPLAY##">
                            <a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':'##ID##','get':'EventsInstructorsOptionsEdit','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});"><img src="##IMAGE_PATH##/template/edit_blue.gif" title="Edit"/></a>
                            <img src="##IMAGE_PATH##/template/img_bar.gif"/>
                            <a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':'##ID##','get':'DeleteEventsInstructorsOptions','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});"><img src="##IMAGE_PATH##/template/delete_blue.gif" title="Delete"/></a>
                            <img src="##IMAGE_PATH##/template/img_bar.gif"/>
                        </span>
                        <span id="##TYPE####ID##mupdate" style="display:none">
                            <a href="javascript:void(0)" onClick="javascript:return doUpdateAction({'id':##ID##,'get':'InstructorsOptionsUpdate','imgUpdate':true,'type':'##TYPE##','style':'boxRow','validate':InstructorsOptionsValidate,'uptForm':'InstructorsValuesSubmit','customUpdate':InstructorsOptionsUpdate,'result':##UPDATE_RESULT##,'message1':page.template['UPDATE_DATA'],'message':page.template['UPDATE_IMAGE']});"><img src="##IMAGE_PATH##/template/img_save_green.gif" title="Save"/></a>
                            <img src="##IMAGE_PATH##/template/img_bar.gif"/>
                            <a href="javascript:void(0)" onClick="javascript:return doCancelAction({'id':##ID##,'get':'Edit','type':'##TYPE##','style':'boxRow'});"><img src="##IMAGE_PATH##/template/img_close_blue.gif" title="Cancel"/></a>
                        </span>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
<?php
getTemplateRowBottom();
$contents=ob_get_contents();
ob_end_clean();
return $contents;
}


function getEditTemplate(){
ob_start();
?>
<table border="0" cellpadding="4" cellspacing="0" width="100%">
    <div class="hLineGray"></div>

    <tr>
        <td width="10%" align="center" nowrap="nowrap" class="main">##OPTION_KEY##</td>
        <td width="10%" align="left" class="main">##OPTION_NAME##</td>
    </tr>

</table>
<?php
$contents=ob_get_contents();
ob_end_clean();
return $contents;
}?>