<?php
/*
    Freeway eCommerce
    http://www.openfreeway.org
    Copyright (c) 2007 ZacWare
    
    Released under the GNU General Public License
*/
defined('_FEXEC') or die();
class productsReviews
	{
	var $pagination;
	var $splitResult;
	var $type;

	function productsReviews()
	{
		$this->pagination=false;
		$this->splitResult=false;
		$this->type='pdrv';
	}
	function doList($where='',$sId=0) {
		global $FSESSION,$FREQUEST,$jsData;
		$page=$FREQUEST->getvalue('page','int',1);
		$query_split=false;
		
		$review_sql="select r.reviews_id,r.products_id,r.customers_name, date_format(r.date_added,'%Y-%m-%d') as date_added, date_format(r.last_modified,'%Y-%m-%d') as last_modified,r.reviews_rating,rd.reviews_text from " . TABLE_REVIEWS . " r,".TABLE_REVIEWS_DESCRIPTION." rd where r.reviews_id=rd.reviews_id and rd.languages_id='".(int)$FSESSION->languages_id. "' order by r.reviews_id";
		if ($this->pagination){
			$query_split=$this->splitResult = &instance::getSplitResult('CUSTOMER');
			$query_split->maxRows=MAX_DISPLAY_SEARCH_RESULTS;
			$query_split->parse($page,$review_sql);
					if ($query_split->queryRows > 0){ 
						$query_split->pageLink="doPageAction({'id':-1,'type':'" . $this->type ."','pageNav':true,'closePrev':true,'get':'Items','result':doTotalResult,params:'page='+##PAGE_NO##,'message':'" . sprintf(TEXT_LOADING_DATA,'##PAGE_NO##') . "'})";
					}
		}
		$review_query=tep_db_query($review_sql);
		$found=false;
		if (tep_db_num_rows($review_query)>0) $found=true;
		if($found) {
			$template=getListTemplate();
			$icnt=1;
			while($review_result=tep_db_fetch_array($review_query)){
				$products_name=tep_get_products_name($review_result["products_id"],$FSESSION->languages_id);
				$cust_name=$review_result['customers_name'];
				if($review_result['customers_name']=="")
					$cust_name="Admin";
				$rep_array=array(	"ID"=>$review_result["reviews_id"],
									"TYPE"=>$this->type,
									"NAME"=>$products_name,
									"AUTHOR"=>$cust_name,
									"DATE_ADDED"=>((format_date($review_result['date_added']))?format_date($review_result['date_added']):''),
									"IMAGE_PATH"=>DIR_WS_IMAGES,
									"STATUS"=>tep_image(DIR_WS_IMAGES . '/icons/preview.gif'),
									"UPDATE_RESULT"=>'doDisplayResult',
									"ALTERNATE_ROW_STYLE"=>($icnt%2==0?"listItemOdd":"listItemEven"),
									"ROW_CLICK_GET"=>'Info',
									"FIRST_MENU_DISPLAY"=>""
								);
				echo mergeTemplate($rep_array,$template);
				$icnt++;
			}
			if (!isset($jsData->VARS["Page"])){
				$jsData->VARS["NUclearType"][]=$this->type;
			} 
		}
		else {
			echo TEXT_PRODUCTS_REVIEWS_NOT_FOUND;
		}
		return $found;			
	}
	function doItems(){
		global $FREQUEST,$jsData;
		$template=getListTemplate();
			$rep_array=array(	"TYPE"=>$this->type,
								"ID"=>-1,
								"NAME"=>HEADING_NEW_TITLE,
								"IMAGE_PATH"=>DIR_WS_IMAGES,
								"STATUS"=>tep_image(DIR_WS_IMAGES . 'template/plus_add2.gif'),
								"UPDATE_RESULT"=>'doTotalResult',
								"ROW_CLICK_GET"=>'Edit',
								"FIRST_MENU_DISPLAY"=>"display:none",
								"AUTHOR"=>"",
								"DATE_ADDED"=>""
							);
		
		?>
		<div class="main" id="prd-1message"></div>
		<table border="0" width="100%" height="100%" id="<?php echo $this->type;?>Table">
			<?php 	echo mergeTemplate($rep_array,$template); ?>
			<tr>
				<td>
					<table border="0" width="100%" cellpadding="0" cellspacing="0" height="100%">
						<tr class="dataTableHeadingRow">
							<td class="main" width="37%" style="padding-left:15px;">
								<b><?php echo TABLE_HEADING_PRODUCTS;?></b>
							</td>
							<td class="main" width="34%">
								<b><?php echo TABLE_HEADING_AUTHOR;?></b>
							</td>
							<td class="main">
								<b><?php echo TABLE_HEADING_DATE_ADDED; ?></b>
							</td>
						</tr>
					</table>		
				</td>
			</tr>
			<tr>
				<td class="main">
			<?php 	$this->doList(); ?>
				</td>
			</tr>	
		</table>
		<?php if (is_object($this->splitResult)){?>
			<table border="0" width="100%" height="100%">
					<?php echo $this->splitResult->pgLinksCombo(); ?>
			</table>
		<?php }
	}
	function doEdit() {
		global $FSESSION,$FREQUEST,$jsData;
		$rID=$FREQUEST->getvalue("rID","int",-1);
		$server_dates = getServerDate(true); 
		
		$reviews[] = array(); 
		$products[] = array();
		$product_array=array();
		
		$reviews_query = tep_db_query("select r.reviews_id, r.products_id, r.customers_name, r.date_added, r.last_modified, r.reviews_read, rd.reviews_text, r.reviews_rating, r.admin_review from " . TABLE_REVIEWS . " r, " . TABLE_REVIEWS_DESCRIPTION . " rd where r.reviews_id = '" . (int)$rID . "' and r.reviews_id = rd.reviews_id");	      
		if(tep_db_num_rows($reviews_query)>0){
			$reviews = tep_db_fetch_array($reviews_query);
			$products_query = tep_db_query("select products_image_1,products_title_1 from " . TABLE_PRODUCTS . " where products_id = '" . (int)$reviews['products_id'] . "'");
			$products = tep_db_fetch_array($products_query);	   	 
			if(is_array($reviews) && is_array($products)) $rInfo_array = array_merge($reviews, $products);
			else if(is_array($reviews)) $rInfo_array=$reviews;		    		  	 	
			else if(is_array($products)) $rInfo_array=$products;
		}
		
		if(is_array($rInfo_array))	$rInfo = new objectInfo($rInfo_array); 
		$reviews_text=tep_db_input($rInfo->reviews_text);
		$customers_name=tep_db_input($rInfo->customers_name);
		$today_date = getServerDate();
		$products_name_query = tep_db_query("select products_id, products_name from " . TABLE_PRODUCTS_DESCRIPTION . " where language_id = '" . (int)$FSESSION->languages_id . "'");
		while($products_name = tep_db_fetch_array($products_name_query)){
			if($products_name["products_name"]) $product_array[] = array('id' => $products_name["products_id"], 'text' => $products_name["products_name"]);
		}
		echo tep_draw_form('products_reviews','products_reviews.php', ' ' ,'post','id="products_reviews"'); ?>
		<?php
			$disable='';
			$display=''; 
			if($rID>0) {
				if($rInfo->admin_review == 'Y' || $rInfo->admin_review == 1){
					 $disable='readonly'; $display='display:none'; 
				}
			}
		?>
		<table border="0" width="100%" cellspacing="3" cellpadding="3">
			<tr>
				<td><table border="0" width="100%" cellspacing="3" cellpadding="3">
					<tr> 
						<Td class="main" width="15%"><b><?php echo ENTRY_PRODUCT; ?></b></Td>
						<td class="main" align="left"><?php echo tep_draw_pull_down_menu('products_id',$product_array,$rInfo->products_id) ?></td>
						<td class="main" align="right" rowspan="3" valign="top"><?php echo tep_product_small_image($rInfo->products_image_1, $rInfo->products_title_1,'hspace="5" vspace="5"'); ?></td>
					</tr>
					<tr>
						<td class="main" width="15%"><b><?php echo ENTRY_AUTHOR; ?></b></td>
						<td class="main" align="left"><?php echo tep_draw_input_field('author_name',tep_db_prepare_input($customers_name),$disable.' maxlength="64" ');   ?></td>
					</tr>	
					<tr>
						<td class="main" width="15%"><b><?php echo ENTRY_DATE; ?></b></td>
						<td class="main" align="left" >
						<?php
						$_array=array('d','m','Y');  $replace_array=array('DD','MM','YYYY'); 	$date_format=str_replace($_array,$replace_array,EVENTS_DATE_FORMAT);
						echo tep_draw_input_field("review_date",isset($rInfo->date_added)?format_date($rInfo->date_added):format_date($today_date),$disable);							
						echo '<span id="calendar_id" style=\'' . $display . '\'>'; 
						echo tep_create_calendar("products_reviews.review_date",$date_format); 
						echo '</span>';	
						?>
						</td>
					</tr>

				</table></td>
			</tr>
			<tr>
				<td><table witdh="100%" border="0" cellspacing="0" cellpadding="0">
					  <tr>
						<td class="main" valign="top"><b><?php echo '<br>'.ENTRY_REVIEW; ?></b><br><br><?php echo tep_draw_textarea_field('reviews_text', 'soft', '80', '24', tep_db_prepare_input($reviews_text),'id="reviews_text"'); ?></td>
					  </tr>		           
					  <?php  
					  if($rInfo->admin_review == 'Y')
							$default_admin_review = true;						  
					  else
							$default_admin_review = false;
					  ?>
					  <tr> 
						<td class="main" valign="top"><br><b><?php echo ENTRY_ADMIN_REVIEW_CHECK; ?></b><?php echo tep_draw_checkbox_field('admin_review','Y',$default_admin_review,'',' onClick="javascript:void check_review(this);"'); ?></td>
					  </tr>		  
					  <tr>
						<td class="main"><br><b><?php echo ENTRY_RATING; ?></b>&nbsp;<?php if($rID==-1)  $rInfo->reviews_rating=5; echo TEXT_BAD; ?>&nbsp;<?php for ($i=1; $i<=5; $i++) echo tep_draw_radio_field('reviews_rating',$i ,(($rInfo->reviews_rating==$i)?true:false) , $rInfo->reviews_rating) . '&nbsp;'; echo TEXT_GOOD; ?></td>
					  </tr>
				</table></td>
			</tr>
		</table>
		<?php 
		echo tep_draw_hidden_field('reviews_id',$rInfo->reviews_id);
		echo '</form>';
		$jsData->VARS["updateMenu"]=",update,";
		$display_mode_html=' style="display:none"';
	}
	function doUpdate() {
		global $FREQUEST,$jsData,$FSESSION;
		$server_dates = getServerDate(true);  
       	$insert=true;	
		$reviews_id=$FREQUEST->postvalue('reviews_id');
		if($reviews_id>0) $insert=false;
	
	    $error_tag = '';
		$error = false; 
		if(!$FREQUEST->getvalue('rID') && $FREQUEST->postvalue('admin_review') == 1){  
			$action_query=tep_db_query("select reviews_id from " . TABLE_REVIEWS . " where  products_id = '" . (int)$products_id . "' and admin_review = \"Y\"");
			if(tep_db_num_rows($action_query)>0){
				$action = 'edit';
				$error_tag = ERROR_ADMIN_REVIEW;
				$error = true;
			} 
		}elseif($FREQUEST->postvalue('admin_review_flag') == 'not_set'){
			$actions_query = tep_db_query("select admin_review from " . TABLE_REVIEWS . " where products_id = '" . (int)$products_id . "' and admin_review = \"Y\"");
			if(tep_db_num_rows($actions_query)>0){
				if($FREQUEST->postvalue('admin_review') == 1){
					$action="edit";
					$error_tag = ERROR_ADMIN_REVIEW;
					$error = true;
				}
			}	
		}elseif(isset($products_id)  &&  $FREQUEST->postvalue('admin_review')==1 && !$FREQUEST->getvalue('rID')){ 
			$admin_review = ($FREQUEST->postvalue('admin_review')!='') ? 'Y' : 'N';
			$action_query=tep_db_query("select reviews_id,admin_review from " . TABLE_REVIEWS . " where admin_review = '" . tep_db_input($admin_review) . "' and products_id = '" . (int)$products_id . "' and reviews_id='" . (int)$rID . "'");
			if(tep_db_num_rows($action_query)<=0){		
				$action = 'edit';
				$display_query = tep_db_query("select admin_review  from " . TABLE_REVIEWS . " where reviews_id = '" . (int)$rID . "'");
				$display_array = tep_db_fetch_array($display_query);
				$error = true;
				if($display_array["admin_review"] == 'N')
					$error_tag = ERROR_ADMIN_REVIEW;
				else	
		    		$error_tag =	ERROR_REVIEW_TAG;
			} 
  		}
  		 if($error_tag!="") 
		 	echo 'error'.$error_tag;
  		 else {    
			$reviews_text = $FREQUEST->postvalue('reviews_text');
			$products_id = $FREQUEST->postvalue('products_id');
			$review_date = tep_convert_date_raw($FREQUEST->postvalue('review_date','string',''));
            if($review_date=='') $review_date=$server_dates;
			$author = $FREQUEST->postvalue('author_name');
			$admin_review = $FREQUEST->postvalue('admin_review');
			$reviews_rating = $FREQUEST->postvalue('reviews_rating');
			$customers_id = 0;
		
			if($reviews_rating=='') $reviews_rating='0';
			$sql_data_array = array('products_id' => (int)$products_id,
                				  'customers_id' => (int)$customers_id,
								  'customers_name' => tep_db_prepare_input($author),
								  'last_modified' => tep_db_prepare_input($server_dates),
								  'reviews_read' => '0',
								  'reviews_rating' => tep_db_prepare_input($reviews_rating),
								  'admin_review' => tep_db_prepare_input($admin_review),
                                  'date_added'=>tep_db_prepare_input($review_date));
			if($insert){
    		    tep_db_perform(TABLE_REVIEWS,$sql_data_array);
			    $reviews_id=tep_db_insert_id();
			  	$sql_data_array = array('reviews_id' => (int)$reviews_id,
                                    	'languages_id' => '1',
                                    	'reviews_text' => tep_db_prepare_input($reviews_text));
				tep_db_perform(TABLE_REVIEWS_DESCRIPTION,$sql_data_array);
			}else {	
                tep_db_perform(TABLE_REVIEWS,$sql_data_array,'update','reviews_id = "' . (int)$reviews_id . '"');
        		//tep_db_query("update " . TABLE_REVIEWS . " set products_id = '" . (int)$products_id . "', customers_name = '" . tep_db_input(stripslashes($author))  . "', date_added = '" . $reviews_date  . "', admin_review = '" . tep_db_input($admin_review) . "', reviews_rating = '" . (int)$reviews_rating . "', last_modified ='". tep_db_input($server_dates) ."' where reviews_id = '" . (int)$reviews_id . "'");
       			tep_db_query("update " . TABLE_REVIEWS_DESCRIPTION . " set reviews_text = '" . tep_db_input(stripslashes($reviews_text)) . "' where reviews_id = '" . (int)$reviews_id . "'");
			}
  		 }
			$review_sql="select r.reviews_id,r.products_id,r.customers_name, date_format(r.date_added,'%Y-%m-%d') as date_added, date_format(r.last_modified,'%Y-%m-%d') as last_modified,r.reviews_rating,rd.reviews_text from " . TABLE_REVIEWS . " r,".TABLE_REVIEWS_DESCRIPTION." rd where r.reviews_id=rd.reviews_id and rd.languages_id='".(int)$FSESSION->languages_id."' and r.reviews_id='".(int)$reviews_id."'";
	 		$review_query = tep_db_query($review_sql);	
			$review_result = tep_db_fetch_array($review_query);	 
			$products_name=tep_get_products_name($review_result['products_id'],$FSESSION->languages_id);
			$author_name=$review_result['customers_name'];
			if($author_name=="")
				$author_name="Admin";
			$date_added=$review_result['date_added'];
			if($review_result['date_added']=='0000-00-00')
				$date_added="";
			if($insert) {
				$this->doItems();
			} else {
				$jsData->VARS["replace"]=array($this->type. $reviews_id . "name"=>tep_db_input($products_name),$this->type . $reviews_id . "author"=>tep_db_input($author_name),$this->type . $reviews_id . "date_added"=>$date_added);
				$jsData->VARS["prevAction"]=array('id'=>$reviews_id,'get'=>'Info','type'=>$this->type,'style'=>'boxRow');
				$this->doInfo($reviews_id);
				$jsData->VARS["updateMenu"]=",normal,";
			}
	   	}	
		function doInfo($reviews_id=0) {
			global $FREQUEST,$FSESSION,$jsData;
			if($reviews_id<=0) $reviews_id=$FREQUEST->getvalue('rID','int',0);
			$review_sql="select r.reviews_id,r.products_id,r.customers_name, date_format(r.date_added,'%Y-%m-%d') as date_added, date_format(r.last_modified,'%Y-%m-%d') as last_modified,r.reviews_rating,rd.reviews_text from " . TABLE_REVIEWS . " r,".TABLE_REVIEWS_DESCRIPTION." rd where r.reviews_id=rd.reviews_id and rd.languages_id='".(int)$FSESSION->languages_id."' and r.reviews_id='".(int)$reviews_id."'";
	 		$review_query = tep_db_query($review_sql);		 
			if(tep_db_num_rows($review_query)>0) {
				$review_result=tep_db_fetch_array($review_query);
				$template=getInfoTemplate($reviews_id);
				$review_rating=$review_result['reviews_rating'];
				$author_name=$review_result['customers_name'];
				if($author_name=="")
					$author_name="Admin";
				$date_added="";	
				if(format_date($review_result['date_added'])!='00-00-0000' && format_date($review_result['date_added'])!="")
					$date_added='<tr><td class="main"><b>'.TEXT_INFO_DATE_ADDED.'</b></td><td class="main">'.format_date($review_result['date_added']).'</td></tr>';
				$rep_array=array('DATE_ADDED'=>$date_added,
								'REVIEW'=>$review_result['reviews_text'],
								'ENT_LAST_MODIFIED'=>TEXT_INFO_LAST_MODIFIED,
								'LAST_MODIFIED'=>format_date($review_result['last_modified']),
								'ENT_AUTHOR'=>TEXT_INFO_REVIEW_AUTHOR,
								'AUTHOR'=>$author_name,
								'RATING'=>(($review_rating!=0)?('<tr><td class="main"><b>' . TEXT_INFO_REVIEW_RATING . '</b></td><td>' . tep_image('../' . DIR_WS_IMAGES . 'stars_' .$review_rating. '.gif') . '</td></tr>'):''),
								//'RATING'=>str_replace("\n","", $review_result['reviews_rating']),
								'type'=>$this->type,
								'ID'=>$review_result['reviews_id']
								);
								
			echo mergeTemplate($rep_array,$template);
			$jsData->VARS["updateMenu"]=",normal,";
			}
			else {
				echo 'Err:' . TEXT_NO_REVIEWS_FOUND;
			}			
			
		}	
		function doDelete(){
			global $FREQUEST,$jsData;
			$reviews_id=$FREQUEST->postvalue('reviews_id','int',0);
		
			if ($reviews_id>0){
				tep_db_query("delete from " . TABLE_REVIEWS . " where reviews_id = '" . (int)$reviews_id . "'");
				tep_db_query("delete from " . TABLE_REVIEWS_DESCRIPTION . " where reviews_id = '" . (int)$reviews_id . "'");
				$this->doItems();
				//$jsData->VARS["deleteRow"]=array("id"=>$special_id,"type"=>$this->type);
				$jsData->VARS["displayMessage"]=array('text'=>TEXT_REVIEW_DELETE_SUCCESS);
				//tep_reset_seo_cache('customer');
			} else {
				echo "Err:" . TEXT_REVIEWS_NOT_FOUND;
			}
			
		}
		function doDeleteReviews() {
			global $FREQUEST,$jsData;
			$reviews_id=$FREQUEST->getvalue('rID','int',0);

			$delete_message='<p><span class="smallText">' . TEXT_INFO_DELETE_REVIEW_INTRO . '</span>';
?>
			<form  name="<?php echo $this->type;?>DeleteSubmit" id="<?php echo $this->type;?>DeleteSubmit" action="products_reviews.php" method="post" enctype="application/x-www-form-urlencoded">
				<input type="hidden" name="reviews_id" value="<?php echo tep_output_string($reviews_id);?>"/>
				<table border="0" cellpadding="2" cellspacing="0" width="100%">
					<tr>
						<td class="main" id="<?php echo $this->type . $reviews_id;?>message">
						</td>
					</tr>
					<tr>
						<td class="main">
						<?php echo $delete_message;?>
						</td>
					</tr>
					<tr height="40">
						<td class="main" style="vertical-align:bottom">
							<a href="javascript:void(0);" onClick="javascript:return doUpdateAction({id:<?php echo $reviews_id;?>,type:'<?php echo $this->type;?>',get:'Delete',result:doTotalResult,message:page.template['PRD_DELETING'],'uptForm':'<?php echo $this->type;?>DeleteSubmit','imgUpdate':false,params:''})"><?php echo tep_image_button('button_delete.gif');?></a>&nbsp;
							<a href="javascript:void(0);" onClick="javascript:return doCancelAction({id:<?php echo $reviews_id;?>,type:'<?php echo $this->type;?>',get:'closeRow','style':'boxRow'})"><?php echo tep_image_button('button_cancel.gif');?></a>
						</td>
					</tr>
					<tr>
						<td><hr/></td>
					</tr>
					<tr>
						<td valign="top" class="categoryInfo"><?php echo $this->doInfo($reviews_id);?></td>
					</tr>
				</table>
			</form>
<?php
			$jsData->VARS["updateMenu"]="";
		}
}
function getListTemplate() {
	ob_start();
	getTemplateRowTop();	
?>
	<table cellpadding="2" cellspacing="0" width="100%" id="##TYPE####ID##">
		<tr>
			<td>
				<table cellpadding="2" cellspacing="0" width="100%" border="0" >
					<tr>
						<td width="1%" id="pdrv##ID##bullet">##STATUS##</td>
						<td width="35%" class="main" onClick="javascript:doDisplayAction({'id':'##ID##','get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});" id="##TYPE####ID##name">##NAME##</td>
						<td  class="main" align="left" width="35%" valign="top" onClick="javascript:doDisplayAction({'id':'##ID##','get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});" id="##TYPE####ID##author">##AUTHOR##</td> 
						<td class="main" align="left" onClick="javascript:doDisplayAction({'id':'##ID##','get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});" id="##TYPE####ID##date_added">##DATE_ADDED##</td> 
						<!--<td class="oldPrice" id="##TYPE####ID##old_price##" align="right">##OLD_PRICE##</td>
						<td class="specialPrice" id="##TYPE####ID##new_price##" align="left">##NEW_PRICE##</td>-->
						<td  width="10%" id="##TYPE####ID##menu" align="right" class="boxRowMenu">
							<span id="##TYPE####ID##mnormal" style="##FIRST_MENU_DISPLAY##">
							<a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':'##ID##','get':'Edit','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##','backupMenu':true});"><img src="##IMAGE_PATH##/template/edit_blue.gif" title="Edit"/></a>
							<img src="##IMAGE_PATH##/template/img_bar.gif"/>
							<a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':'##ID##','get':'DeleteReviews','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##'});"><img src="##IMAGE_PATH##/template/delete_blue.gif" title="Delete"/></a>
							<img src="##IMAGE_PATH##/template/img_bar.gif"/>
							</span>
							<span id="##TYPE####ID##mupdate" style="display:none">
							<a href="javascript:void(0)" onClick="javascript:return doUpdateAction({'id':##ID##,'get':'Update','imgUpdate':true,'type':'##TYPE##','style':'boxRow','validate':validateReview,'uptForm':'products_reviews','customUpdate':doItemUpdate,'result':##UPDATE_RESULT##,'message1':page.template['UPDATE_DATA'],'message':page.template['UPDATE_IMAGE']});"><img src="##IMAGE_PATH##/template/img_save_green.gif" title="Save"/></a>
							<img src="##IMAGE_PATH##/template/img_bar.gif"/>
							<a href="javascript:void(0)" onClick="javascript:return doCancelAction({'id':##ID##,'get':'Edit','type':'##TYPE##','style':'boxRow'});"><img src="##IMAGE_PATH##/template/img_close_blue.gif" title="Cancel"/></a>
							</span>
						</td>
						
					</tr>
				</table>
			</td>
		</tr>
	</table>
<?php		
	getTemplateRowBottom();
	$contents=ob_get_contents();
	ob_end_clean();
	return $contents;
}
function getInfoTemplate() {
	ob_start(); ?>
	<table cellpadding="4" cellspacing="0" width="100%">
		<tr>
			<td><table cellpadding="4" cellspacing="0" width="100%">
				<tr>
					<td width="30%" valign="top">
						<table cellpadding="4" cellspacing="0" width="100%">
							##DATE_ADDED##
							<tr>
								<td class="main" width="45%"><b>##ENT_LAST_MODIFIED##</b></td>
								<td class="main">##LAST_MODIFIED##</td>
							</tr>
							<tr>
								<Td class="main"  width="45%"><b>##ENT_AUTHOR##</b></Td>
								<td class="main">##AUTHOR##</td>
							</tr>
							##RATING##
						</table>
					</td>
					<td class="main" width="70%">
						<table cellpadding="3" cellspacing="0" width="100%">	
							<tr>
								<Td class="main" valign="top" align="left"><div style="overflow:auto; width:500px; height:100px;">##REVIEW##</div></Td>
							</tr>
						</table>						
					</td>
				</tr>	
			</table></td>
		</tr>
	</table>
<?php 		
	$contents=ob_get_contents();
	ob_end_clean();
	return $contents;
}
?>
