<?php
/*
    Freeway eCommerce
    http://www.openfreeway.org
    Copyright (c) 2007 ZacWare
    
    Released under the GNU General Public License
*/
defined('_FEXEC') or die();
class salesEventDiscounts
{
	var $pagination;
	var $splitResult;
	var $type;

	function salesEventDiscounts()
	{
	$this->pagination=false;
	$this->splitResult=false;
	$this->type='salevent';
	}
	function doItems($events_id=0){
		global $FREQUEST,$jsData;
		$template=getListTemplate();
		if($events_id==0) $events_id=$FREQUEST->getvalue('cID','int',0);
		$rep_array=array("TYPE"=>$this->type,
						"ID"=>-1,
						"CID"=>$events_id,
						"HEADING_ROW"=>'',
						"START_DATE"=>(($events_id>0)?HEADING_NEW_TITLE:''),
						"END_DATE"=>'',
						"DIS_VALUE"=>'',
						"DIS_TYPE"=>'',
						"IMAGE_PATH"=>DIR_WS_IMAGES,
						"STATUS"=>(($events_id>0)?tep_image(DIR_WS_IMAGES . 'template/plus_add2.gif'):''),
						"UPDATE_RESULT"=>'doTotalResult',
						"ROW_CLICK_GET"=>'Edit',
						"FIRST_MENU_DISPLAY"=>"display:none"
						);

	?>
	<div class="main" id="salevent-1message"></div>
	<table border="0" width="100%" height="100%" id="<?php echo $this->type;?>Table">
		<tr><td><?php 	echo mergeTemplate($rep_array,$template); ?></td></tr>
		<tr><td class="main">
			<?php 
				$events_array=tep_get_events_array_single();
				echo 'Select Event &nbsp; &nbsp;' . tep_draw_event_select_menu('select_id',$events_array,$events_id,'size=1 onChange="javascript:get_event_detail(this.value);" ');
			 ?>
		</td></tr>	
		<tr><td class="main"><?php echo tep_draw_separator('pixel_trans.gif', '5', '10'); ?></td></tr>
		<?php 
			$events_name="";
			if($events_id<=0) $events_name="Discount Prices of All Events";
			else if($events_id>0) $events_name="Discount Prices of " . tep_get_events_name($events_id); 
		?>
		<tr><td class="main"><b><?php echo $events_name; ?></b></td></tr>
		<tr><td class="main"><?php echo tep_draw_separator('pixel_trans.gif', '5', '10'); ?></td></tr>
		<tr><td>
			<table border="0" width="100%" cellpadding="0" cellspacing="0" height="100%">
				<tr class="dataTableHeadingRow">
					<td valign="top">
					<table border="0" cellpadding="0" cellspacing="0" width="100%">
						<tr>
							<td class="main" width="25%"><b><?php echo TEXT_DISCOUNT_SDATE;?></b></td>
							<td class="main" width="20%"><b><?php echo TEXT_DISCOUNT_EDATE;?></b></td>
							<td class="main" width="20%"><b><?php echo TEXT_DISCOUNT_VALUE;?></b></td>
							<td class="main" width="20%"><b><?php echo  TEXT_DISCOUNT_TYPE;?></b></td>
							<td width="20%"></td>
						</tr>
					</table>
					</td>
				</tr>
				<tr>
					<td><div align="center"><?php $this->doList($events_id);?></div></td>
				</tr>	
			</Table>
		</td></tr>
	</table>
	<?php if (is_object($this->splitResult)){?>
		<table border="0" width="100%" height="100%">
			<?php echo $this->splitResult->pgLinksCombo(); ?>
		</table>
	<?php }
	}
	function doList($events_id=0){
		global $FSESSION,$FREQUEST,$jsData;
		if($events_id<=0) $events_id=$FREQUEST->getvalue('cID','int',0);
		$page=$FREQUEST->getvalue('page','int',1);
		$query_split=false;
		if($events_id>0)
			$discount_query_raw = "SELECT * from " . TABLE_EVENTS_DISCOUNTS . "  where events_id='" . tep_db_input($events_id) ."'  order by discount_start_date";
		else	
			$discount_query_raw = "SELECT * from " . TABLE_EVENTS_DISCOUNTS . " order by discount_start_date";
		
		if ($this->pagination){
			$query_split=$this->splitResult = &instance::getSplitResult('CUSTOMER');
			$query_split->maxRows=MAX_DISPLAY_SEARCH_RESULTS;
			$query_split->parse($page,$discount_query_raw);
					if ($query_split->queryRows > 0){ 
						$query_split->pageLink="doPageAction({'id':" . $events_id . ",'type':'" . $this->type ."','pageNav':true,'closePrev':true,'get':'Items','result':doTotalResult,'params':'cID=" . $events_id . "&page='+##PAGE_NO##,'message':'" . sprintf(INFO_LOADING_DATA,'##PAGE_NO##') . "'})";
					}
		}
		$discount_query=tep_db_query($discount_query_raw);
		$found=false;
		if (tep_db_num_rows($discount_query)>0) $found=true;
		if($found)
		{
			$template=getListTemplate();
			$icnt=1;
			while($discount_result=tep_db_fetch_array($discount_query)){
					$rep_array=array(	"ID"=>$discount_result["discount_id"],
										"CID"=>$events_id,
										"TYPE"=>$this->type,
										"START_DATE"=>format_date($discount_result['discount_start_date']),
										"END_DATE"=>format_date($discount_result['discount_end_date']),
										"DIS_VALUE"=>$discount_result['discount_value'],
										"DIS_TYPE"=>(($discount_result['discount_type']=='A')?'$':'%'),
										"IMAGE_PATH"=>DIR_WS_IMAGES,
										"STATUS"=>'',
										"UPDATE_RESULT"=>'doDisplayResult',
										"ALTERNATE_ROW_STYLE"=>($icnt%2==0?"listItemOdd":"listItemEven"),
										"ROW_CLICK_GET"=>'Info',
										"FIRST_MENU_DISPLAY"=>""
									);
				echo mergeTemplate($rep_array,$template);
				$icnt++;
			}
		}
		else echo '<div align="center" class="main">' . TEXT_DISCOUNTS_NOT_FOUND . '</div>';

		if (!isset($jsData->VARS["Page"])){
			$jsData->VARS["NUclearType"][]=$this->type;
		} 
		return $found;			
	}
	function doInfo($discount_id=0) {
  	 global $FREQUEST;	
		if($discount_id <= 0) $discount_id=$FREQUEST->getvalue("rID","int",0);
		$events_id=$FREQUEST->getvalue("cID","int",0);
  		$discount_query = tep_db_query("SELECT * from " . TABLE_EVENTS_DISCOUNTS . " where discount_id='" . tep_db_input($discount_id) ."'  order by discount_start_date");
		if (tep_db_num_rows($discount_query)>0){
			$discount_result=tep_db_fetch_array($discount_query);
			$template=getInfoTemplate($discount_id);

			$rep_array=array("TYPE"=>$this->type,
							"ENT_START_DATE"=>TEXT_DISCOUNT_START_DATE,
							"START_DATE"=>format_date($discount_result['discount_start_date']),
							"ENT_VALUE"=>TEXT_HEADING_DISCOUNT_VALUE,
							"DIS_VALUE"=>$discount_result['discount_value'],
							"ENT_END_DATE"=>TEXT_DISCOUNT_END_DATE,
							"END_DATE"=>format_date($discount_result['discount_end_date']),
							"ENT_TYPE"=>TEXT_HEADING_DISCOUNT_TYPE,
							"DIS_TYPE"=>(($discount_result['discount_type']=='A')?'$':'%'),	
							"ID"=>$discount_result["discount_id"],
							"CID"=>$discount_result['events_id']
							);
				
			echo mergeTemplate($rep_array,$template);
			$jsData->VARS["updateMenu"]=",normal,";
		}
		else {
			echo 'Err:' . TEXT_DISCOUNTS_NOT_FOUND;
		}
	}
	function doEdit() {
		global $FREQUEST,$jsData;
		$discount_id=$FREQUEST->getvalue("rID","int",0);
		$events_id=$FREQUEST->getvalue("cID","int",0);
		$discount_query = tep_db_query("SELECT * from " . TABLE_EVENTS_DISCOUNTS . " where discount_id='" . tep_db_input($discount_id) ."'  order by discount_start_date");
		$discount_result=tep_db_fetch_array($discount_query);
		 echo tep_draw_form('event_discount','sales_events_discounts.php', ' ' ,'post','id="event_discount"'); 
			echo tep_draw_hidden_field('eve_discount_id',$discount_result['discount_id']);	
			echo tep_draw_hidden_field('event_id',$events_id);	
		 ?>
			<table border="0" cellspacing="2" cellpadding="4" width="100%" align="left">
			  
			  <tr><?php $_array=array('d','m','Y');  $replace_array=array('DD','MM','YYYY'); 	$date_format=str_replace($_array,$replace_array,EVENTS_DATE_FORMAT);?>
						<td width="15%"></td>
						<td class="main" width=100><?php echo TEXT_DISCOUNT_SDATE; ?><br><small><?php echo $date_format;?></small></td>
						<td class="main"><?php echo tep_draw_input_field("discount_start_date",format_date($discount_result['discount_start_date']),"size=10",false,'text',false);?>
						<a href="javascript:show_calendar('event_discount.discount_start_date',null,null,'<?php echo $date_format;?>');"
						  onmouseover="window.status='Date Picker';return true;"
						  onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/>  
					    </a></td>
							<td class="main" width=100><?php echo TEXT_DISCOUNT_EDATE; ?><br><small><?php echo $date_format;?></small></td>
							<td class="main"><?php echo tep_draw_input_field("discount_end_date",format_date($discount_result['discount_end_date']),"size=10",false,'text',false);?>
						<a href="javascript:show_calendar('event_discount.discount_end_date',null,null,'<?php echo $date_format;?>');"
						  onmouseover="window.status='Date Picker';return true;"
						  onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/>  
						</a>	
						</td>
						</tr>
						<tr>
						    <td width="15%"></td>
							<td class="main" width=100><?php echo TEXT_DISCOUNT_VALUE; ?></td>
							<td class="main"><?php echo tep_draw_input_field('discount_value',$discount_result['discount_value'],'size=10 maxlength=10'); ?></td>
							<td class="main" valign=center><?php echo TEXT_DISCOUNT_TYPE; ?></td>
							<td class="main" valign=center>
							<?php 
								echo tep_draw_radio_field('discount_type','A',($discount_result['discount_type']=='A'?true:false)) . '&nbsp;' . TEXT_TYPE_AMOUNT . '&nbsp;';
								echo tep_draw_radio_field('discount_type','P',($discount_result['discount_type']=='P'?true:false)) . '&nbsp;' . TEXT_TYPE_PERCENTAGE . '&nbsp;';
							?>
							</td>
						</tr>
						<tr><td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td></tr>
				 
					</table>
				</td>
			</tr>
			<tr><td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td></tr>		
 		 </table>      
		<?php
		echo '</form>';
		$jsData->VARS["updateMenu"]=",update,";
		$display_mode_html=' style="display:none"';
	}	
	function doUpdate() {
		global $FREQUEST,$jsData;
		$discount_id=$FREQUEST->postvalue("eve_discount_id","int",-1);
		$events_id=$FREQUEST->postvalue('event_id','int',0);
		$discount_value='';
		$dis_arr=array();
		
		$insert=true;
		if ($discount_id>0) $insert=false;
											
		$start_date = (getServerDate() < tep_convert_date_raw($FREQUEST->postvalue('discount_start_date'))) ? tep_convert_date_raw($FREQUEST->postvalue('discount_start_date')) : getServerDate(); 
		$end_date=(getServerDate() < tep_convert_date_raw($FREQUEST->postvalue('discount_end_date'))) ? tep_convert_date_raw($FREQUEST->postvalue('discount_end_date')) : getServerDate(); 

		$sql_array=array('discount_start_date'=>$start_date,
						'discount_end_date'=>$end_date,
						'discount_value'=>$FREQUEST->postvalue('discount_value'),
						'discount_type'=>$FREQUEST->postvalue('discount_type')
						);
		 $dis_arr=explode('.',$FREQUEST->postvalue('discount_value'));
		 if($dis_arr[1]==''){
		 $discount_value=$dis_arr[0].'.00 ';
		 } else{
		 $discount_value=number_format($FREQUEST->postvalue('discount_value'),2,'.','');
		 }	
		if ($insert){
			$sql_array['events_id']=$events_id;
			tep_db_perform(TABLE_EVENTS_DISCOUNTS,$sql_array);
			$discount_id=tep_db_insert_id();
		} else {
			tep_db_perform(TABLE_EVENTS_DISCOUNTS, $sql_array, 'update', "discount_id = '" .$discount_id . "'");
		}
		if ($insert) {
			$this->doItems($events_id);
		} else {
  			$discount_query = tep_db_query("SELECT * from " . TABLE_EVENTS_DISCOUNTS . " where discount_id='" . tep_db_input($discount_id) ."'");
			$discount_result = tep_db_fetch_array($discount_query);
			$jsData->VARS["replace"]=array($this->type. $discount_id . "sdate"=>format_date($start_date),$this->type . $discount_id . "edate"=>format_date($end_date),$this->type . $discount_id . "value"=>$discount_value,$this->type . $discount_id . "distype"=>(($FREQUEST->postvalue('discount_type')=='A')?'$':'%'));
			$jsData->VARS["prevAction"]=array('id'=>$discount_id,'get'=>'Info','type'=>$this->type,'style'=>'boxRow');
			$this->doInfo($discount_id);
			$jsData->VARS["updateMenu"]=",normal,";
		}
	}
	function doDelete(){
		global $FREQUEST,$jsData;
		$discount_id=$FREQUEST->postvalue('discount_id','int',0);
		$events_id=$FREQUEST->postvalue('eID','int',0);
		if ($discount_id>0){
	    tep_db_query("DELETE from " . TABLE_EVENTS_DISCOUNTS . " where  discount_id='" . tep_db_input($discount_id) . "'");
			
			$this->doItems($events_id);
			$jsData->VARS["displayMessage"]=array('text'=>TEXT_DISCOUNT_DELETE_SUCCESS);
			tep_reset_seo_cache('customers');
		} else {
			echo "Err:" . TEXT_CUSTOMER_GROUPS_NOT_DELETED;
		}
		
	}
		
		function doDeleteDiscount(){
			global $FREQUEST,$jsData;
			$discount_id=$FREQUEST->getvalue('rID','int',0);
			$events_id=$FREQUEST->getvalue('cID','int',0);

			$delete_message='<p><span class="smallText">' . TEXT_INFO_DELETE_INTRO . '</span>';
?>
			<form  name="<?php echo $this->type;?>DeleteSubmit" id="<?php echo $this->type;?>DeleteSubmit" action="sales_events_discounts.php" method="post" enctype="application/x-www-form-urlencoded">
				<input type="hidden" name="discount_id" value="<?php echo tep_output_string($discount_id);?>"/>
				<input type="hidden" name="eID" value="<?php echo tep_output_string($events_id); ?>" />
				<table border="0" cellpadding="2" cellspacing="0" width="100%">
					<tr>
						<td class="main" id="<?php echo $this->type . $discount_id;?>message">
						</td>
					</tr>
					<tr>
						<td class="main">
						<?php echo $delete_message;?>
						</td>
					</tr>
					<tr height="40">
						<td class="main" style="vertical-align:bottom">
							<p>
							<a href="javascript:void(0);" onClick="javascript:return doUpdateAction({id:<?php echo $discount_id;?>,type:'<?php echo $this->type;?>',get:'Delete',result:doTotalResult,message:page.template['PRD_DELETING'],'uptForm':'<?php echo $this->type;?>DeleteSubmit','imgUpdate':false,params:'cID=<?php echo $events_id; ?>'})"><?php echo tep_image_button('button_delete.gif');?></a>&nbsp;
							<a href="javascript:void(0);" onClick="javascript:return doCancelAction({id:<?php echo $discount_id;?>,type:'<?php echo $this->type;?>',get:'closeRow','style':'boxRow'})"><?php echo tep_image_button('button_cancel.gif');?></a>
						</td>
					</tr>
					<tr>
						<td><hr/></td>
					</tr>
					<tr>
						<td valign="top" class="categoryInfo"><?php echo $this->doInfo($discount_id);?></td>
					</tr>
				</table>
			</form>
<?php
			$jsData->VARS["updateMenu"]="";
		}
}
function getListTemplate(){
	ob_start();
	getTemplateRowTop();
?>
	<table border="0" cellpadding="0" cellspacing="0" width="100%" id="##TYPE####ID##">
		<tr>
			<td>
			<table border="0" cellpadding="0" cellspacing="0" width="100%">
				<tr>
					<td width="2%" id="salevent##ID##bullet">##STATUS##</td>
					<td width="23%" class="main" onClick="javascript:doDisplayAction({'id':'##ID##','get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##&cID=##CID##'});" id="##TYPE####ID##sdate">##START_DATE##</td>
					<td width="20%" class="main" onClick="javascript:doDisplayAction({'id':'##ID##','get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##&cID=##CID##'});" id="##TYPE####ID##edate">##END_DATE##</td>
					<td width="20%" class="main" onClick="javascript:doDisplayAction({'id':'##ID##','get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##&cID=##CID##'});" id="##TYPE####ID##value">##DIS_VALUE##</td>
					<td width="20%" class="main" onClick="javascript:doDisplayAction({'id':'##ID##','get':'##ROW_CLICK_GET##','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##&cID=##CID##'});" id="##TYPE####ID##distype">##DIS_TYPE##</td>
					<td id="##TYPE####ID##menu" align="right" class="boxRowMenu">
						<span id="##TYPE####ID##mnormal" style="##FIRST_MENU_DISPLAY##">
						<a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':'##ID##','get':'Edit','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##&cID=##CID##'});"><img src="##IMAGE_PATH##/template/edit_blue.gif" title="Edit"/></a>
						<img src="##IMAGE_PATH##/template/img_bar.gif"/>
						<a href="javascript:void(0)" onClick="javascript:return doDisplayAction({'id':'##ID##','get':'DeleteDiscount','result':doDisplayResult,'style':'boxRow','type':'##TYPE##','params':'rID=##ID##&cID=##CID##'});"><img src="##IMAGE_PATH##/template/delete_blue.gif" title="Delete"/></a>
						<img src="##IMAGE_PATH##/template/img_bar.gif"/>
						</span>
						<span id="##TYPE####ID##mupdate" style="display:none">
						<a href="javascript:void(0)" onClick="javascript:return doUpdateAction({'id':##ID##,'get':'Update','imgUpdate':true,'type':'##TYPE##','style':'boxRow','validate':check_form,'uptForm':'event_discount','customUpdate':doItemUpdate,'result':##UPDATE_RESULT##,'message1':page.template['UPDATE_DATA'],'message':page.template['UPDATE_IMAGE']});"><img src="##IMAGE_PATH##/template/img_save_green.gif" title="Save"/></a>
						<img src="##IMAGE_PATH##/template/img_bar.gif"/>
						<a href="javascript:void(0)" onClick="javascript:return doCancelAction({'id':##ID##,'get':'Edit','type':'##TYPE##','style':'boxRow'});"><img src="##IMAGE_PATH##/template/img_close_blue.gif" title="Cancel"/></a>
						</span>
					</td>
				</tr>
			</table>
			</td>
		</tr>
	</table>
<?php
	getTemplateRowBottom();
	$contents=ob_get_contents();
	ob_end_clean();
	return $contents;
}
	function getInfoTemplate(){
		ob_start();
?>
		<table border="0" cellpadding="4" cellspacing="0" width="100%">
			<div class="hLineGray"></div>
			<tr>
				<td style="padding-left:50px;" valign="top">
					<table cellpadding="2" cellspacing="0" width="100%">
						<tr>
							<td valign="top" width="50%">
								<table cellpadding="2" cellspacing="0" width="100%" border="0">
									<tr>
										<td class="main" align="left" width="40%"><b>##ENT_START_DATE##</b></td>
										<Td class="main" align="left">##START_DATE##</Td>
									</tr>
									<tr>
										<td class="main" align="left" width="40%"><b>##ENT_VALUE##</b></td>
										<Td class="main" align="left">##DIS_VALUE##</Td>
									</tr>
								</table>
							</td>
							<td valign="top" width="50%">
								<table cellpadding="2" cellspacing="0" width="100%" border="0">
									<tr>
										<td class="main" align="left" width="40%"><b>##ENT_END_DATE##</b></td>
										<Td class="main" align="left">##END_DATE##</Td>
									</tr>
									<tr>
										<td class="main" align="left" width="40%"><b>##ENT_TYPE##</b></td>
										<Td class="main" align="left">##DIS_TYPE##</Td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
<?php
		$contents=ob_get_contents();
		ob_end_clean();
		return $contents;
	}
?>