function doCopyAction(action){
	page.locked=false;
	if (action.extraFunc) action.extraFunc();
	closeRow(action.id,action.type,"Hover");
	updateMenu(action,(action.id==-1?"":",normal,"));
	page.lastAction=false;
	delete page.opened[action.type];
}


function discountValidate(){
		var form=document.forms["customer_groups"];
		var lastError='';
		var element='';
		var element1='',element2='',element3='';

			element1 = document.getElementById('discount_value');
			if(element1.value=='' || str_trim(element1.value)=='')
			lastError+="* "+page.template["ERROR_DISCOUNT_VALUE"]+"\n";


			element2 = document.getElementById('discount_start_date');
			if(element2.value=='' || str_trim(element2.value)=='')
			lastError+="* "+page.template["ERROR_DISCOUNT_START_DATE"]+"\n";
			
			element3 = document.getElementById('discount_end_date');
			if(element3.value=='' || str_trim(element3.value)=='')
			lastError+="* "+page.template["ERROR_DISCOUNT_END_DATE"]+"\n";
			
			if((element2.value!='') && (element3.value!='')){
				var st_date=element2.value.split("-");
				var end_date=element3.value.split("-");
				for(dt=2; dt>=0; dt--){
					if(st_date[dt]>end_date[dt]){
						if(dt_boolean!=false){
							lastError+="* "+page.template["ERROR_DISCOUNT_DATES_MISMATCH"]+"\n";
							break;
						}
					} else if(st_date[dt]==end_date[dt]){
						if(st_date[dt-1]>end_date[dt-1]){
							lastError+="* "+page.template["ERROR_DISCOUNT_DATES_MISMATCH"]+"\n";
							break;
						} else if(st_date[dt-1]==end_date[dt-1]){
							if(st_date[dt-2]>end_date[dt-2]){
							lastError+="* "+page.template["ERROR_DISCOUNT_DATES_MISMATCH"]+"\n";
							break;
							}
						} else{
							break;
						}
					} else{
						break;	
					}
				}
			}
			
			if (isNaN(document.getElementById("discount_value").value)) 
			lastError+="* "+page.template["ERROR_NUMERIC_VALUE"]+"\n";
			
			if (lastError!=''){
			alert(lastError);
			return false;
		}
		return true;
	}

	function doDiscountPageAction(action){
		var discount_selected='';
		if (page.locked || (action.get!='Search' && page.searchMode)) return;
		if (action.closePrev && !closePreviousOpened(action)) return;
		checkMessageDisplay(action);
		if(page.discount_mode!=''){
			discount_selected='&service_selected='+page.discount_mode;
		} else{
			discount_selected='';
		}
		page.lastAction=action;
		if(action.typename)
			do_get_command(page.link+'?AJX_CMD='+action.get+'&'+discount_selected+'&'+action.params+'&typename='+action.typename);
		else
			do_get_command(page.link+'?AJX_CMD='+action.get+'&'+action.params+'&'+discount_selected);
		
	}
	var mode_of_discount='';
	function doServiceDisplay(action){
		var data='';

		if(action.extraParams!=-1){
		data+="&service_selected="+action.extraParams+"&";
		page.discount_mode=action.extraParams;
		} else{
		data+="&service_selected=All&";
		page.discount_mode="All";
		}

		command=page.link+"?AJX_CMD=Items"+data+"&RQ=A&" + new Date().getTime();
		page.lastAction=action;
		
		xmlHttp.open("GET", command, true);
		xmlHttp.setRequestHeader("Method", "GET "+command+" HTTP/1.1");
		xmlHttp.setRequestHeader("Content-Type", "application/x-www-form-urlencoded;");
		xmlHttp.onreadystatechange = handleServerResponse;
		xmlHttp.send(data);
	//	}
	}

	function doServiceResults(result,action){
		var result_splt=result.split("@sep@");
		var element=document.getElementById("cugtotalContentResult");
		
		element.innerHTML=result_splt[0];
		page.opened[action.type]=action;
		if (result_splt[1] && result_splt[1]!='') doJASON(result_splt[1],page.lastAction);
		page.lastAction=false;
		changeBoxStyle(action,'Select');
		
	}
	
	function doDeleteAction(action){
		if (page.lastAction && page.lastAction!=action) return;
		if (!action.imgProcessed){
			if (action.validate && !action.validate()) return;
			page.lastAction=action;
			if (action.imgUpdate) {
				if (attachFileInputs(action.uptForm)){
					page.lastAction.display=page.template["UPDATE_IMAGE"];
					checkMessageDisplay(action);
					AIM.submit(document.getElementById("fileUpload"), {'onComplete' : doImageResult});
					document.getElementById("fileUpload").submit();
					return;
				}
			}
		}
		page.lastAction.message=page.lastAction.message1;
		checkMessageDisplay(action);
		if(document.getElementById('selected_service').value!='')
			extra_option='&service_selected='+document.getElementById('selected_service').value;
		do_post_command(action.uptForm,page.link+'?AJX_CMD='+action.get+extra_option);
	}
	
	function doItemUpdate(){
		var data='';
		var st_time='',end_time='';
		var dyn_start_time=document.getElementById('discount_start_time_h').value;		
		var dyn_end_time=document.getElementById('discount_end_time_h').value;
		if(document.getElementById('discount_start_time_d').value=='PM'){
		dyn_start_time=parseInt(dyn_start_time)+12;
		} 
		if(document.getElementById('discount_end_time_d').value=='PM'){
		dyn_end_time=parseInt(dyn_end_time)+12;
		}
		st_time=dyn_start_time+':'+document.getElementById('discount_start_time_m').value+':00';
		end_time=dyn_end_time+':'+document.getElementById('discount_end_time_m').value+':00';
		var form=document.forms["customer_groups"];
		data+="discount_id="+form["discount_id"].value+"&";
		data+="discount_type="+form["discount_type"].value+"&";
		data+="discount_value="+form["discount_value"].value+"&";
		data+="discount_start_date="+form["discount_start_date"].value+"&";
		data+="discount_end_date="+form["discount_end_date"].value+"&";
		data+="service_id="+form["service_id"].value+"&";
		data+="discount_start_time="+st_time+"&";
		data+="discount_end_time="+end_time+"&";
		data+="discount_mode="+form["discount_mode"].value+"&";
		if(document.getElementById('selected_service').value!=''){
		data+="selected_service="+document.getElementById('selected_service').value+"&";			
		}

		if(page.discount_mode!=''){
			discount_selected='&service_selected='+page.discount_mode;
		} else{
			discount_selected='';
		}
		
		command=page.link+"?AJX_CMD=Update&RQ=A&" + new Date().getTime();
		
		xmlHttp.open("POST", command, true);
		xmlHttp.setRequestHeader("Method", "POST "+command+" HTTP/1.1");
		xmlHttp.setRequestHeader("Content-Type", "application/x-www-form-urlencoded;");
		xmlHttp.onreadystatechange = handleServerResponse;
		xmlHttp.send(data);
	}
	function doSearchGroup(mode){
		if (mode=="reset"){
			document.getElementById("groupSearch").value='';
			page.searchMode=false;
			doPageAction({'id':-1,'type':'cug','get':'Items','result':doTotalResult,'message':page.template["INFO_LOADING_DATA"]});
		} else {
			var value=strTrim(document.getElementById("groupSearch").value);
			if (value=='') return;
			doPageAction({'id':-1,'type':'cug','get':'SearchGroup','result':doTotalResult,params:'search='+value,'message':page.template["INFO_SEARCHING_DATA"]});
			page.searchMode=true;
		}
	}
	function doDiscountResult(result,action){
		var result_splt=result.split("@sep@");
		var element=document.getElementById("cugtotalContentResult");
		element.innerHTML=result_splt[0];
		page.opened[action.type]=action;
		changeBoxStyle(action,'Select');
	}