<?php 
/*
    Freeway eCommerce
    http://www.openfreeway.org
    Copyright (c) 2007 ZacWare
    
    Released under the GNU General Public License
*/
define('_FEXEC',1);
require('includes/application_top.php');
require(DIR_WS_INCLUDES.'/tweak/general.php');
frequire('split_page_results_event.php',RCLA);
frequire($FSESSION->language .'/mail.php',RLANG);
frequire('events_tree.php',RFUNC);
frequire($FSESSION->language.'/marketing_events_messages.php',RLANG);
$MARKETING_SERVICES_MESSAGES=&instance::getTweakObject('display.marketingEventsMessages');
$MARKETING_SERVICES_MESSAGES->pagination=true;
$message_service=array();
$message_service=array(array('id'=>'RCF','text'=>TEXT_TYPE_RCF,'mode'=>1),
					array('id'=>'WCF','text'=>TEXT_TYPE_WCF,'mode'=>1),
					array('id'=>'RNR','text'=>TEXT_TYPE_RNR,'mode'=>1),
					array('id'=>'FDB','text'=>TEXT_TYPE_FDB,'mode'=>1),
					array('id'=>'WPR','text'=>TEXT_TYPE_WPR,'mode'=>1),
					array('id'=>'WPL','text'=>TEXT_TYPE_WPL,'mode'=>1),
					array('id'=>'WTR','text'=>TEXT_TYPE_WTR,'mode'=>1),
					array('id'=>'INV','text'=>TEXT_TYPE_INV,'mode'=>4),
					array('id'=>'MEV','text'=>TEXT_TYPE_MEV,'mode'=>2),
					array('id'=>'MEW','text'=>TEXT_TYPE_MEW,'mode'=>2)
					);
$message_type_array=array();
$message_type_array['RCF']=array(array('id'=>'AFR','text'=>TEXT_AFR),
								array('id'=>'DFR','text'=>TEXT_DFR));
$message_type_array['WCF']=array(array('id'=>'AFR','text'=>TEXT_AFR),
								array('id'=>'DFR','text'=>TEXT_DFR));
$message_type_array['RNR']=array(array('id'=>'FLS','text'=>TEXT_FLS),
								array('id'=>'SLS','text'=>TEXT_SLS),
								array('id'=>'DLS','text'=>TEXT_DLS),
								array('id'=>'OBS','text'=>TEXT_OBS),
								array('id'=>'TBS','text'=>TEXT_TBS)
								);
$message_type_array['FDB']=array(array('id'=>'FLS','text'=>TEXT_FLS),
								array('id'=>'SLS','text'=>TEXT_SLS),
								array('id'=>'DLS','text'=>TEXT_DLS),
								array('id'=>'OBS','text'=>TEXT_OBS),
								array('id'=>'TBS','text'=>TEXT_TBS),
								array('id'=>'DFS','text'=>TEXT_DFS),
								array('id'=>'OLS','text'=>TEXT_OLS),
								array('id'=>'TLS','text'=>TEXT_TLS)
								);
$message_type_array['WPR']=array(array('id'=>'RPR','text'=>TEXT_RPR));
$message_type_array['WPL']=array(array('id'=>'WPR','text'=>TEXT_WPR));
$message_type_array['WTR']=array(array('id'=>'WTR','text'=>TEXT_WTR));
$fields_type['RCF']='P_O_E';
$fields_type['WCF']='P_O_E';
$fields_type['RNR']='P_E';
$fields_type['FDB']='P_E';
$fields_type['WPR']='P_E';
$fields_type['WPL']='P_E';
$fields_type['WTR']='P_E';
$fields_type['MEV']='P_E';
$fields_type['MEW']='P_E';
$fields_type['INV']='E_V';
$fields_type['MIV']='I';
$mes_array=array('message_id'=>'',
				 'message_type'=>'',
			     'message_send'=>'',
				 'message_subject'=>'',
			     'message_reply_to'=>STORE_OWNER_EMAIL_ADDRESS,
			     'message_text'=>'',
			     'message_format'=>''
				 );
$format_array=array(array('id'=>'T','text'=>TEXT_FORMAT_TEXT),
				 array('id'=>'H','text'=>TEXT_FORMAT_HTML),
				 array('id'=>'B','text'=>TEXT_FORMAT_BOTH)
				 );
$message_send_array=array();				 
$message_send_array=array(array('id'=>'AFR','text'=>TEXT_AFR),
				 array('id'=>'DFR','text'=>TEXT_DFR)
				 );
$fields_details['P']=array(array('id'=>'TITLE_P','text'=>TEXT_TITLE_P),
	array('id'=>'FN','text'=>'&nbsp;&nbsp;' . TEXT_FN),
	array('id'=>'LN','text'=>'&nbsp;&nbsp;' . TEXT_LN),
	array('id'=>'DF','text'=>'&nbsp;&nbsp;' . TEXT_DF),
	array('id'=>'EM','text'=>'&nbsp;&nbsp;' . TEXT_EM),
	array('id'=>'TN','text'=>'&nbsp;&nbsp;' . TEXT_TN),
	array('id'=>'FX','text'=>'&nbsp;&nbsp;' . TEXT_FX),
	array('id'=>'SA','text'=>'&nbsp;&nbsp;' . TEXT_SA),
	array('id'=>'CT','text'=>'&nbsp;&nbsp;' . TEXT_CT),
	array('id'=>'SU','text'=>'&nbsp;&nbsp;' . TEXT_SU),
	array('id'=>'ST','text'=>'&nbsp;&nbsp;' . TEXT_ST),
	array('id'=>'PC','text'=>'&nbsp;&nbsp;' . TEXT_PC),
	array('id'=>'CY','text'=>'&nbsp;&nbsp;' . TEXT_CY),
	array('id'=>'IV','text'=>'&nbsp;&nbsp;' . TEXT_IV),
	array('id'=>'RE','text'=>'&nbsp;&nbsp;' . TEXT_RE),
	array('id'=>'UN','text'=>'&nbsp;&nbsp;' . TEXT_UN)
	);
$fields_details['O']=array(array('id'=>'TITLE_P','text'=>TEXT_TITLE_O),
					array('id'=>'ON','text'=>'&nbsp;&nbsp;' . TEXT_ON),
					array('id'=>'OC','text'=>'&nbsp;&nbsp;' . TEXT_OC),
					array('id'=>'OD','text'=>'&nbsp;&nbsp;' . TEXT_OD),
					array('id'=>'BT','text'=>'&nbsp;&nbsp;' . TEXT_BT),
					array('id'=>'BA','text'=>'&nbsp;&nbsp;' . TEXT_BA),
					array('id'=>'PY','text'=>'&nbsp;&nbsp;' . TEXT_PY),
					array('id'=>'DD','text'=>'&nbsp;&nbsp;' . TEXT_DD),
					array('id'=>'SB','text'=>'&nbsp;&nbsp;' . TEXT_SB),
					array('id'=>'TX','text'=>'&nbsp;&nbsp;' . TEXT_TX),
					array('id'=>'TL','text'=>'&nbsp;&nbsp;' . TEXT_TL),
					array('id'=>'IL','text'=>'&nbsp;&nbsp;' . TEXT_IL),
					array('id'=>'PF','text'=>'&nbsp;&nbsp;' . TEXT_PDF)
					);
$fields_details['E']=array(array('id'=>'TITLE_P','text'=>TEXT_TITLE_E),
					array('id'=>'EN','text'=>'&nbsp;&nbsp;' . TEXT_EN),
					array('id'=>'SI','text'=>'&nbsp;&nbsp;' . TEXT_SI),
					array('id'=>'EI','text'=>'&nbsp;&nbsp;' . TEXT_EI),
					array('id'=>'EF','text'=>'&nbsp;&nbsp;' . TEXT_EF),
					array('id'=>'EL','text'=>'&nbsp;&nbsp;' . TEXT_EL),
					array('id'=>'IN','text'=>'&nbsp;&nbsp;' . TEXT_IN),
					array('id'=>'SD','text'=>'&nbsp;&nbsp;' . TEXT_SD),
					array('id'=>'SS','text'=>'&nbsp;&nbsp;' . TEXT_SS),
					array('id'=>'SSM','text'=>'&nbsp;&nbsp;' . TEXT_SSM),
					array('id'=>'RL','text'=>'&nbsp;&nbsp;' . TEXT_RL),
					array('id'=>'RM','text'=>'&nbsp;&nbsp;' . TEXT_RM),
					array('id'=>'RV','text'=>'&nbsp;&nbsp;' . TEXT_RV),
					array('id'=>'WV','text'=>'&nbsp;&nbsp;' . TEXT_WV),
					array('id'=>'FV','text'=>'&nbsp;&nbsp;' . TEXT_FV), 
					array('id'=>'MA','text'=>'&nbsp;&nbsp;' . TEXT_MA),
					array('id'=>'BC','text'=>'&nbsp;&nbsp;' . TEXT_BARCODE) 
					);
$fields_details['V']=array(array('id'=>'TITLE_V','text'=>TEXT_TITLE_V),
					array('id'=>'CF','text'=>'&nbsp;&nbsp;' . TEXT_CF),
					array('id'=>'CL','text'=>'&nbsp;&nbsp;' . TEXT_CL),
					array('id'=>'FE','text'=>'&nbsp;&nbsp;' . TEXT_FE),
					array('id'=>'IC','text'=>'&nbsp;&nbsp;' . TEXT_IC),
					array('id'=>'IF','text'=>'&nbsp;&nbsp;' . TEXT_IF));
$fields_details['I']=array(array('id'=>'TITLE_I','text'=>TEXT_TITLE_I),
					array('id'=>'FN','text'=>'&nbsp;&nbsp;' . TEXT_FN),
					array('id'=>'LN','text'=>'&nbsp;&nbsp;' . TEXT_LN),
					array('id'=>'NO','text'=>'&nbsp;&nbsp;' . TEXT_NO),
					array('id'=>'OP','text'=>'&nbsp;&nbsp;' . TEXT_OP),
					array('id'=>'OL','text'=>'&nbsp;&nbsp;' . TEXT_OL),
					array('id'=>'OL','text'=>'&nbsp;&nbsp;' . TEXT_OM),
					array('id'=>'PO','text'=>'&nbsp;&nbsp;' . TEXT_PO),
					array('id'=>'PM','text'=>'&nbsp;&nbsp;' . TEXT_PM),
					array('id'=>'DT','text'=>'&nbsp;&nbsp;' . PAYMT_DT),
					array('id'=>'BA','text'=>'&nbsp;&nbsp;' . ORDR_BA),
					array('id'=>'SA','text'=>'&nbsp;&nbsp;' . ORDR_SA),
					array('id'=>'SM','text'=>'&nbsp;&nbsp;' . TEXT_SM),
					array('id'=>'AD','text'=>'&nbsp;&nbsp;' . STORE_AD)
					);
checkAJAX('MARKETING_SERVICES_MESSAGES');	 
$FSESSION->set("AJX_ENCRYPT_KEY",rand(1,10));
$jsData->VARS["page"]=array('lastAction'=>false,'editorLoaded'=>false,'NUeditorControls'=>array(),'opened'=>array(),'locked'=>false,'NUlanguages'=>$LANGUAGES,'imgPath'=>DIR_WS_IMAGES,"menu"=>array(),'link'=>tep_href_link(FILENAME_MARKETING_EVENTS_MESSAGES),'searchMode'=>false,'AJX_KEY'=>$FSESSION->AJX_ENCRYPT_KEY,'crypted'=>$ENCRYPTED,'alterRows'=>true,'extraParams'=>array());
$jsData->VARS["page"]["template"]=array("ERROR_MESSAGE_TEXT"=>ERROR_MESSAGE_TEXT,
										"ERROR_MESSAGE_FORMAT"=>ERROR_MESSAGE_FORMAT,
										"ERROR_MESSAGE_REPLY_TO"=>ERROR_MESSAGE_REPLY_TO,
										"ERR_INVALID_REPLY_TO"=>ERR_INVALID_REPLY_TO,
										"ERROR_MESSAGE_SUBJECT"=>ERROR_MESSAGE_SUBJECT,
										"ERROR_EMAIL_FROM"=>ERROR_EMAIL_FROM,
										"ERR_SELECT_MESSAGE"=>ERR_SELECT_MESSAGE,
										"ERR_SELECT_EVENT"=>ERR_SELECT_EVENT,
										"ERR_NO_MESSAGES"=>ERR_NO_MESSAGES
										);
$jsData->VARS["page"]["NUmenuGroups"]=array("normal","update");
tep_get_last_access_file();
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/tweak/js/marketing_events_messages.js"></script>
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script language="javascript" src="includes/http.js"></script>
<?php
require(DIR_WS_INCLUDES . 'tweak/' . HTML_EDITOR . '.php');
textEditorLoadJS();
?>
<script type="text/javascript" src="includes/aim.js"></script>
<script type="text/javascript" src="includes/tweak/js/ajax.js"></script>
</head>
<body marginwidth="0"  marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onLoad="javascript:pageLoaded();">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
<!-- body_text //-->
	<tr height="20" id="messageBoard" style="display:none">
		<td id="messageBoardText"></td>
	</tr>
	<tr>
		<td class="main" id="cug-1message"></td>
	</tr>
	<tr>
		<td>
			<table border="0" width="100%" cellspacing="0" cellpadding="0">
				<tr>
					<td class="main">
					<?php
					$service_array=$MARKETING_SERVICES_MESSAGES->tep_get_service_array_single();	
					
					?>
					<?php echo tep_draw_form('select_services',FILENAME_EVENTS_MESSAGES); 
//						  $selected_name=$service_array[0]['text'];
						  $service_id=(($service_id!='')?($service_id):$service_array[0]['text']);
						   $MARKETING_SERVICES_MESSAGES->myVar=$service_array[0]['id'];
						 // echo $service_id;
						  
					?>
					 <div id="service_list" style="position:absolute; display:none;left:247px;top:175px;width:400px;"> 
					<?php  echo tep_draw_event_select_menu('select_id',$service_array,$service_id,'size=10 style="margin-top:0px; margin-left:3px; width:400px;" onChange="javascript:doChangeService(this);" class="customerSelect"','','','',0); ?>
					
					
				
					</div> 
					<table border="0" cellspacing="0" cellpadding="2">
						<tr>
						<!--<table border="0" cellspacing="0" cellpadding="2">
						<tr><td class="main">
								<?php//  	echo TEXT_SELECT_EVENT . ' &nbsp; &nbsp;' . tep_draw_event_select_menu('select_id',$service_array,$service_id,' size=1 onChange="javascript:doChangeService(this);" ','','',false);?>
								
								
								</td>-->
								<td class="main" width="100"><?php echo TEXT_SELECT_EVENT;?>
								</td>
							<td class="main">
							<?php echo tep_draw_input_field('select_text',(($service_id!='')?$service_id:$service_id),'onFocus="javascript:setDrop();" style="width:400px"');?></td>
						</tr>
					</table>
						</form>
					</td>
				</tr>
				<tr>
					<td id="cugtotalContentResult">
						<?php $MARKETING_SERVICES_MESSAGES->doItems();?>
					</td>
				</tr>
			</table> 
		</td>
	</tr>
	<tr style="display:none">
		<td id="ajaxLoadInfo"><div style="padding:5px 0px 5px 20px" class="main"><?php echo TEXT_LOADING . '&nbsp;' . tep_image(DIR_WS_IMAGES . 'layout/ajax_load.gif');?></div></td>
	</tr>
	<tr>
		<td id="ajaxLoadImage" style="display:none">
			<?php echo tep_image(DIR_WS_IMAGES . 'layout/ajax_load.gif');?>
		</td>
	</tr>
	<form name="fileUpload" id="fileUpload" action="<?php echo FILENAME_MARKETING_EVENTS_MESSAGES; ?>?AJX_CMD=GL_ImageUpload" method="post" enctype="multipart/form-data" style="visibility:hidden;">
		<input type="hidden" name="image_list" id="image_list" value="">
		<input type="hidden" name="image_resize" value="1">
	</form>
	<div class="ajxMessageWindow" id="ajxLoad" style="display:none;width:400px;height:70px;"><span id="ajxLoadMessage">Loading...</span><br><?php echo tep_image(DIR_WS_IMAGES . 'layout/ajax_load.gif');?></div>
</table>
<!-- body_text_eof //-->
<!-- body_eof //-->
<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php');?>